2025-03-01  Morten Welinder <terra@gnome.org>

	* Release 0.10.59

2025-03-01  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2025-01-25  Morten Welinder <terra@gnome.org>

	* Release 0.10.58

2024-02-11  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2024-02-11  Morten Welinder <terra@gnome.org>

	* Release 0.10.57

2024-01-22  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-dtoa.c (fmt_shortest): Fix problem with
	Decimal64 number going into E format.

	* goffice/math/go-decimal.c (nextafterD): Fix assert with very
	large arguments.

2023-12-03  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-dtoa.c (parse_fmt): Fix width parsing (which we
	evidently aren't using that much).

2023-11-02  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2023-11-02  Morten Welinder <terra@gnome.org>

	* Release 0.10.56

2023-03-28  Morten Welinder  <terra@gnome.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_update): Fix crash with no series.  See #66.

2023-02-02  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2023-02-02  Morten Welinder <terra@gnome.org>

	* Release 0.10.55

2023-01-23  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2023-01-19  Morten Welinder <terra@gnome.org>

	* Release 0.10.54

2023-01-18  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-item.c (goc_item_bounds_changed): Don't
	invalidate twice.

	* goffice/utils/go-format.c (go_format_execute): Avoid integer
	overflow when dealing with denominators.

2022-12-28  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-accumulator.c (go_accumulator_add): Catch
	non-finite numbers early.

2022-11-29  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-series.c (role_series_labels_can_add): Allow
	multiple data labels.  See #64.

2022-10-22  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (go_pow10l): Make the table cover the
	full range of long double.

2022-09-17  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2022-09-17  Morten Welinder <terra@gnome.org>

	* Release 0.10.53

2022-08-29  Morten Welinder  <terra@gnome.org>

	* plugins/plot_xy/gog-xy-dropbar.c (gog_xy_dropbar_view_render):
	Fix typo.  Fixes crash in Gnumeric #667.

2022-04-18  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2022-04-18  Morten Welinder <terra@gnome.org>

	* Release 0.10.52

2022-02-17  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (go_add_epsilon): Fix fallback code.

2022-01-21  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-action-combo-stack.c: Reimplement based on
	GtkComboBox.

2022-01-20  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2022-01-20  Morten Welinder <terra@gnome.org>

	* Release 0.10.51

2021-12-26  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-group.c (goc_group_fake_xchildren): Plug
	leak.

2021-12-02  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_memdup_n): New function.

	* goffice/utils/go-spectre.c (go_spectre_load_data): Use go_memdup.

	* goffice/utils/go-emf.c (go_emf_load_data): Use go_memdup.
	(go_emf_new_from_data): Ditto.

	* goffice/component/go-component.c (go_component_duplicate): Use
	go_memdup.

	* goffice/data/go-data-simple.c (go_data_vector_str_new_copy): Use
	g_new, not g_malloc.
	(go_data_vector_val_new_copy): Use go_memdup_n.

	* goffice/canvas/goc-group.c (goc_group_init): Use g_new0, not
	g_malloc0.

2021-12-01  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_memdup): Replacement for
	g_memdup until we depend on glib 2.67 or thereabouts.

2021-11-06  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (go_pow10): Make a much bigger table to
	avoid depending on pow.

2021-08-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c (gog_renderer_draw_data_label): draw
	background and outline for data labels.
	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): typo.

2021-06-11  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): do not clip markers. #584.

2021-06-10  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2021-06-10  Morten Welinder <terra@gnome.org>

	* Release 0.10.50

2021-05-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_draw): fix rendering on high
	resolution monitors when scale is not 1. #578.

2021-05-12  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-matrix.c (gog_matrix_view_render): call the
	build_matrix method for the real plot type. Fixes Debian #988397.

2021-04-26  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (set_format_category): This takes a
	family, not a row number.  Handle that properly.

2021-03-22  Morten Welinder  <terra@gnome.org>

	* plugins/reg_linear/gog-lin-reg.c
	(gog_lin_reg_curve_get_equation): If x-axis is a date axis, use an
	equation that effectively says y=a * #days + b where #days is
	counted from the left edge, not the arbitrary zero date in year
	1900.

2021-03-17  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c: Get rid of empty categories.  (That
	means "Special" which we never filled in.  See #29.)

	* goffice/graph/gog-label.c (gog_reg_eqn_get_str): Show only three
	decimals for R^2.

	* plugins/reg_linear/gog-lin-reg.c
	(gog_lin_reg_curve_get_equation): Simplify code using fewer
	branches.

2021-03-14  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2021-03-14  Morten Welinder <terra@gnome.org>

	* Release 0.10.49

2020-09-26  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis-line.c (gog_axis_line_update_ticks): Zero
	tick count when we dispose of ticks.  Fixes Gnumeric #524.
	(gog_axis_line_discard_ticks): Factor this repeated segment out.

2020-08-29  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_simple_to_odf):
	Close <text> item.  Fixes Gnumeric #518.

2020-08-12  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2020-08-12  Morten Welinder <terra@gnome.org>

	* Release 0.10.48

2020-07-15  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-object-xml.c (gogo_prop_end): Handle
	translated booleans since we've managed to save some files that
	way.

	* goffice/utils/go-file.c (go_file_get_owner_name)
	(go_file_get_group_name): Plug leak.

2020-06-26  Morten Welinder  <terra@gnome.org>

	* configure.ac (xrender): Stop checking for xrender.  We haven't
	needed that for a decade or two.

2020-06-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/*: enable GocGroup to work as a widgtless canvas.
	* goffice/utils/go-emf.c: replace the canvas by a GocGroup.
	* goffice/utils/go-image.c (go_image_new_from_data),
	(go_image_type_for_format): ditto.
	* tests/mf-demo.c (open_file): ditto.

2020-06-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-emf.c (go_emf_bitblt): implement filling with a solid
	brush.
	* goffice/utils/go-image.c (go_mime_to_image_format): update the EMF and
	WMF mime types.

2020-06-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-font-sel-dialog.c (gfsd_class_init): fix more
	criticals with Gtk+ >= 3.24.

2020-06-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-grid-line.c (gog_grid_line_xy_render): clip grid lines
	rendering to the plot area. [#50]

2020-06-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (size_changed_cb): revert previous change.

2020-06-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (size_changed_cb): optimize GtkWidget
	embedding in the canvas. See #465.
	* goffice/canvas/goc-widget.c (goc_widget_connect_signals),
	(goc_widget_notify_scrolled), (cb_canvas_changed),
	(goc_widget_set_widget), (goc_widget_draw):

2020-05-27  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/reg_logfit/gog-logfit.c (gog_log_fit_curve_update): don't emit a
	critical if the series is not valid. [#49]

2020-05-18  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): keep clipping for data
	labels. [#47]

2020-05-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data.c (go_data_unserialize): don't load an invalid
	empty string. [#46]
	* goffice/graph/gog-object-xml.c (gog_dataset_sax_save): don't save any
	void data. [#46]
	* goffice/gtk/go-font-sel.c (gfs_get_property), (gfs_set_property),
	(gfs_class_init): fix criticals with Gtk+ >= 3.24.

2020-05-09  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2020-05-09  Morten Welinder <terra@gnome.org>

	* Release 0.10.47

2020-04-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c (go_component_duplicate): do not destroy
	original data. Fix #483.

2020-04-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c
	(gog_axis_base_get_clamped_position): fix crossing axis position. [#45]

2020-04-19  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (cb_format_combo_changed): Take
	auto-by-extension into account.

2020-04-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series.c (gog_series_dataset_dim_changed): check
	validity when the data change. Fix #468.

2020-04-09  Jean Brefort  <jean.brefort@normalesup.org>

	reviewed by: <delete if not using a buddy>

	* goffice/graph/gog-series.c (gog_series_check_validity): ensure all
	required dims has valid data. Fix #466.
	* plugins/plot_barcol/gog-1.5d.c (gog_1_5d_enum_in_reverse): fix legend
	order in bar plots.

2020-03-09  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_url_check_extension): Make new_uri
	optional.

2020-01-11  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c (gog_contour_view_render): fix a
	drawing error in contour plots. Fix #458

2019-12-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-labels.c (gog_series_labels_update):
	a better fix.

2019-12-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-labels.c (gog_series_labels_update):
	fix warnings when the vector length is nil. See #426.
	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): do not process labels
	if the series does not contain any valid data. Fix #426.

2019-11-06  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2019-11-06  Morten Welinder <terra@gnome.org>

	* Release 0.10.46

2019-07-02  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_execute): Fix UTF-8 problem
	with "mmmmm".

2019-06-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c: typo.
	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_build_matrix), (gog_contour_plot_foreach_elem): fix
	legend contents. [#404]

2019-06-09  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_has_year)
	(go_format_has_month) (go_format_has_day): new functions.

2019-06-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-math-editor.c (go_math_editor_class_init): fix signals to
	make it work again.

2019-05-22  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2019-05-20  Morten Welinder <terra@gnome.org>

	* Release 0.10.45

2019-04-05  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_pie/gog-pie.c (gog_ring_plot_class_init): fix ring plot
	center size persistence. [#395]

2019-01-15  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/smoothing/gog-exp-smooth.c (gog_exp_smooth_update): protect
	against NULL y values. [#377]

2018-11-24  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c: Introspection fixes.

2018-11-24  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-11-24  Morten Welinder <terra@gnome.org>

	* Release 0.10.44

2018-08-19  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-08-19  Morten Welinder <terra@gnome.org>

	* Release 0.10.43

2018-08-09  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-08-09  Morten Welinder <terra@gnome.org>

	* Release 0.10.42

2018-08-06  Morten Welinder  <terra@gnome.org>

	* tests/test-quad.c (pow_tests): Comment out exp test.  It's not
	setup for quad correctly.

2018-08-05  Morten Welinder  <terra@gnome.org>

	* tests/test-quad.c: Try to make the tests work a bit better for
	the excess-precision case, i.e., x86 in 32-bit mode.

2018-08-03  Morten Welinder  <terra@gnome.org>

	* goffice/goffice.c (libgoffice_init): Use g_type_ensure to avoid
	giving the compiler any good ideas about removing calls.

2018-07-13  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-boxplot.c (gog_box_plot_view_render): do
	not display whiskers when there are only ouliers outside of the box. Fixes
	#345.

2018-05-17  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-plugin.c (go_plugins_shutdown): Avoid hash order
	dependency.

2018-05-10  Morten Welinder  <terra@gnome.org>

	* goffice/app/file.c (go_file_saver_for_file_name): Pick the most
	capable saver if multiple are possible.

2018-05-07  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-05-07  Morten Welinder <terra@gnome.org>

	* Release 0.10.41

2018-05-06  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (axis_format_value): When using General
	format, limit precision to 9-10 digits.  If you need more, use a
	specific format, but you are probably doing something wrong
	anyway.  This avoids graph ticks of the form "1.10000000000002".

2018-04-29  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-04-29  Morten Welinder <terra@gnome.org>

	* Release 0.10.40

2018-04-19  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-font-sel.c (gfs_screen_changed): Set a minimum
	size for the family name picker so it's wide enough for 95% of the
	possible values.  (That leaves room for 5% of families with crazy
	names, just in case.)

2018-04-18  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-doc.c (go_doc_finalize): Plug leak.

2018-04-06  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-optionmenu.c (go_option_menu_update_contents):
	Handle markup.
	(go_option_menu_init): Add a bit of space between label and
	separator so they don't touch.

2018-03-25  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_file_get_modtime): New function.

2018-03-14  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c (go_quad_start): Allocate memory before
	we change fpu state.  Seee bug #794115.

2018-03-13  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-03-13  Morten Welinder <terra@gnome.org>

	* Release 0.10.39

2018-03-06  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (do_sinpil): Improve accuracy of
	fallback.

2018-02-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-image.c (goc_image_draw): don't try to display an image
	with nul size.
	* goffice/utils/go-emf.c (go_emf_lineto): create a path if necessary instead
	of returning an error.

2017-12-28  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-12-28  Morten Welinder <terra@gnome.org>

	* Release 0.10.38

2017-12-11  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-rotation-sel.c (cb_rotate_changed): Signal a
	style change, not just an object invalidation.

2017-12-10  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_style_context_from_selector):
	Import from Gnumeric (in turn from gtk+).

2017-12-05  Morten Welinder  <terra@gnome.org>

	* tests/constants.c (main): Improve checking if double math
	produces the right values for direct and inverse.

	* goffice/gtk/goffice-gtk.c (_go_gtk_widget_add_css_provider):
	Install the css provider screen-wide.

2017-12-02  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-rotation-sel.c (cb_rotate_canvas_realize): Use
	css for styling.
	* goffice/gtk/go-3d-rotation-sel.c (cb_rotate_canvas_realize): Ditto.

2017-12-01  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-12-01  Morten Welinder <terra@gnome.org>

	* Release 0.10.37

2017-11-18  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-11-18  Morten Welinder <terra@gnome.org>

	* Release 0.10.36

2017-10-30  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/Makefile.am: fix documentation build with recent gtk-doc.
	[#788710]
	* goffice/goffice.c:

2017-10-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/xl-surface.c (xl_contour_plot_build_matrix): fix
	rendering.

2017-10-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/xl-surface.c (xl_xyz_series_init): don't show these
	series in the legend. [#788861]

2017-10-02  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-xyz-surface.c
	(gog_xyz_surface_plot_build_matrix): don't crash if X or Y values are
	missing. [#788437]

2017-08-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-format.c (printf_engineering): fix engineering format.
	[#785669]

2017-07-06  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-07-06  Morten Welinder <terra@gnome.org>

	* Release 0.10.35

2017-05-17  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c (go_quad_mul12): Avoid unnecessary
	overflow when splitting a number into two parts.

2017-03-20  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-03-20  Morten Welinder <terra@gnome.org>

	* Release 0.10.34

2017-03-17  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_new_from_XL): Cache also
	rich-text formats.

2017-01-29  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-01-29  Morten Welinder <terra@gnome.org>

	* Release 0.10.33

2017-01-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-line.c : fix evaluation of regression curves
	for area plots. [#777334]

2017-01-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_clear_parent): fix add child menu
	in graph guru. [#777336]

2016-12-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (role_grid_line_major_can_add):
	reimplement major grids for discrete axes. [#775624].

2016-11-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-libxml-extras.c: fix long double support condition.
	[#774439]

2016-11-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-legend.c (cb_render_elements): allow box plots look
	like bar plots in legends. [#773825]
	* plugins/plot_distrib/gog-boxplot.c (gog_box_plot_class_init): ditto.

2016-10-02  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_render_general): Fix warning.
	(go_format_get_details): Avoid pango_trom_string.

	* goffice/math/go-matrix.c (go_quad_matrix_dump): Fix printf
	argument.  (Somehow magically worked -- on x86 at least.)

2016-08-20  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-08-20  Morten Welinder <terra@gnome.org>

	* Release 0.10.32

2016-08-17  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (go_linear_regression_leverage):
	Plug leak.

2016-06-29  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-06-29  Morten Welinder <terra@gnome.org>

	* Release 0.10.31

2016-06-17  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-06-17  Morten Welinder <terra@gnome.org>

	* Release 0.10.30

2016-05-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-color-scale.c (gog_color_scale_set_property),
	(gog_color_scale_get_property): properly save and load the reference to
	the axis. [#766829]

2016-05-06  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-05-06  Morten Welinder <terra@gnome.org>

	* Release 0.10.29

2016-05-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c: fix doc.
	* goffice/utils/go-style.c (go_style_apply_theme),
	(go_style_gradient_sax_save), (go_style_fill_sax_save),
	(go_style_sax_load_fill_pattern),
	(go_style_sax_load_fill_gradient), (go_style_persist_sax_save),
	(go_style_is_auto): really implement all auto flags.

2016-04-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (cb_hierarchy_changed): make css work again with
	gtk+-3.20.

2016-04-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_view_size_allocate): fix an infinite
	loop condition. [#765480]

2016-04-17  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): do not load invalid data
	labels in XYcolor plots. [#765155]

2016-03-24  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.c (go_complex_sqrt): Avoid extreme-case
	unnecessary overflow.
	(go_complex_div): Avoid extreme-case unnecessary overflow and
	marginally improve accuracy.

2016-03-22  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-03-22  Morten Welinder <terra@gnome.org>

	* Release 0.10.28

2016-03-11  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_series_update): avoid issues with -INFINITY as well.

2016-03-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_series_update): don't take nans and infinite into
	account when evaluating automatic bins. [#763446]

2016-03-09  Morten Welinder  <terra@gnome.org>

	* tests/constants.c (print_bits): Fix bit pattern rounding past
	the break.

2016-03-05  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.c (go_complex_sqrt): Fix accuracy of
	real component when argument is very near the negative real axis.
	(go_complex_tan): Improve accuracy.
	(go_complex_ln): Improve accuracy near unit circle.

2016-02-23  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.c (go_complex_powx): Expose the power
	function with separate return value for powers of 2.

2016-02-16  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.c: Make a boxed type for the benefit of
	introspection.

2016-02-08  Morten Welinder  <terra@gnome.org>

	* configure.ac: Require C99.  Fix handling of $CC that includes
	options.  Don't check for yacc and lex.

2016-02-06  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-02-06  Morten Welinder <terra@gnome.org>

	* Release 0.10.27

2016-02-06  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.c (go_complex_from_polar_pi): Make this
	public.

2016-02-02  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.c (go_complex_powl): Fix real case
	accuracy.
	(go_complex_div): Avoid intermediate underflow when possible.

2016-01-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_view_size_allocate): fixed axis
	line children allocation, see #760675, comments 5-7.

2016-01-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c: add title to axis lines. [#760675]
	* goffice/graph/gog-axis.c : ditto.

2016-01-12  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.10-sections.txt: add missing declarations.
	* goffice/data/go-data-simple.c (go_data_scalar_str_new_copy),
	(go_data_vector_val_new_copy), (go_data_vector_str_new_copy): new
	functions for introspection.
	* goffice/data/go-data-simple.h: ditto.
	* goffice/graph/gog-series.c: add an annotation.

2016-01-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-plugin.c: add introspection annotations.
	* goffice/goffice.c (libgoffice_init): initialise GOPluginLoaderModule
	class to allow plugins initialization through introspection.
	* goffice/graph/gog-object.c:  add an introspection annotation.
	* goffice/math/go-cspline.c: typo.

2016-01-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_date_to_odf): write
	gnm:am-suffix and gnm:pm-suffix attributes instead of the
	gnm:style attribute for number:style

2016-01-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_date_to_odf): write
	gnm:style attribute of number:style

2015-12-28  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-12-28  Morten Welinder <terra@gnome.org>

	* Release 0.10.26

2015-12-25  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-12-25  Morten Welinder <terra@gnome.org>

	* Release 0.10.25

2015-12-14  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis-line.c (gog_tool_move_bound_init): Use
	gog_axis_map_get_real_extents here, see bug #684886.

2015-12-01  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-plugin.c (go_plugin_read): Plug leak.

2015-09-20  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-09-20  Morten Welinder <terra@gnome.org>

	* Release 0.10.24

2015-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-xyz-surface.c
	(gog_xyz_matrix_plot_build_matrix): don't access NULL values. [#754590]

2015-08-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-path.c (goc_path_prepare_draw): fix bounds and distance
	in RTL mode. [#753963]
	* goffice/canvas/goc-rectangle.c (goc_rectangle_prepare_draw): ditto.

2015-08-01  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_render_general): Also try the
	shortest representation when we're barely width limited.

2015-07-28  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-07-28  Morten Welinder <terra@gnome.org>

	* Release 0.10.23

2015-07-26  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_render_general): Try the shortest
	representation when we're not width limited.  Fixes #752839.
	Also handle sign and shape when using shortest.

2015-07-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_metrics_from_str): fix a
	paste error.  Fixes #752223.

2015-07-08  Morten Welinder  <terra@gnome.org>

	* plugins/reg_logfit/gog-logfit.c (gog_log_fit_curve_update):
	Survive missing y_val.  Fixes Redhat #1240470.

2015-07-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_document_changed): check args
	types. Fix #751925.

2015-06-22  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_radar/gog-radar.c (gog_rt_view_render): protect against wrong
	series element index. [#751272]

2015-06-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-color-map.c (color_map_load_from_uri): do not
	free the GsfXMLInDoc* twice.

2015-06-21  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/xl-surface.c (get_y_vector): skip invalid series.
	[#751257]

2015-06-21  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): protect against wrong
	series element index. [#751256]

2015-06-20  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-grid-line.c (gog_grid_line_radial_render):
	Survive missing parameters.

	* goffice/graph/gog-chart-map.c (null_map_2D): Zero output
	variables.

2015-06-19  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-barcol.c (gog_barcol_view_render): protect
	against wrong series number. [#751059]
	* plugins/plot_barcol/gog-dropbar.c (gog_dropbar_view_render):
	* plugins/plot_barcol/gog-line.c (gog_line_view_render):

2015-06-18  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-doc.c (go_doc_image_fetch): Sanity check image
	type.

	* goffice/graph/gog-object-xml.c (gogo_start): Sanity check object
	type.

	* goffice/graph/gog-plot-engine.c (gog_plot_new_by_name)
	(gog_trend_line_new_by_name): Sanity check type name.

2015-06-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_get_child_by_role): protect against
	NULL argument. [#750860]

2015-06-12  Morten Welinder  <terra@gnome.org>

	* goffice/app/io-context.c (ioc_finalize): Plug leak.

2015-06-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-color-map.c (gog_axis_color_map_prep_sax): don't
	free the xml doc twice.

2015-05-31  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_parse_number_new_1):
	Prevent ABR.

2015-05-27  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-style.c (go_style_set_cairo_line): Plug leak.

2015-05-17  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_simple_to_odf):
	Taking a wild guess that result should have been initialized to
	TRUE.

	* configure.ac (set_more_warnings): clang fix from gnumeric.

	* goffice/math/go-quad.c (go_quad_start): Initialize constants via
	non-const objects.  See bug #749463.

2015-05-16  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-theme.c (theme_load_from_uri): Avoid double
	unref on exit.

2015-05-14  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-pixbuf.c (go_pixbuf_finalize): Plug leak.

2015-05-12  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-renderer.c (gog_renderer_get_pixbuf): Handle
	degenerate image size.
	(gog_renderer_export_image): Limit size to shield cairo.  Fixes #749274.

2015-05-09  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_parse): Don't read beyond
	global variable's end.  [#749167]

2015-05-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-pixbuf.c (go_pixbuf_save): don't save when no data is
	available [see #748493, comments 13 to 16]

2015-05-04  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (axis_format_value): Allow caller to
	handling scaling.
	(map_linear_calc_ticks): Handling scaling so we can control
	rounding errors in ticks.

2015-05-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (axis_format_value),
	(gog_axis_set_property), (gog_axis_get_property),
	(gog_axis_class_init), (gog_axis_init): add a display factor to scale
	axis ticks labels. [#748295]

2015-04-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-image.c (go_image_type_for_format): disable metafiles
	support when there is no screen. [#748493]

2015-04-16  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-04-16  Morten Welinder <terra@gnome.org>

	* Release 0.10.22

2015-04-15  Morten Welinder  <terra@gnome.org>

	* plugins/plot_barcol/gog-minmax.c (gog_minmax_plot_class_init):
	Use GSF_PARAM_STATIC.

2015-04-13  Morten Welinder  <terra@gnome.org>

	* plugins/plot_pie/gog-pie.c (gog_ring_plot_class_init): Persist
	the center size.

2015-04-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data-simple.c (go_data_scalar_val_new): ensure that
	go_data_has_value() returns TRUE if there is a valid number.

2015-04-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (cb_enable_dim): make manual scale really manual
	even if it matches the auto value. [#700599]

2015-04-11  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (go_atan2pi): Simplify.
	(go_atanpi, go_cotpi): New functions.

2015-04-03  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-pattern.c (go_pattern_create_cairo_pattern):
	Don't use 8x8 bitmaps for patterns.  Draw all patterns with cairo.
	(create_direct_pattern): Improve semi-circles rendering.

2015-04-02  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-pattern.c (go_pattern_create_cairo_pattern): Do
	2 colour translations instead of 64.  Split submethods into
	separate functions.
	(svg_pattern): Fix scaling.

2015-04-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c (_get_marker_surface),
	(gog_renderer_draw_marker), (_free_marker_data): auto fill color made
	transparent for opened markers (x, +, and *). [#691025]
	* goffice/graph/gog-theme.c (map_marker): ditto.
	* goffice/gtk/go-marker-selector.c (go_marker_palette_render_func),
	(go_marker_selector_set_shape), (go_marker_selector_set_auto_fill): ditto.
	* goffice/gtk/go-marker-selector.h: ditto.
	* goffice/utils/go-marker.c (go_marker_is_closed_shape): ditto.
	* goffice/utils/go-marker.h: ditto.
	* goffice/utils/go-style.c (cb_marker_fill_color_changed),
	(marker_init): ditto.

2015-03-31  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-object-xml.c (gog_dtd): Remove duplicate node.

2015-03-31  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (make_dim_editor),
	(cb_polar_unit_changed), (gog_axis_populate_editor): update circular axis
	bounds after a unit change. [#746738]

2015-03-28  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): protect colored xy and
	bubble plots against NULL z values.

2015-03-25  Morten Welinder  <terra@gnome.org>

	* plugins/plot_radar/gog-radar.c (gog_rt_plot_update): Handle log
	radial axis better.
	(gog_polar_plot_axis_get_bounds): Ditto.

2015-03-24  Morten Welinder  <terra@gnome.org>

	* plugins/plot_barcol/gog-1.5d.c (gog_plot1_5d_axis_get_bounds):
	Use gog_axis_is_zero_important.  Avoid underflow.
	(gog_plot1_5d_update): Use gog_axis_data_get_bounds.

	* goffice/graph/gog-axis.c (gog_axis_is_zero_important): New
	function.

2015-03-20  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (_go_math_init): generate positive nan.

2015-03-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (axis_line_point): fix selection of
	axes using only part of the plot area. [#746456]

2015-03-19  Morten Welinder  <terra@gnome.org>

	* plugins/plot_barcol/gog-1.5d.c (gog_plot1_5d_axis_get_bounds):
	Use 0% as format instead of the ill-defined default which happens
	to be 0.00% -- and that makes no sense here.

2015-03-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-line.c (goc_line_draw):

2015-03-12  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (gog_axis_data_get_bounds): New
	function.

	* plugins/plot_xy/gog-xy.c (gog_2d_plot_update): Use
	gog_axis_data_get_bounds.

2015-03-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-matrix.c (gog_matrix_view_render): fix
	rendering of matrix plots with a discrete axis.
	* plugins/plot_surface/gog-xyz.c (gog_xyz_plot_axis_get_bounds): ditto.

2015-03-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (axis_line_get_bbox),
	(axis_line_render): ensure that ticks on limits are not hidden
	because of rounding errors.

2015-03-06  Johannes Deutsch  <j_deutsch@web.de>

	* goffice/canvas/goc-line.c (goc_line_draw): do not draw the line
	over the arrow head at start. [#745736]

2015-03-04  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-03-04  Morten Welinder <terra@gnome.org>

	* Release 0.10.21

2015-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_draw): clip each
	rectangle before drawing. [#744076]

2015-03-01  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-pixbuf.c (go_pixbuf_create_pixbuf): Avoid
	critical when loading fails.
	(go_pixbuf_load_attr): Plug leak.

2015-02-28  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-image.c (go_image_get_info): New function.

2015-02-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-image.c (go_image_new_from_data): ensure that GOPixbuf
	keeps the original data around. [#745297]
	* goffice/utils/go-pixbuf.c: ditto.
	* goffice/utils/go-pixbuf.h: ditto.

2015-02-27  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-pixbuf.c (go_pixbuf_load_data): Set
	->data_length.

	* goffice/utils/go-image.c (go_image_new_from_data): If no image
	data is given, create an unknown image placeholder.

2015-02-24  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-series-labels.c (gog_data_label_finalize):
	Plug leak.
	(role_data_label_post_add): Plug leak.
	(gog_series_labels_finalize): Plug leak.

	* goffice/graph/gog-axis-line.c
	(gog_axis_base_get_crossed_axis_type): Make this public.
	(gog_axis_base_get_crossed_axis_for_plot): New function -- when we
	know the plot we can pick the desired axis.

2015-02-20  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-pattern-selector.c (go_pattern_tooltip_func): New
	function.

	* goffice/gtk/go-gradient-selector.c (go_gradient_tooltip_func):
	New function.

2015-02-17  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-style.c (go_style_set_font_desc): Doc fix.

	* goffice/utils/go-pattern.c (go_pattern_get_svg_path): Plug leak.

2015-02-16  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-style.c (cb_font_changed): Set auto_font.
	(go_style_apply_theme): Apply font theming.
	(go_style_font_sax_save): Only save font when not auto.
	(go_style_sax_load_font): Be fairly smart about reading files
	created prior to this fix.
	(go_style_is_auto): Include auto_font and auto_color.
	(go_style_line_sax_save, go_style_gradient_sax_save)
	(go_style_text_layout_sax_save): Use sufficient precision.

2015-02-14  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-line.c (go_arrow_equal): New function.

	* goffice/gtk/go-arrow-sel.c (go_arrow_sel_set_arrow): Use
	go_arrow_equal.

2015-02-12  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-line.c: Use 0.0, not G_MINDOUBLE, to make cairo
	produce dots.  That seems to be the documented way to do it.

2015-02-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-rangefunc.c (go_range_increasing),
	(go_range_decreasing): ignore nans. [#744200]

2015-02-11  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-arc.c (prepare_draw_arrow): Protect oval
	drawing against invalid sizes.

	* goffice/canvas/goc-line.c (goc_line_draw): Avoid overflow.
	Round a bit more consistently.
	(draw_arrow): Use go_arrow_draw.

	* goffice/utils/go-line.c (go_arrow_draw): Only draw oval heads
	when sizes are positive.

	* goffice/gtk/go-font-sel.c (GOFontSelClass): Fix base class.

	* goffice/utils/go-line.c (go_arrow_draw): New function extracted
	from Gnumeric.

2015-02-07 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* graph/gog-chart-map.c: protect against missing data

2015-02-07  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (go_linear_solve_multiple):
	Initialize regres.  Why didn't the compiler warn about that?

2015-02-04  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-02-04  Morten Welinder <terra@gnome.org>

	* Release 0.10.20

2015-02-04  Morten Welinder  <terra@gnome.org>

	* plugins/plot_barcol/gog-line.c (gog_line_series_init_style):
	Don't wipe out marker colours just because the shape auto.

	* plugins/plot_barcol/gog-minmax.c (gog_minmax_series_init_style): Ditto.

	* plugins/plot_xy/gog-xy-minmax.c
	(gog_xy_minmax_series_init_style): Ditto.

2015-01-26  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/reg_linear/gog-lin-reg.c: ensure that the dims number is correct
	in all cases. [see #743507]
	* plugins/reg_linear/gog-lin-reg.h: ditto.
	* plugins/reg_linear/gog-polynom-reg.c: ditto.

2015-01-23  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-01-23  Morten Welinder <terra@gnome.org>

	* Release 0.10.19

2015-01-21  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-object.c (gog_object_add_by_role): Only
	consider this explicitly_typed_role if the child type is not the
	default.

2015-01-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_class_init): fixed typo in default map
	name.
	* goffice/graph/gog-guru.ui: allow the window to be maximized. [see #742897]

2015-01-17  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-rotation-sel.c (cb_rotate_changed): Avoid
	rounding errors by using go_cospi and go_sinpi.

2015-01-16  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_series_update): don't loose any data when using
	automatic bins. [#742996]

2015-01-14  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/reg_linear/gog-lin-reg.c (gog_lin_reg_curve_update): protect
	against missing data. [#742859]
	* plugins/reg_logfit/gog-logfit.c (gog_log_fit_curve_update): ditto.
	* plugins/smoothing/gog-moving-avg.c (gog_moving_avg_update): ditto.

2015-01-11  Jean Brefort  <jean.brefort@normalesup.org>

	* libgoffice.pc.in: add missing libraries to Requires.private.

2015-01-09  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-action-combo-pixmaps.c
	(go_action_combo_pixmaps_create_menu_item): Use make_icon.

2015-01-08  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-widget.c (goc_offscreen_box_unrealize): Undo
	the embedder part of realization too.

2015-01-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (gog_axis_line_get_ticks): don't return
	invalid ticks.

2015-01-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c: allow custom ticks and grid lines for axis
	lines. [#600482]
	* goffice/graph/gog-axis-line.h: ditto.
	* goffice/graph/gog-axis-prefs.ui: ditto.
	* goffice/graph/gog-axis.h: ditto.
	* goffice/graph/gog-chart.c: ditto.
	* goffice/graph/gog-grid-line.c: ditto.

2015-01-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c: fix axis title position when at high coordinate.

2015-01-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data-impl.h: add GO_DATA_HAS_VALUE to GODataFlags.
	* goffice/data/go-data.c: new go_data_has_value().
	* goffice/data/go-data.h: ditto.
	* goffice/graph/gog-series.c: don't use a data vector with no valid value.
	[#741910]
	* plugins/plot_xy/gog-xy.c: protect against NULL y vector.

2015-01-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_draw): implement native scrolling.
	[#741394]

2015-01-06  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-widget.c (goc_offscreen_box_realize): Only
	make window composited if the screen is.  See bug 741455.

2015-01-04  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (update_preview_cb): Fix flags
	argument of gtk_icon_theme_load_icon.
	(go_gtk_widget_render_icon_pixbuf): New function.

	* goffice/gtk/go-action-combo-pixmaps.c (make_icon): Use
	go_gtk_widget_render_icon_pixbuf.
	* goffice/gtk/go-action-combo-color.c (make_icon): Ditto.

2015-01-02  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_button_build_with_stock): Make
	this work with icon names.

2014-12-31  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_guess_encoding): Lean a bit
	heavier on libxml's encoding guess instead of g_get_charset which
	may be a bit random.

2014-12-29  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.h (go_gtk_builder_new_internal): Remove.
	Anyone crazy enough to use that deserves the pain.

2014-12-28  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_builder_load_internal):
	Actually handle the claimed data: prefix.

	* goffice/gtk/go-color-palette.c: Avoid GtkColorSelDialog which is
	_gone_ from current gtk+.  Use GtkColorChooserWidget instead.
	* goffice/gtk/go-color-selector.c: Ditto.

2014-12-26  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-action-combo-pixmaps.c (make_icon): Handle a
	stock_id which is really an icon name.

2014-12-25  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-action-combo-stack.c (cb_reconfig): Simplify
	using gtk_action_create_icon which also handled named icons.

2014-12-15  Morten Welinder  <terra@gnome.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_view_render): Cleanup.  Avoid warnings.  Avoid
	unneccesary overflow.

2014-12-06  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_draw): Plug leak.
	(_goc_canvas_remove_item): New function.  Use of this fixes
	several crashes.

	* goffice/canvas/goc-group.c (goc_group_remove_child): Don't mess
	directly with the canvas' members here.  Tell the canvas that
	child is gone.
	(goc_group_add_child): If the canvas changes, tell the old canvas
	that child is gone.

	* goffice/canvas/goc-item.c (goc_item_dispose): Don't mess
	directly with the canvas' members here.

2014-11-26  Jean Brefort  <jean.brefort@normalesup.org>

	reviewed by: <delete if not using a buddy>

	* goffice/graph/gog-axis.c (gog_axis_view_padding_request),
	(gog_axis_view_size_allocate): Move the titles with the axis when some other
	axis has an offset. [#684777]

2014-11-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (gog_axis_base_init_style): allow rotation
	of axis line labels. [#740198]

2014-10-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_draw),
	(goc_canvas_finalize), (goc_canvas_init), (goc_canvas_invalidate),
	(goc_canvas_invalidate_region): add new goc_canvas_invalidate_region().
	* goffice/canvas/goc-canvas.h: ditto.

2014-09-27  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-combo-box.c (cb_state_flags_change): Don't use
	deprecated signal and functions.

2014-09-25  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-09-25  Morten Welinder <terra@gnome.org>

	* Release 0.10.18

2014-09-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-text.c (go_anchor_type_get_type),
	(goc_text_prepare_draw), (goc_text_draw): add baseline anchor values.
	* goffice/utils/go-emf.c (go_emf_dc_free), (go_emf_settextalign),
	(go_emf_savedc), (go_emf_selectobject), (go_emf_bitblt),
	(go_emf_extcreatefontindirectw), (go_emf_exttextouta),
	(go_emf_exttextoutw), (go_emf_parse): partial implementation of text
	support.
	* goffice/utils/goffice-utils.h: add baseline anchor values.

2014-08-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data-simple.c (go_data_vector_str_load_values),
	(go_data_vector_str_get_value): don't pass NULL to g_strtod(). [#735555]

2014-08-27 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/graph/gog-axis-color-map.c (save_name_cb): don't skip
	encoding on user entered names

2014-08-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-color-map.c (gog_axis_color_map_save): better
	file mode, (color_maps_load_from_dir): don't check the mime type as it
	seems not so reliable, just check the extension. [#735007]

2014-08-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-color-map.c (gog_axis_color_map_save): create
	$HOME/.goffice/colormaps if needed. [#735008]

2014-08-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style.c (cb_pattern_type_activate),
	(cb_brightness_changed), (cb_gradient_type_changed),
	(cb_fill_type_changed), (cb_font_color_changed),
	(cb_angle_changed): fixed more auto style issues. [see Debian #757611]

2014-07-28  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-combo-color.c
	(go_combo_color_set_color_internal): Copy the pixbuf and set it
	back onto the image.  An ABI change in gtk means that changes no
	longer take effect right away if we just change the image's pixbuf
	directly.  Fixes #733350.

2014-07-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style.c (cb_outline_size_changed),
	(cb_line_size_changed): fixed persistence of line width.

2014-07-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_init): center ticks by default.
	* goffice/graph/gog-renderer.c (_draw_rotated_shape): add a missing
	cairo_restore() call.

2014-07-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-trend-line.c (gog_trend_line_init_style): fix another
	theme support issue.

2014-07-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-grid-line.c (gog_grid_line_init_style): fix theme
	support. [#733403]

2014-06-09  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-06-09  Morten Welinder <terra@gnome.org>

	* Release 0.10.17

2014-05-30  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (_go_math_init): Ensure test is locale
	independent.

2014-05-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: new GoUnit objects.
	* goffice/goffice.c (libgoffice_shutdown): ditto.
	* goffice/graph/gog-axis.c: Add control for 3D plots axes lengths. [#694746]
	* goffice/graph/gog-axis.h: ditto.
	* goffice/graph/gog-chart.c (gog_chart_view_3d_process): ditto.
	* goffice/utils/goffice-utils.h: new GoUnit objects.
	* goffice/utils/go-unit.c: ditto.
	* goffice/utils/go-unit.h: ditto.

2014-05-23  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-05-23  Morten Welinder <terra@gnome.org>

	* Release 0.10.16

2014-05-10  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-style.c (go_style_get_marker): Constify.

2014-05-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-graph.c (gog_graph_view_render): don't crash when
	selecting the 3d box.

2014-05-08  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-style.c (go_style_sax_load_line): Read
	auto-width.
	(go_style_line_sax_save): Save auto_width.  Don't save width when
	auto_width.
	(go_style_apply_theme): Apply font color.
	(go_style_font_sax_save): Save auto_color and auto_font (but see
	comments).
	(go_style_sax_load_font): Read auto-color.

	* goffice/graph/gog-axis.c (map_linear_calc_ticks): Keep values as
	integers as long as possible.

2014-05-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-line.c: restore dashes with dots.

2014-05-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-3d-box.c (gog_3d_box_class_init): add a view class for
	the 3d box to support data that are view dependent.
	* goffice/graph/gog-3d-box.h: ditto.
	* goffice/graph/gog-axis-line.c (xyz_process): change gog_chart_map_3d_new()
	signature to suppor the new view class.
	* goffice/graph/gog-chart-map-3d.c (xyz_map_3D_to_view),
	(gog_chart_map_3d_new), (gog_chart_map_3d_free): ditto.
	* goffice/graph/gog-chart-map-3d.h: ditto.
	* goffice/graph/gog-chart.c (gog_chart_view_3d_process): ditto.
	* goffice/graph/gog-grid-line.c (gog_grid_line_xyz_render): ditto.
	* goffice/graph/gog-grid.c (gog_grid_view_xyz_render): ditto.
	* plugins/plot_surface/gog-surface.c (gog_surface_view_render): ditto.

2014-05-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-3d-box.c (cb_g3d_update),
	(gog_3d_box_populate_editor): fixed criticals.

2014-05-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-graph-widget.c (idle_handler): don't use GDK_THREADS_*.
	[728793]

2014-04-30  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-04-30  Morten Welinder <terra@gnome.org>

	* Release 0.10.15

2014-04-29  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-dtoa.c (fmt_fp): Fix FMR.
	(go_dtoa): Speed up shortest-representation.

2014-04-28  Morten Welinder  <terra@gnome.org>

	* tests/test-format.c (test_general_format): Simple test for
	shortest-representation.

	* goffice/utils/go-format.c (go_render_general): When we have
	infinite room, just use go_dtoa to get the shortest
	representation.

	* goffice/math/go-dtoa.c (go_dtoa): Improve short-representation
	handling.

2014-03-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_number_element_to_odf):
	add arguments, change all callers and output gnm:min-integer-chars
	(go_format_output_number_to_odf): handle the difference between ? and #

2014-04-23  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/goffice-graph.h: add expand fields to GogPosition.
	* goffice/graph/gog-graph.c (gog_graph_class_init): make charts expand.
	* goffice/graph/gog-label.c (gog_text_view_render): fix alignment.
	* goffice/graph/gog-object.c (gog_object_get_manual_allocation): take expand
	field into account. [#728752]

2014-04-22  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-dtoa.c (go_dtoa): Mostly implement the
	shortest-version flag.

	* goffice/graph/gog-object-xml.c (gog_object_write_property_sax):
	Properly handle float/double properties.

	* goffice/utils/go-format.c (go_format_output_number_to_odf):
	Handle TOK_REPEATED_CHAR.

2014-04-21  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_number_to_odf):
	Improve phase detection.

2014-04-20  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_number_to_odf):
	Handle text formats here too.  That might not seem logical, but a
	text format really just has an "@" instead of some combination of
	0/#/?; all the other parts are handled identically.

2014-04-19  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_number_to_odf):
	Handle invisible characters again.

2014-04-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_get_manual_allocation): use
	available space when position is manual but size is automatic. [#728391]

2014-04-16  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-view.c (gog_view_size_request): Zero
	requisition before calling virtual method.  All callers expect
	this.

2014-04-15  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_filename_simplify): Fix argument
	type for g_lstat.

	* goffice/app/go-plugin.c (get_file_state_as_string): Use g_stat,
	not raw stat.

	* goffice/utils/go-style.c (go_style_marker_sax_save): Don't
	output (meaningless) values for things that are "auto".
	(go_style_line_sax_save): Ditto.

2014-04-14  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-dtoa.c (fmt_fp): Portability improvement.

2014-04-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-graph.c (gog_graph_class_init): explicitly allow manual
	charts size. [728134]
	* goffice/graph/gog-object.c (gog_object_get_manual_allocation): take
	manual size flags into account.

2014-04-13  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-object.c (cb_manual_size_changed): Use a
	canonical gboolean as argument to gtk_widget_set_visible.
	(cb_update_editor): Ditto.

2014-04-13  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-04-13  Morten Welinder <terra@gnome.org>

	* Release 0.10.14

2014-04-11  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_realize)
	(goc_canvas_unrealize): Install these as class methods, not
	signals.

2014-04-10  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-dtoa.c: When building with
	!GOFFICE_WITH_LONG_DOUBLE, don't use go_finitel.  Just assume we
	have isfinite.

	* goffice/canvas/goc-item.c (cb_hierarchy_changed): Renamed from
	cb_parent_changed.
	(goc_item_get_style_context): Also watch ::canvas.

2014-04-09  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_render_general): Drop a decimal by
	double-rounding the decimal string unless the string ends in '5'.

	* goffice/math/go-dtoa.c (go_dtoa): Improve long-double handling.

2014-04-07  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-dtoa.c (fmt_fp): Three fixes from musl.  (One we
	already had.)

	* goffice/app/go-plugin.c (go_plugin_db_deactivate_plugin_list):
	Another leak fix.
	(go_plugins_get_available_plugins): Introspection fix.

2014-04-04  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-dtoa.c (go_dtoa): New function.
	(fmt_fp): Fix buffer overrun.  Hit "%.3E" for 999999999.

	* goffice/utils/go-format.c: Use go_dtoa extensively.

2014-04-02  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_number_to_odf): Also
	flush string on '#' and '?'.

	* goffice/math/go-math.c (go_fake_round): Fix problem for 2^51 and
	like integers.
	(go_fake_roundl): Ditto, although for different set of numbers.
	(go_rint): Just use rint.

	* tests/test-format.c: New test program.

	* goffice/utils/go-format.c (go_format_output_conditional_to_odf):
	Use go_ascii_dtoa.
	(_go_number_format_init): Remove unused beyond_precision.

	* goffice/math/go-math.c (go_ascii_dtoa): New function.

2014-04-01  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_conditional_to_odf):
	Only use last condition as default if it is implicit.  If that in
	turn means we have no default, use General.

2014-04-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-rectangle.c (goc_rectangle_draw): always call
	cairo_restore().

2014-03-31  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_number_to_odf):
	Remove remaining cond_part references.  Handle embedded text.

2014-03-30  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-plot-engine.c
	(gog_trend_line_service_deactivate): Plug leak.
	(gog_plot_type_service_deactivate): Ditto.

	* goffice/app/go-plugin.c (go_plugin_db_deactivate_plugin_list):
	Retry failed deactivations as long as we make progress.  (Some
	plugins depend on others.)

2014-03-28  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_parse_color): Implement
	numbered colours instead of just parsing them.

2014-03-27  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_general_to_odf):
	Match what LO does for "General".
	(go_format_output_date_to_odf, go_format_output_to_odf): Make sure
	we don't accidentally output a non-character token as-if it was a
	single character.

2014-03-26  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_conditional_to_odf):
	Don't make up a number format with nothing but maps in it.  LO
	doesn't really like that.
	(go_format_output_simple_to_odf): New argument keep_open controls
	whether to close the outermost xml tag.
	(odf_output_color): New function.  Use this for all odf fornat
	colour output.

2014-03-25  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_to_odf): Handle
	conditional formats.
	(go_format_output_simple_to_odf): New function extracted from
	go_format_output_to_odf.
	(go_format_output_conditional_to_odf): New function.

2014-03-20 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_odf_style_map): fix format
	prefix strings

2014-03-20 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_odf_style_map): figure
	out the correct number of digits to use for condition values

2014-03-18  Morten Welinder <terra@gnome.org>

	* Release 0.10.13

2014-03-18  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-03-17  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-child-button.c
	(build_addition_process_children): Renamed from
	build_addition_process_childs.  Plug leak.

	* goffice/canvas/goc-canvas.c (goc_canvas_dispose): Dispose of
	->root instead of simply clearing it.

	* goffice/canvas/goc-item.c (goc_item_dispose): Dispose of style
	context, if we have one.

2014-03-16  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-polyline.c (goc_polyline_distance): Don't
	save and restore style->width.  Code was changed four years ago to
	copy the style.  And restoring after the _unref is bad.

	* goffice/canvas/goc-polygon.c (goc_polygon_distance): Ditto.

	* goffice/math/go-math.c (_go_math_init): Add test for buggy math
	library (probably caused by compiler bug).

2014-03-15  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-pango-extras.c (go_pango_translate_here): Plug
	leak.

2014-03-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_dispose): fix criticals
	related to style contexts destruction.

2014-03-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_init): really accept
	leave_notify events. [#668103][see also #706659]

2014-03-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_number_to_odf): write
	any started number.

2014-03-12  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-gsettings.c (go_conf_load_str_list): Don't
	reverse the order of elements.  Fixes #698630.

2014-03-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_number_to_odf): write
	invisible characters but also write blank for LO and friends

2014-03-06 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_scientific_number_to_odf):
	don't skip

2014-03-06 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_number_to_odf): write
	invisible characters; add argument
	(go_format_output_to_odf): adjust call to go_format_output_number_to_odf

2014-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-file.c (go_file_open): use GsfInputHTTP for URLs
	starting with "http://" or "https://". [see #724970]

2014-03-05  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.ac: add test for lsm_itex_to_mathml
	* plugins/lasem/component.c: use a local copy of lsm_itex_to_mathml and
	friend when not available. [#725693]
	* mmlitex/Makefile.am: remove extra DESTDIR. Patch from Julian
	Sikorski. [#725684]

2014-03-03  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-03-03  Morten Welinder <terra@gnome.org>

	* Release 0.10.12

2014-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-rotation-sel.c: fixed parent class.

2014-02-19  Jean Brefort  <jean.brefort@normalesup.org>

	* Makefile.am: add new mmlitex subdir.
	* configure.ac: need libxslt.
	* goffice/Makefile.am: add new files.
	* goffice/component/go-component.c: fix data cleaning issues.
	* goffice/graph/gog-equation.c: use the new GoMathEditor widget.
	* goffice/gtk/go-font-sel.c: add go_font_sel_get_color().
	* goffice/gtk/go-font-sel.h: ditto.
	* goffice/gtk/go-math-editor.c: new math editor widget.
	* goffice/gtk/go-math-editor.h: ditto.
	* goffice/gtk/go-rotation-sel.c: use GtkGrid as parent.
	* goffice/gtk/goffice-gtk.h: add the new GoMathEditor widget.
	* goffice/utils/go-mml-to-itex.c: new MathML to ITEX convertor.
	* goffice/utils/go-mml-to-itex.h: ditto.
	* goffice/utils/goffice-utils.h: ditto.
	* mmlitex/Makefile.am: ditto.
	* mmlitex/README: ditto.
	* mmlitex/cmarkup.xsl: ditto.
	* mmlitex/entities.xsl: ditto.
	* mmlitex/glayout.xsl: ditto.
	* mmlitex/mmlitex.xsl: ditto.
	* mmlitex/scripts.xsl: ditto.
	* mmlitex/tables.xsl: ditto.
	* mmlitex/tokens.xsl: ditto.
	* plugins/Makefile.am: new math equations component.
	* plugins/lasem/Makefile.am: ditto.
	* plugins/lasem/component.c: ditto.
	* plugins/lasem/plugin.xml.in: ditto.

2014-02-16  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-02-16  Morten Welinder <terra@gnome.org>

	* Release 0.10.11

2014-02-11  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-02-11  Morten Welinder <terra@gnome.org>

	* Release 0.10.10

2014-02-07  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (dt_add): && --> ||.  Fixes bug 723820.

2014-01-31  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-action-combo-pixmaps.c (cb_toolbar_reconfigured):
	Redo all icons here.

	* goffice/gtk/go-combo-color.c (go_combo_color_set_icon): New
	function.

	* goffice/gtk/go-combo-pixmaps.c
	(go_combo_pixmaps_clear_elements): New function.

	* goffice/gtk/go-action-combo-pixmaps.c (make_icon): Simplify
	sizing.

	* goffice/gtk/go-action-combo-color.c
	(go_action_combo_color_create_tool_item): Handle reconfiguration
	of the toolbar the item is in.
	(make_icon): Simplify sizing.

	* goffice/gtk/go-action-combo-stack.c
	(go_action_combo_stack_create_tool_item): Handle reconfiguration
	of the toolbar the item is in.

2014-01-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (gog_axis_base_set_property),
	(gog_axis_base_class_init): always save the axis position. [#722402]

2014-01-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip): fix compiler warning.
	[#721004]

2013-12-30  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_render_general): If we're not
	width-limited, add an extra digit if we don't round-trip properly.
	Fix dropping of ".00000".

2013-12-23  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c (go_quad_atan2_special): Do quarters too.

2013-12-18  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c (go_quad_sin, go_quad_sinpi)
	(go_quad_asin, go_quad_cos, go_quad_cospi, go_quad_acos): New
	functions.

	* goffice/math/go-complex.c (go_complex_from_polar_pi): Use
	go_sinpi and go_cospi.
	(go_complex_angle_pi): Use go_atan2pi.
	(go_complex_pow): Improve accuracy.

	* goffice/math/go-math.c (go_sinpi, go_cospi, go_tanpi): New
	functions.

2013-12-17  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (go_add_epsilon, go_sub_epsilon): Base
	upon C99's nextafter.

	* tests/test-quad.c (floor_tests): Test asin and acos.

	* goffice/math/go-quad.c (go_quad_acos, go_quad_asin): new
	functions.

	* goffice/math/go-complex.c (go_complex_from_polar_pi)
	(go_complex_angle_pi): Handle diagonals too.

2013-12-16  Morten Welinder  <terra@gnome.org>

	* tests/test-quad.c (main): Test hypot.

	* goffice/math/go-quad.c: Fix the on-axis case.  *Sigh*

2013-12-13  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_radar/gog-radar.c (gog_rt_series_update): fix elements
	number in polar plot series. [#720355]

2013-12-12  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.c (go_complex_pow): Improve prevention
	of intermediate overflow.

2013-12-12  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-boxplot.c
	(gog_box_plot_axis_get_bounds): fix crasher [#720310],
	(gog_box_plot_view_render): fix valgrind warning.

2013-12-07  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-font-sel.c (update_preview_after_face_change)
	(go_font_sel_set_style): Fix enum confusion.

2013-12-05  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c (go_quad_pi): New constant.
	(go_quad_log, go_quad_atan2, go_quad_atan2pi): New functions.

	* tests/test-quad.c (main): Check value of go_quad_2pi.
	Test go_quad_atan2.

2013-12-04  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.c (go_complex_pow): Fix class over
	premature overflow problems.

2013-12-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru.ui:fix graph guru appearance when used with
	gtk+-3.10. [#719681]

2013-11-28  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-11-28  Morten Welinder <terra@gnome.org>

	* Release 0.10.9

2013-11-19  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-pixbuf.c (go_pixbuf_load_attr): Handle crazy
	rowstride.  Attempt at a fix for #712663.

2013-11-10  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c (pi_hex_digits, ...): Keep one copy only,
	not one per type.

2013-11-04  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c (go_quad_pow, go_quad_exp)
	(go_quad_expm1, go_quad_floor): new functions.

	* goffice/math/go-quad.h (go_quad_one, go_quad_pi, go_quad_e)
	(go_quad_ln2, go_quad_sqrt2, go_quad_euler): Supply a handful of
	useful constants at high accuracy.

2013-10-07  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-10-07  Morten Welinder <terra@gnome.org>

	* Release 0.10.8

2013-10-04  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-optionmenu.c (go_option_menu_set_menu): When a
	new menu is set, clear the selected item.  [#709438]

2013-10-01  Morten Welinder  <terra@gnome.org>

	* goffice/Makefile.am (ALL_HDRS): We also need goffice.h

	* goffice/gtk/go-font-sel-dialog.c (go_font_sel_dialog_new):
	Actually implement.

	* goffice/Makefile.am (goffice.def): Don't export go_plugin_init
	and go_plugin_shutdown (which are prototyped because modules may
	defined them).
	(ALL_HDRS): Export gtk related headers too.

	* goffice/utils/go-styled-object.h: Remove
	go_styled_object_is_filled which isn't implemented.

2013-10-01  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.10-sections.txt: never redefine GtkJustfication,
	use GoJustification instead. [#709007]
	* goffice/graph/gog-axis-line.c (axis_line_render),
	(axis_circle_render): ditto.
	* goffice/graph/gog-color-scale.c (gog_color_scale_view_render): ditto.
	* goffice/graph/gog-label.c (gog_label_set_property),
	(gog_label_get_property), (gog_label_init), (gog_text_view_render): ditto.
	* goffice/graph/gog-legend.c (cb_render_elements): ditto.
	* goffice/graph/gog-renderer.c (gog_renderer_draw_gostring),
	(gog_renderer_draw_text): ditto.
	* goffice/graph/gog-renderer.h: ditto.
	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_view_render): ditto.

2013-09-26  Morten Welinder  <terra@gnome.org>

	* goffice/goffice.h: Don't check glib version when macro check
	will do.

2013-09-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/smoothing/gog-exp-smooth.c (gog_exp_smooth_update): protect
	against missing x values. [#708562]
	* plugins/smoothing/gog-moving-avg.c (gog_moving_avg_update): ditto.

2013-09-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart.c (gog_chart_axis_set_assign): do not remove
	extra axes after adding a plot. [#708292]

2013-09-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-color-scale.c (gog_color_scale_view_render): ensure that
	the scale doe not extend outside of its bounding box, especially when axis
	settings are wrong or missing.
	* goffice/gtk/go-combo-box.c: make gtk-doc happy.

2013-09-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: add subdir-objects option.

2013-09-01  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-09-01  Morten Welinder <terra@gnome.org>

	* Release 0.10.7

2013-08-27  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-08-27  Morten Welinder <terra@gnome.org>

	* Release 0.10.6

2013-08-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-line.c (gog_line_view_render): always allocate
	enough room for points. [#706663]

2013-08-20  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_draw): Fix redraw issues
	for gtk+ 3.9 and up.  Patch from Alexander Larsson <alexl@redhat.com>
	in bug 703124.

2013-08-19  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-08-19  Morten Welinder <terra@gnome.org>

	* Release 0.10.5

2013-08-17  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-xyz-surface.c
	(gog_xyz_matrix_plot_build_matrix),
	(gog_xyz_surface_plot_build_matrix): fix third axis range evaluation. See
	bug 705913, comment 23.

2013-08-15  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy-dropbar.c (gog_xy_dropbar_plot_update): fixed x/y
	confusion.
	* plugins/plot_xy/gog-xy-minmax.c (gog_xy_minmax_plot_update): ditto,
	(gog_xy_minmax_plot_finalize), (gog_xy_minmax_plot_class_init): unref the
	formats. See bug 705913, comment 6.
	* plugins/plot_xy/plot-types.xml.in: fixed min max plots types.

2013-08-15  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-xyz.c (gog_xyz_plot_update_3d),
	(gog_xyz_plot_get_x_vals), (gog_xyz_plot_get_y_vals): fixed memory leaks.

2013-08-14  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c (gog_contour_view_render): don't crash
	if there is no color is used. [#705913]

2013-08-11  Morten Welinder  <terra@gnome.org>

	* goffice/utils/formats.c (_go_format_builtins)
	(_go_format_currencies): Change from variabless to functions.
	Improve C standard compliance in the process.

2013-08-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c: fix build without gtk.
	* goffice/graph/gog-renderer.h: ditto.
	* goffice/utils/go-editor.c (go_editor_add_page): ditto.
	* goffice/utils/go-image.c (go_image_draw_fb),
	(go_image_get_pixbuf_fb), (go_image_new_from_data): ditto and fix crash
	when drawing a fallback image without gtk (from ssconvert). [#705677]

2013-08-05  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.10-sections.txt: make gtk-doc happy.
	* goffice/graph/gog-chart-map.c (xy_make_path_step): remove an unneeded
	lineto instruction.
	* goffice/math/go-matrix.c: make gtk-doc happy.
	* goffice/utils/go-path.c (go_path_add_points),
	(go_path_interpret_full), (go_path_copy),
	(go_path_copy_restricted), (go_path_append): two new functions and sanitize
	a few others.
	* goffice/utils/go-path.h: new functions.
	* plugins/plot_barcol/gog-line.c (gog_line_view_get_data_at_point),
	(gog_line_view_render):, (gog_line_view_class_init): implement
	get_data_at_point for area and line plots and fix rendring of stacked area
	plots. [#627277][#689661][#705034]
	* plugins/plot_xy/gog-xy.c (gog_xy_view_get_data_at_point): minor
	optimization.

2013-08-02  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-bubble-prefs.ui: fix area vs diameter selection.
	[#705312]

2013-07-30 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_to_odf): watch for conditions
	without format

2013-07-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-pixbuf.c (go_pixbuf_save),
	(go_pixbuf_load_data), (go_pixbuf_draw): fix more out of memory issues.
	[#705005]

2013-07-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-pixbuf.c (go_pixbuf_load_data): use g_try_malloc instead
	of g_malloc to avoid crashes. [#704560]

2013-07-18  Jean Brefort  <jean.brefort@normalesup.org>

	reviewed by: <delete if not using a buddy>

	* goffice/canvas/goc-ellipse.c (goc_ellipse_distance): fixed.
	* goffice/canvas/goc-path.c (goc_path_distance): fixed distance evaluation.
	[#704391]
	* goffice/canvas/goc-text.c (goc_text_set_property),
	(goc_text_prepare_draw), (goc_text_update_bounds),
	(goc_text_distance), (goc_text_draw), (goc_text_style_changed),
	(goc_text_class_init): fixed text position. [#704391]
	* goffice/canvas/goc-text.h: ditto.

2013-07-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-emf.c (go_emf_new_from_data), (go_emf_parse): protect
	against missing data. [#704311]

2013-07-15  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (go_linear_regression_leverage):
	Prescale.

2013-07-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/goffice-component.h: move includes outside of
	G_BEGIN_DECLS/G_END_DECLS.

2013-07-10  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-07-10  Morten Welinder <terra@gnome.org>

	* Release 0.10.4

2013-07-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-image.c (go_image_get_thumbnail),
	(go_image_get_pixbuf), (go_image_get_scaled_pixbuf),
	(go_image_set_name), (go_image_get_width), (go_image_get_height): protect
	against invalid image argument [#703949]

2013-07-09  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (general_linear_regression):
	Restore initialization of N2.  Prescale x values.

2013-07-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-pixbuf.c (go_pixbuf_save),
	(go_pixbuf_load_data), (go_pixbuf_draw): avoid writing to a NULL buffer.

2013-07-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-pixbuf.c (go_pixbuf_load_data): fix loading of image with
	invalid size or data. [#703740]

2013-07-05 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/go-doc.c (load_image): check for NULL attrs

2013-07-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-doc.c (go_doc_image_fetch): make it more secure.

2013-06-25  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-06-25  Morten Welinder <terra@gnome.org>

	* Release 0.10.3

2013-06-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-graph.c (gog_graph_finalize): destroy all sources.
	[#702887]
	* goffice/graph/gog-theme.c (gog_theme_get_color_map),
	(gog_theme_set_name), (gog_theme_set_description), (gog_theme_dup),
	(gog_theme_edit): check the argument type.

2013-06-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-label.c (gog_text_view_natural_size),
	(gog_text_view_class_init): implement natural_size().
	* goffice/utils/go-pattern.c (go_pattern_create_cairo_pattern): fix build.

2013-06-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-pattern.c (go_pattern_get_pattern),
	(go_pattern_create_cairo_pattern): don't use an invalid pattern.
	[see #702833]
	* goffice/utils/go-style.c (go_style_set_cairo_line): ditto.

2013-06-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru.ui: set a minimal size. [#699473]

2013-06-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-data-set.c (gog_dataset_dims),
	(gog_dataset_get_dim), (gog_dataset_set_dim): protect against a NULL set.
	(see #702126).

2013-06-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-matrix.c (gog_matrix_view_render): ensure that
	the plot is always rendered.

2013-06-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-xyz-surface-prefs.c
	(cb_missing_as_changed), (gog_xyz_surface_plot_pref): fixed "missing as"
	combo box.
	* plugins/plot_surface/gog-xyz-surface.c
	(gog_xyz_matrix_plot_build_matrix),
	(gog_xyz_surface_plot_build_matrix),
	(gog_xyz_surface_plot_set_property): force update when bins change.
	* plugins/plot_surface/gog-xyz-surface.h: make two halper functions public.

2013-06-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_get_color_scale): make public.
	* goffice/graph/gog-axis.h: ditto.
	* goffice/graph/gog-chart.c: ensure that contour plot slices don't appear in
	legend when a color scale is used.
	* plugins/plot_surface/chart_contour_2_2.svg: new pixmaps.
	* plugins/plot_surface/chart_matrix_1_1.svg: ditto.
	* plugins/plot_surface/chart_matrix_1_2.svg: ditto.
	* plugins/plot_surface/chart_matrix_1_3.svg: ditto.
	* plugins/plot_surface/chart_surface_2_3.svg: ditto.
	* plugins/plot_surface/Makefile.am: new files.
	* plugins/plot_surface/gog-contour.c: make compatible with XY plots.
	* plugins/plot_surface/gog-contour.h: ditto.
	* plugins/plot_surface/gog-matrix.c: new matrix plots. [#657918][#680806]
	* plugins/plot_surface/gog-matrix.h:
	* plugins/plot_surface/gog-surface.c: make compatible with XY plots.
	* plugins/plot_surface/gog-xyz-surface-prefs.c: ditto.
	* plugins/plot_surface/gog-xyz-surface-prefs.ui: ditto.
	* plugins/plot_surface/gog-xyz-surface.c: add new plot types.
	* plugins/plot_surface/gog-xyz-surface.h: ditto.
	* plugins/plot_surface/gog-xyz.c: ditto.
	* plugins/plot_surface/gog-xyz.h: ditto.
	* plugins/plot_surface/matrix.xpm: new pixmap
	* plugins/plot_surface/plot-types.xml.in: add new plot types.
	* plugins/plot_surface/plugin.xml.in: ditto.
	* plugins/plot_surface/xl-surface.c: make compatible with XY plots.

2013-06-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-label.c (gog_reg_eqn_populate_editor): allow regression
	equation frame to rotate with text. [#701546]

2013-05-31  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-color-scale.c
	(gog_color_scale_set_orientation), (position_fill_cb),
	(position_changed_cb), (direction_changed_cb),
	(gog_color_scale_set_property), (gog_color_scale_class_init),
	(gog_color_scale_view_size_request),
	(gog_color_scale_view_size_allocate),
	(gog_color_scale_view_render), (gog_color_scale_view_class_init): allow
	color scales to have titles. [#688595]
	* goffice/graph/gog-label.c (gog_text_init_style): ditto.

2013-05-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/goffice.c (libgoffice_init): fixed warnings.
	* goffice/graph/gog-view.h: ditto.
	* goffice/gtk/go-combo-box.h: ditto.
	* goffice/math/go-R.h: ditto.
	* goffice/utils/go-glib-extras.c: ditto.

2013-05-21  Morten Welinder  <terra@gnome.org>

	* goffice/goffice.c (libgoffice_init): Install the unknown_image
	icon here.

2013-05-13  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-svg.c: Try another variant of previous fix.

2013-05-12  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (general_linear_regression): Take
	threshold argument.  All callers changed.  Detect and mark
	degenerate dimensions; adjust degrees-of-freedom accordingly.
	Compute coefficient variances in a way that negatives can be ruled
	out.

	* goffice/math/go-matrix.c (go_quad_matrix_dump): New function for
	debugging.
	(go_quad_qr_determinant): Move the determinant computation here.
	(go_quad_qr_mark_degenerate): New function.
	(go_quad_matrix_back_solve, go_quad_matrix_fwd_solve): Handle
	degenerate dimensions.

2013-05-11  Morten Welinder  <terra@gnome.org>

	* goffice/component/go-component.c: Fix issue with librsvg includes.
	* goffice/utils/go-svg.c: Ditto.  Fixes #695167.

2013-05-03  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (go_matrix_pseudo_inverse): Improve
	algorithm.

2013-05-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: add new UI file.
	* goffice/goffice.c (libgoffice_init): implement color scales.
	* goffice/graph/goffice-graph.h: ditto.
	* goffice/graph/gog-axis-color-map.c: ditto.
	* goffice/graph/gog-axis-color-map.h: ditto.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-axis.h: ditto.
	* goffice/graph/gog-chart.c: ditto.
	* goffice/graph/gog-color-scale-prefs.ui: new UI file.
	* goffice/graph/gog-color-scale.c: implement color scales.
	* goffice/graph/gog-color-scale.h: ditto.
	* goffice/graph/gog-object.c: fix manual size issues.
	* goffice/graph/gog-renderer.c (gog_renderer_draw_color_map): new
	function.
	* goffice/graph/gog-renderer.h: ditto.
	* goffice/graph/gog-theme.c (build_predefined_themes): add color scale.
	* goffice/graph/gog-view.c (gog_view_size_allocate_real): fix
	manual size issues.
	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem): don't crash when inverting the
	pseudo-3d axis.
	* plugins/plot_surface/gog-xyz-prefs.c: add an option to not show
	the colors in the legend.
	* plugins/plot_surface/gog-xyz-prefs.ui: ditto.

2013-04-30  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (go_matrix_pseudo_inverse): New
	function.

2013-04-26  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-04-26  Morten Welinder <terra@gnome.org>

	* Release 0.10.2

2013-04-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-font-sel.c (gfs_screen_changed): ensure a full
	initialization of all fields in the font selector. [#698867]

2013-04-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series.c (gog_series_populate_editor): hide the skip
	invalid checkbox for line and area plots.
	* plugins/plot_barcol/gog-line.c (gog_line_view_render): fixed skip invalid
	test.

2013-04-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-prefs.ui: fix interpolation selector.
	* goffice/graph/gog-series.c (gog_series_set_property),
	(cb_line_interpolation_changed), (gog_series_populate_editor): ditto.
	* goffice/utils/go-style.c (outline_init):
	* plugins/plot_barcol/gog-1.5d.c (go_plugin_init): add new area series type.
	* plugins/plot_barcol/gog-line.c: implement interpolation in line and area
	plots. [#698534]
	* plugins/plot_barcol/gog-line.h: ditto.

2013-04-24  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-widget.c (goc_offscreen_box_size_allocate):
	Clip crazy height/width to avoid program crash.

2013-04-19  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-action-combo-color.c
	(go_action_combo_color_create_tool_item): Show arrow only in
	horizontal mode.

	* goffice/gtk/go-combo-pixmaps.c (cb_preview_clicked): If arrow
	isn't shown, just pop up the choices.

	* goffice/gtk/go-action-combo-pixmaps.c
	(go_action_combo_pixmaps_create_tool_item): Show arrow only in
	horizontal mode.

	* goffice/gtk/go-combo-box.c (go_combo_box_class_init): Install
	"title" and "show-arrow" properties.

2013-04-18  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-combo-box.c (go_combo_box_dispose): Rename from
	go_combo_box_destroy and hooked up accordingly.

	* goffice/gtk/go-combo-pixmaps.c (go_combo_pixmaps_init): Keep a
	ref to grid.
	(go_combo_pixmaps_screen_changed): Install as class handler, not
	explicit signal.
	(go_menu_pixmaps_add_element): Remove workaround for gtk+ 2.16
	bug.

2013-04-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c (gog_renderer_export_image): don't cache
	markers when exporting to svg until things are fixed in cairo
	(https://bugs.freedesktop.org/show_bug.cgi?id=63633). [#698162]

2013-04-16  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_file_sel_dialog): Don't use
	hack post gtk+ 3.4.

2013-04-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-editor.c (go_editor_add_page): add a reference to the
	widget when not using a scrolled window. Avoids unrefing a disposed object.
	[#698150]

2013-04-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_set_transform): fix test. [#698101]
	* goffice/utils/go-editor.c (go_editor_new): initialize
	GOEditor::use_scrolled. [#698102]

2013-04-15  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): fixed style in scatter plot
	after a valid but with invisible line series. [#698057]

2013-04-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style.c (font_init): show the font face selector.
	[#697243]

2013-03-30  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c (go_component_set_property),
	(go_component_get_property), (go_component_finalize),
	(go_component_class_init), (go_component_init),
	(go_component_duplicate), (go_component_set_inline),
	(go_component_get_inline), (go_component_set_use_font_from_app),
	(go_component_get_use_font_from_app): new property and functions.
	* goffice/component/go-component.h: ditto.

2013-03-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_get_editor): force pages inside a
	scrolled window.
	* goffice/utils/go-editor.c (go_editor_add_page),
	(go_editor_set_store_page), (go_editor_set_use_scrolled_window): make the
	scrolled window optional. [#696825]
	* goffice/utils/go-editor.h:

2013-03-27  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-widget.c (goc_widget_connect_signals): Plug
	leak.
	(goc_widget_set_widget): Properly disconnect signals.

2013-03-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-widget.c (goc_widget_connect_signals),
	(goc_widget_set_widget): connetc the signals to all widgets including those
	 inside a container. [#696533]

2013-03-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-widget.c (goc_widget_distance): fixed distance
	evaluation. This ensure that the cursor is correctly updated.

2013-03-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-format-sel.ui: fix currency selector visibility. [#696647]

2013-03-26  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-pattern.c (go_pattern_is_solid): Handle greys.

	* goffice/canvas/goc-group.c (goc_group_add_child): Only notify of
	canvas changes when the canvas actually does change.

	* goffice/canvas/goc-item.c (goc_item_get_style_context): Track
	parent changes.

2013-03-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_draw),
	(goc_item_draw_region): simplify.

2013-03-25  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-item.c (goc_item_get_style_context): Avoid
	3.4 dependency.

2013-03-25  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-dropbar.c (gog_dropbar_view_render): one more
	uninitialized value issue fixed.

2013-03-25  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-barcol.c (gog_barcol_view_render): don't use
	uninitialized values. [#696569]

2013-03-25  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-polyline.c (goc_polyline_draw): Fix cairo
	save stack imbalance.

2013-03-23  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-item.c (goc_item_get_style_context): New
	function.

2013-03-22  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-optionmenu.c (go_option_menu_position): Plug
	leak.

2013-03-21  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-optionmenu.c (go_option_menu_build): New
	function.

	* goffice/gtk/go-font-sel.c: Add underline support.

2013-03-20  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-optionmenu.c (go_option_menu_set_history): Plug
	leak.
	(go_option_menu_get_menu): New function.

	* goffice/gtk/go-font-sel.c: Add color group.
	(go_font_sel_set_color): Add is_default argument and make this
	public.

	* goffice/gtk/go-color-group.c (go_color_group_finalize): Don't
	leak the hash.

	* goffice/gtk/go-combo-color.c (go_combo_color_class_init): Fix
	type of first argument of color_changed signal.  Fixes #696022.

2013-03-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-ellipse.c (goc_ellipse_prepare_draw),
	(goc_ellipse_update_bounds), (goc_ellipse_distance),
	(goc_ellipse_draw): fixed line width.
	* goffice/canvas/goc-path.c (goc_path_prepare_draw),
	(goc_path_update_bounds), (goc_path_draw): fixed line width and position
	in RTL canvas.
	* goffice/canvas/goc-polygon.c (goc_polygon_prepare_path),
	(goc_polygon_update_bounds), (goc_polygon_distance),
	(goc_polygon_draw): ditto.
	* goffice/canvas/goc-polyline.c (goc_polyline_prepare_draw),
	(goc_polyline_draw): ditto.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_prepare_draw),
	(goc_rectangle_update_bounds), (goc_rectangle_draw): fixed line width.
	* goffice/canvas/goc-styled-item.c
	(goc_styled_item_set_cairo_line),
	(goc_styled_item_get_scale_line_width),
	(goc_styled_item_set_scale_line_width): new helper functions.
	* goffice/canvas/goc-styled-item.h: ditto.

2013-03-20  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-font-sel.c (reload_faces): Use
	go_font_sel_set_style to restore user's choice, not string
	matching on face name.  Fixes #696168.

2013-03-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-arc.c (goc_arc_prepare_draw): make item
	transform work.
	* goffice/canvas/goc-canvas.c (button_press_cb): typo.
	* goffice/canvas/goc-circle.c (goc_circle_draw),
	(goc_circle_update_bounds): make item transform work.
	* goffice/canvas/goc-component.c (goc_component_draw),
	(goc_component_update_bounds): ditto.
	* goffice/canvas/goc-ellipse.c (goc_ellipse_prepare_draw): ditto.
	* goffice/canvas/goc-group.c (goc_group_cairo_transform): ditto.
	* goffice/canvas/goc-image.c (goc_image_draw): ditto.
	* goffice/canvas/goc-item.c (goc_item_draw),
	(goc_item_draw_region), (_goc_item_transform): ditto.
	* goffice/canvas/goc-item.h: ditto.
	* goffice/canvas/goc-line.c (goc_line_update_bounds),
	(goc_line_draw): ditto.
	* goffice/canvas/goc-path.c (goc_path_prepare_draw):
	* goffice/canvas/goc-pixbuf.c (goc_pixbuf_update_bounds),
	(goc_pixbuf_draw): ditto.
	* goffice/canvas/goc-polygon.c (goc_polygon_update_bounds),
	(goc_polygon_draw): ditto.
	* goffice/canvas/goc-polyline.c (goc_polyline_prepare_draw): ditto.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_prepare_draw): ditto.
	* goffice/canvas/goc-text.c (goc_text_prepare_draw),
	(goc_text_update_bounds), (goc_text_distance), (goc_text_draw): ditto.
	* goffice/utils/go-emf.c (go_emf_movetoex), (go_emf_exttextoutw):
	start work on text support.

2013-03-18  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-font-sel.c (reload_families): Add more observed.
	(my_get_face_name): Go a little crazy with resolving aliases and
	typos.

2013-03-17  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-optionmenu.c (go_option_menu_button_press): Focus
	on click if button is set to do that.

2013-03-16  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_grid_remove_row): New
	function.

2013-03-14  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-font-sel.c (gfs_fill_font_name_list): Implement
	font filtering.

	* goffice/gtk/go-font-sel-dialog.c: Just delegate to GOFontSel.
	(gfsd_init): Set a title.

	* goffice/gtk/go-font-sel.c: Implement the GtkFontChooser
	interface.

	* goffice/gtk/go-font-sel-dialog.c (gfsd_get_property)
	(gfsd_set_property): Partially implement.

	* goffice/gtk/go-font-sel.c (gfs_class_init): Default show-style
	to FALSE.
	(go_font_sel_set_style): Make this public and use pango type args.
	(go_font_sel_set_sample_attributes): Handle super and subscript.
	(go_font_sel_get_font_desc): New function.

	* goffice/gtk/goffice-gtk.c (go_gtk_widget_replace): New function.

	* goffice/utils/go-pango-extras.c (go_pango_measure_string): Move
	from goffice/gtk/goffice-gtk.c

	* goffice/gtk/go-font-sel.c (gfs_class_init): Add constructor
	since we depend on construction parameters.

2013-03-13  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-font-sel.c (go_font_sel_get_font): Make it clear
	that this doesn't work and hasn't done so for a while.
	(gfs_class_init): Use proper widget hierarchy.

	* goffice/gtk/go-optionmenu.c (go_option_menu_init): Be nice and
	mark composite child.

2013-03-12  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-optionmenu.c (go_option_menu_position): Simplify
	and make it work for menu items that aren't check items.
	(go_option_menu_select_item): Make public.

	* goffice/utils/go-glib-extras.c (go_slist_create): Constify.

2013-03-10  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c: Bring a blunt clue bat to the
	attention of gtk-doc.
	* goffice/math/go-cspline.c: ditto.

	* goffice/math/go-cspline.c (go_csplinel_get_type): Fix reversed
	conditionals.

	* goffice/app/file.c (GOFileOpener): Add property getters and
	setters.  Add interactive property.
	* goffice/app/file.c (GOFileSaver): Add interactive property.

2013-03-09  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-03-09  Morten Welinder <terra@gnome.org>

	* Release 0.10.1

2013-03-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-emf.c (go_emf_new_from_file),
	(go_emf_new_from_data), (go_emf_parse): Load imege size fro the data.

2013-03-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-arc.c (goc_arc_draw): removed an extra cairo_save().
	* goffice/utils/go-emf.c (go_emf_fillpath),
	(go_emf_strokeandfillpath), (go_emf_polypolygon16): Fixed fill rule.

2013-03-07  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-ellipse.c (goc_ellipse_distance): Avoid C++
	comment.
	* goffice/canvas/goc-group.c (goc_group_distance): Ditto.
	* goffice/canvas/goc-path.c (goc_path_distance): Ditto.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_distance): Ditto.
	* goffice/utils/go-emf.c (go_emf_load_data): Ditto.

	* goffice/canvas/goc-arc.c (goc_arc_prepare_draw): Avoid C++
	comment and rewrite arc type handling.

2013-03-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-emf.c (go_emf_polypolygon),
	(go_emf_setpolyfillmode), (go_emf_selectobject), (go_emf_ellipse),
	(go_emf_rectangle), (go_emf_extcreatepen): more fixes.

2013-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-emf.c (go_emf_ellipse), (go_emf_rectangle),
	(go_emf_roundrect), (_go_emf_arc), (go_emf_arc), (go_emf_chord),
	(go_emf_pie): implement more primitives.

2013-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* tests/pie-demo.c (main): fix deprecation issues.

2013-03-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_populate_editor): show the format page.

2013-03-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style.c (text_layout_init): show the widget.

2013-03-03  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-combo-pixmaps.c (go_menu_pixmaps_add_element):
	Add extra tooltip argument.

	* goffice/gtk/go-color-palette.c (go_color_palette_make_menu): Add
	tooltip for menu mode too.  Fixes #695032.

2013-02-28  Morten Welinder  <terra@gnome.org>

	* configure.ac: remove the DISABLE_DEPRECATED defines even from
	development versions.  We now get the information through gcc
	warnings.

2013-02-26  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-barcol.c (gog_barcol_view_render): make data
	labels position independant on scale. [#694731]
	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): ditto.

2013-02-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-styled-object.c (gog_style_new): returns GogStyle* to
	avoid confuse introspection.
	* goffice/graph/gog-styled-object.h: ditto.

2013-02-23  Morten Welinder  <terra@gnome.org>

	* */*.c: Avoid G_OBJECT casts for g_object_ref and g_object_unref.

2013-02-21  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-plugin-service.c
	(go_plugin_service_resource_read_xml): Fix potential free of
	random memory.

2013-02-21  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (general_linear_regression): Drop
	the memset.  The constructor does it and with ref-counting it
	doesn't work.

2013-02-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c (go_component_build_snapshot): always
	return an initialized value. [#694231]
	* plugins/plot_barcol/gog-line.c (gog_line_view_render): do not use invalid
	values. [#694232]

2013-02-17  Morten Welinder  <terra@gnome.org>

	* configure.ac (set_more_warnings): Improve support for clang.

2013-02-16  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (general_linear_regression): memset
	the right size.

2013-02-15  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-selector.c (go_selector_new): Remove check for
	gtk 2.8.x or later.

	* goffice/gtk/goffice-gtk.c (go_gtk_builder_load): We no longer
	need the dead kitten for GtkGrid.
	* goffice/graph/gog-label.c (gog_label_populate_editor): Ditto.

2013-02-14  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-color-selector.c (cb_color_dialog_response): Kill
	warning.

2013-02-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object-xml.c (gog_object_write_property_sax): back to
	GogStyle to preserve compatibility.
	* goffice/graph/gog-styled-object.c (gog_styled_object_class_init): ditto.
	* goffice/graph/gog-styled-object.h: don't deprecate gog_style_new().

2013-02-14  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.ac: bump Gtk+ requirement to 3.2.0.

2013-02-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object-xml.c (gog_object_write_property_sax): always
	save a GogStyle for compatibility.
	* goffice/graph/gog-styled-object.c (gog_styled_object_class_init): use
	GOStyle for style property.
	* others: replaced all GtkTable uses.

2013-02-07  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (back_solve): Fix infinite loop.

2013-01-30  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_populate_editor): do not show the
	rotation button for axes other than circular.

2013-01-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-prefs.ui: add a user interface for discrete
	circular axis rotation.
	* goffice/graph/gog-axis.c (gog_axis_populate_editor): ditto.
	* goffice/graph/gog-plot.c (gog_plot_populate_editor): add a user interface
	for radar and polar plots axis selection. [#692803]

2013-01-24  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (go_linear_regression_leverage):
	Fix cleanup.
	(QRH): Fix cleanup in the error case.

2013-01-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-labels.c (gog_series_labels_class_init): really
	accept a label offset larger than 10.

2013-01-22  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (go_linear_solve_multiple): New
	function extracted from go_linear_solve.

2013-01-17  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (QRH): Make qdet argument optional.
	(back_solve, fwd_solve): New functions extracted from and used
	throughout.
	(go_linear_regression_leverage): New function.

2013-01-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-smoothed-curve.c
	(gog_smoothed_curve_parent_changed): call parent class
	implementation.  Fix crash after deleting a named smoothed
	curve. [#691796]

2013-01-15  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-spectre.c (create_file): Helper to make sure
	entire contents gets written to temporary file.
	(go_spectre_load_data): Use create_file.
	(go_spectre_new_from_data): Use create_file.

2013-01-15  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.ac: renamed configure.in and update obsolete macros.
	* configure.in: ditto.

2013-01-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-labels.c (used_selection_changed_cb):
	don't add an extra separator at start of the format string.
	[#691704]

2013-01-13  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (QRH): New QR decomposition code
	based on Householder matrices.
	(QR, LUPDecomp, rescale, backsolve): Remove.
	(go_linear_solve, go_matrix_determinant): Base on QR
	decomposition.

2013-01-08  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (QR): Fix debug code.

2013-01-01  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-chart-map.c (polar_make_path_step): Remove
	unused variables.
	* goffice/math/go-regression.c (general_linear_regression): Ditto.
	* goffice/graph/gog-guru.c (cb_key_press_event): Ditto.
	* goffice/gtk/go-locale-sel.c (ls_get_property, ls_set_property):
	Ditto.

2012-12-18  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2012-12-18  Morten Welinder <terra@gnome.org>

	* Release 0.10.0

2012-12-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c (go_component_set_font): make it return
	TRUE when size changed.
	* goffice/component/go-component.h: ditto.

2012-12-03  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: rquire lasem >= 0.4.1.
	* goffice/Makefile.am: add goffice-debug.h.
	* goffice/goffice-debug.h: new private header.
	* goffice/app/go-plugin.c: moved debug declarations to goffice-debug.h.
	* goffice/app/go-plugin.h: ditto.
	* goffice/graph/goffice-graph.h: ditto.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-object.c: ditto.
	* goffice/graph/gog-renderer.c: ditto.
	* goffice/graph/gog-view.c: ditto.

2012-11-29  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2012-11-29  Morten Welinder <terra@gnome.org>

	* Release 0.9.91

2012-11-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: add two new .ui files.
	* goffice/app/go-plugin.c: use GO_R_OK.
	* goffice/component/go-component.c: constify an argument.
	* goffice/component/go-component.h: ditto.
	* goffice/graph/gog-axis-color-map-prefs.ui: add a title.
	* goffice/graph/gog-axis-color-map.c: add gog_color_map_delete().
	* goffice/graph/gog-axis-color-map.h: ditto.
	* goffice/graph/gog-theme-editor.ui: theme editor user interface.
	* goffice/graph/gog-theme.c: new code to edit themes.
	* goffice/graph/gog-theme.h: ditto.
	* goffice/graph/new-theme-prefs.ui: ditto.
	* goffice/gtk/goffice-gtk.c: use GO_W_OK.
	* goffice/utils/go-file.h: define GO_X_OK and friends.

2012-11-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-locale-sel.c: fixed typos in locales list. [#688977]

2012-11-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2012-11-16  Morten Welinder <terra@gnome.org>

	* Release 0.9.90

2012-11-15 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_str_delocalize): delocalize
	"\ " to " "

2012-11-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c (gog_renderer_get_pixbuf),
	(_gsf_gdk_pixbuf_save), (gog_renderer_export_image): removed ifdef
	GOFFICE_WITH_GTK around gdk_pixbuf calls.

2012-11-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-theme.c (theme_loaded): fixed series style.
	* plugins/plot_pie/gog-pie.c (gog_pie_view_render): fixed a leak.

2012-11-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style.c (go_style_init): adjust bevel limit.

2012-11-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-theme.c (elem_start), (parse_done_cb),
	(gog_theme_prep_sax): avoid warnings when loading a known theme,
	(gog_theme_fillin_style): fix auto fields.

2012-11-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-emf.c (go_dib_create_pixbuf_from_data): read 24 bits
	images.

2012-11-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-color-map.c:
	* goffice/graph/gog-theme.c (gog_theme_set_name),
	(gog_theme_set_description), (gog_theme_dup), (gog_theme_edit): prepare for
	theme edition.
	* goffice/graph/gog-theme.h: ditto.
	* goffice/utils/go-emf.c (go_emf_parse): do not crash when loading an .xls
	file with an embedded EMF. [#688047]

2012-11-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_scientific_number_element_to_odf):
	add argument
	(go_format_output_scientific_number_to_odf): fix checking for literal E

2012-11-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* office/gtk/go-format-sel.c (cb_force_exponent_sign_toggle): new
	(fmt_dialog_enable_widgets): add widget and handle F_FORCE_EXPONENT_SIGN_BUTTON
	(nfs_init): add widget and connect cb_force_exponent_sign_toggle
	* goffice/gtk/go-format-sel.ui: add checkbox
	* goffice/utils/go-format.c (go_format_generate_scientific_str): use
	exponent_sign_forced
	(go_format_details_init): initialize exponent_sign_forced
	(go_format_get_details): determine exponent_sign_forced
	* goffice/utils/go-format.h: add exponent_sign_forced field to details

2012-11-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_execute): fix placement of minus sign

2012-11-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_parse): use 32 bits for the locale

2012-11-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-color-map.c (color_map_load_from_uri): cosmetic
	changes.
	* goffice/graph/gog-graph.c (gog_graph_populate_editor): use Id instead
	of name to list themes.
	* goffice/graph/gog-theme.c (gog_theme_sax_save),
	(gog_theme_registry_lookup), (theme_load_from_uri): make embedded theme
	saving really work.

2012-11-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-graph-prefs.ui: add a button to save an embedded
	theme.
	* goffice/graph/gog-graph.c (cb_theme_changed), (save_theme_cb),
	(gog_graph_populate_editor): ditto.
	* goffice/graph/gog-theme.c (gog_theme_save_to_home_dir): new function,
	(gog_theme_registry_get_theme_names), (theme_load_from_uri): fix a
	locale related issue.
	* goffice/graph/gog-theme.h: ditto.

2012-11-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-doc.c (go_doc_write), (load_color_map),
	(load_theme), (go_doc_read): serialize custom themes.
	* goffice/graph/gog-axis-color-map.c (gog_axis_color_map_write),
	(gog_axis_color_map_save), (gog_axis_color_map_persist_init),
	(_gog_axis_color_maps_shutdown): cosmetic changes.
	* goffice/graph/gog-graph.c (gog_graph_get_property),
	(gog_graph_populate_editor), (gog_graph_sax_save),
	(gog_graph_prep_sax), (gog_graph_persist_init), (theme_loaded_cb),
	(gog_graph_set_theme): serialize custom themes.
	* goffice/graph/gog-theme.c (gog_theme_set_property),
	(gog_theme_get_property), (gog_theme_element_free),
	(gog_theme_finalize), (gog_theme_class_init), (gog_theme_init),
	(save_name_cb), (save_desc_cb), (save_elem_cb),
	(save_series_style_cb), (gog_theme_build_uri),
	(gog_theme_sax_save), (gog_theme_save), (theme_start),
	(name_start), (name_end), (desc_end), (gog_theme_add_element),
	(elem_start), (color_map_start), (theme_loaded), (parse_done_cb),
	(gog_theme_prep_sax), (gog_theme_persist_init),
	(gog_theme_find_element), (gog_theme_new), (gog_theme_get_id),
	(gog_theme_get_description), (gog_theme_get_resource_type),
	(gog_theme_registry_lookup), (build_predefined_themes),
	(theme_load_from_uri), (_gog_themes_shutdown):
	* goffice/graph/gog-theme.h: ditto.
	* goffice/utils/go-style.c (go_style_force_auto),
	(go_style_clear_auto): ditto.
	* goffice/utils/go-style.h: ditto.
	* goffice/utils/goffice-utils.c: ditto.
	* goffice/utils/goffice-utils.h: ditto.

2012-11-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-doc.c (go_doc_write), (load_color_map),
	(go_doc_save_resource): simplify.
	* goffice/app/go-doc.h: ditto.
	* goffice/graph/gog-axis-color-map-prefs.ui: only save a modified map.
	* goffice/graph/gog-axis-color-map.c
	(gog_axis_color_map_set_property),
	(gog_axis_color_map_get_property), (gog_axis_color_map_class_init),
	(save_name_cb), (build_uri), (gog_axis_color_map_write),
	(color_stop_start), (map_start), (name_start), (name_end),
	(color_stops_cmp), (gog_axis_color_map_save), (color_map_loaded),
	(parse_done_cb), (gog_axis_color_map_prep_sax),
	(gog_axis_map_persist_init),
	(gog_axis_color_map_get_resource_type),
	(gog_axis_color_map_set_name), (gog_axis_color_map_dup),
	(update_snapshots), (gog_axis_color_map_edit),
	(gog_axis_color_map_from_colors), (gog_axis_color_map_get_from_id),
	(_gog_axis_color_maps_init), (_gog_axis_color_maps_shutdown): implement
	color map duplication.
	* goffice/graph/gog-axis-color-map.h: ditto.
	* goffice/graph/gog-axis-prefs.ui: ditto.
	* goffice/graph/gog-axis.c (gog_axis_sax_save): save a color map loaded
	from a document, (color_map_dup_cb), (color_map_save_cb),
	(color_map_changed_cb), (gog_axis_populate_editor): color map duplication.
	* goffice/graph/gog-theme.c (build_predefined_themes),
	(theme_load_from_uri): ditto.
	* goffice/utils/go-persist.c: fix includes.
	* goffice/utils/goffice-utils.c (go_resource_type_get_type): add new enum.
	* goffice/utils/goffice-utils.h: ditto.

2012-11-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-color-map-prefs.ui: make it functional.
	* goffice/graph/gog-axis-color-map.c (gog_axis_color_map_finalize),
	(gog_axis_color_map_get_snapshot), (gog_axis_color_map_save),
	(gog_axis_color_map_compare), (update_snapshots), (erase_cb),
	(define_cb), (bin_changed_cb), (gog_axis_color_map_edit),
	(gog_axis_color_map_from_colors), (color_map_loaded),
	(color_map_load_from_uri), (_gog_axis_color_maps_init): implement the
	creation of a new color map.
	* goffice/graph/gog-axis.c (gog_axis_set_property),
	(color_map_new_cb), (gog_axis_populate_editor): ditto.

2012-11-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru.c (cb_graph_guru_delete_item): select another
	child with the same type when one exists instead of the parent. [#687102]

2012-11-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: add goffice-utils.c.
	* goffice/app/go-doc.c (go_doc_finalize), (go_doc_write),
	(load_color_map), (go_doc_read), (go_doc_save_color_map): save and load
	used color maps.
	* goffice/app/go-doc.h: ditto.
	* goffice/graph/gog-axis-color-map.c (gog_axis_color_map_finalize),
	(gog_axis_color_map_init), (gog_axis_color_map_get_id),
	(gog_axis_color_map_from_colors), (save_name_cb),
	(gog_axis_color_map_write), (color_stop_start), (map_start),
	(name_start), (name_end), (color_map_loaded),
	(color_map_load_from_uri), (parse_done_cb),
	(gog_axis_color_map_sax_push_parser),
	(gog_axis_color_map_get_from_id), (_gog_axis_color_maps_init): ditto.
	* goffice/graph/gog-axis-color-map.h: ditto.
	* goffice/graph/gog-axis.c (gog_axis_prep_sax),
	(gog_axis_sax_save), (gog_axis_set_property),
	(gog_axis_get_property), (gog_axis_persist_init): ditto.
	* goffice/utils/goffice-utils.h: new uuid generator copied from
	telepathy-gabble.
	* goffice/utils/goffice-utils.c: new file.

2012-11-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am:  add new ui file.
	* file goffice/app/go-doc.c: add support for color maps.
	* file goffice/app/go-doc.h: ditto.
	* file goffice/app/goffice-app.h: ditto.
	* file goffice/goffice.h: ditto.
	* file goffice/graph/goffice-graph.h: ditto.
	* goffice/graph/gog-axis-color-map-prefs.ui: new ui file.
	* goffice/graph/gog-axis-color-map.c: new functions.
	* goffice/graph/gog-axis-color-map.h: ditto.
	* goffice/graph/gog-axis-prefs.ui: allow for color map changes.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-color-scale.c: minor update.
	* goffice/graph/gog-graph.c: make sure we can access the GODoc when loading.
	* goffice/graph/gog-graph.h: ditto.
	* goffice/graph/gog-object-xml.c: ditto.
	* goffice/graph/gog-object.c: ditto.
	* goffice/graph/gog-theme.c: minor update.
	* plugins/plot_surface/gog-contour.c: interpolate colors when using a color
	map with less colors than there are levels.

2012-10-28  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (go_regression_stat_destroy): Plug
	leak.

	* goffice/app/go-conf-gsettings.c (go_conf_free_node): Plug leak.
	(go_conf_get_node): Plug leak.

	* goffice/graph/gog-theme.c (gog_theme_finalize): Get rid of ->dcm
	too.

2012-10-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: new objects.
	* goffice/graph/goffice-graph.h: ditto.
	* goffice/graph/gog-axis.c (gog_axis_init_style), (gog_axis_init),
	(gog_axis_get_color_map): add a color map to GogAxis.
	* goffice/graph/gog-axis.h: ditto.
	* goffice/graph/gog-axis-color-map.c: new objects.
	* goffice/graph/gog-axis-color-map.h: ditto.
	* goffice/graph/gog-color-scale.c: ditto.
	* goffice/graph/gog-color-scale.h: ditto.
	* goffice/graph/gog-theme.c (map_area_series_solid_default),
	(map_area_series_solid_guppi), (build_predefined_themes),
	(theme_load_from_uri), (_gog_themes_init), (_gog_themes_shutdown),
	(gog_theme_get_color_map): add two color maps to themes.
	* goffice/graph/gog-theme.h: ditto.
	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem), (gog_contour_view_render): use
	GogAxisColorMap API for color plots.
	* plugins/plot_xy/gog-xy.c (gog_2d_plot_update): fixed warning,
	(gog_xy_view_render), (gog_xy_series_populate_editor): ditto for contour
	plots.


2012-10-27  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis-line.c (axis_line_get_bbox): Improve
	padding.  Fixes #686473.  Patch by Jean.

2012-10-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-image.c (goc_image_draw): fix image clipping. [#686490]

2012-10-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-label.c (gog_text_view_size_request),
	(gog_text_view_render): fix rotated frames position.
	* goffice/gtk/go-rotation-sel.c (cb_rotate_changed),
	(cb_rotate_canvas_realize), (set_rot_from_point),
	(go_rotation_sel_new), (go_rotation_sel_new_full): optionally support
	-180° to 180° as allowed by GOStyle.
	* goffice/gtk/go-rotation-sel.h: ditto.
	* goffice/gtk/go-rotation-sel.ui: minor layout fix.
	* goffice/utils/go-style.c (text_layout_init): use a full circle rotation
	selector.

2012-10-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-label.c (gog_text_view_render):

2012-10-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-legend.c (cb_render_elements): restore pixel aligned
	lines. [#686476]

2012-10-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style.h: add some more auto fields.

2012-10-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-legend.c (cb_render_elements): don't draw a marker
	when not needed. [#685484]

2012-10-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_populate_editor): don't show the
	span tab for axes which don't support it. [#685405]

2012-10-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (axis_line_render): fixed axis handles
	positions. [#684886]

2012-10-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-doc-impl.h: make image buffer really private.
	* goffice/app/go-doc.c (go_doc_finalize), (go_doc_init),
	(go_doc_init_write), (go_doc_init_read), (go_doc_write),
	(go_doc_save_image), (load_image), (load_image_data),
	(go_doc_end_read), (go_doc_image_fetch): ditto.

2012-10-01  Jean Brefort  <jean.brefort@normalesup.org>

	reviewed by: <delete if not using a buddy>

	* goffice/graph/gog-series-labels-prefs.ui:
	* goffice/graph/gog-series-labels.c (gog_data_label_class_init):

2012-09-28  Emmanuel Pacaud <emmanuel@gnome.org>

	* goffice/graph/gog-equation.c: remove creation of goffice.mml.

2012-09-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-labels-prefs.ui: allow multiple selection.
	* goffice/graph/gog-series-labels.c (used_selection_changed_cb),
	(add_cb), (remove_cb), (gog_series_labels_update): fixed crash after gtk+
	behavior change. [#684889]

2012-09-27   Chris Leonard  <cjlhomeaddress@gmail.com>

	* goffice/gtk/go-locale-sel.c: updated locales. [#682749]

2012-09-26  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: automatically use lasem when present.

2012-09-23  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (map_linear_auto_bound): fix scale when data
	differ are nearly identical. [#684599]

2012-09-20  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_view_render): clip drawing to the plot area. [#684195]

2012-09-15  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_series_update): don't crash when no valid data is
	available. [#684047]

2012-09-13  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/Makefile.am: add XYMinMax plot. [#683493]
	* plugins/plot_xy/chart_minmax_1_3.svg: new icon.
	* plugins/plot_xy/chart_minmax_1_4.svg:
	* plugins/plot_xy/chart_minmax_2_3.svg:
	* plugins/plot_xy/chart_minmax_2_4.svg:
	* plugins/plot_xy/gog-xy.c (go_plugin_init): register xy-minmax types.
	* plugins/plot_xy/gog-xy-minmax.c: Scattered MinMax plot implementation.
	(gog_xy_minmax_view_render), (gog_xy_minmax_view_class_init):
	* plugins/plot_xy/gog-xy-minmax.h:
	* plugins/plot_xy/plot-types.xml.in: register new plot type.
	* plugins/plot_xy/plugin.xml.in: ditto.

2012-09-11 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_to_odf): try to improve
	ODF export of unidentified formats.

2012-09-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-equation.c (gog_equation_update): fix warning,
	(gog_equation_init): intialize the lasem document style.
	* goffice/utils/go-style.c (go_style_persist_prep_sax): cosmetic.

2012-09-06  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2012-09-06  Morten Welinder <terra@gnome.org>

	* Release 0.9.6

2012-09-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-path.c (go_path_new_from_odf_enhanced_path): return NULL
	when the path is empty.

2012-09-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_view_padding_request): accept an
	axis which parent is not a chart.
	* goffice/utils/go-path.c (go_path_new_from_odf_enhanced_path): commented.
	* goffice/utils/go-path.h: removed unused diirections.

2012-08-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-path.c (goc_path_prepare_draw),
	(goc_path_draw): fixed fill rule usage.
	* goffice/utils/go-path.c (parse_value), (emit_function_8),
	(_path_arc), (go_path_arc_degrees), (go_path_arc_full),
	(go_path_quadrant), (go_path_new_from_odf_enhanced_path): import arcs
	and friends from ODF enhanced paths.

2012-08-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-path.c (skip_spaces), (skip_comma_and_spaces),
	(parse_value), (parse_values), (emit_function_2),
	(emit_function_6), (emit_function_8), (emit_quadratic),
	(go_path_new_from_svg), (go_path_new_from_odf_enhanced_path): accept
	variables in ODF enhanced paths.

2012-08-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-path.c (go_path_arc_degrees),
	(go_path_arc_to_degrees), (go_path_svg_move_to),
	(go_path_svg_line_to), (go_path_svg_curve_to), (go_path_svg_close),
	(go_path_to_svg), (go_path_new_from_svg),
	(go_path_new_from_odf_enhanced_path): enhanced odf paths support.

2012-08-20  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-docs.xml: fixed a few more doc issues.
	* goffice/graph/gog-styled-object.c (gog_styled_object_class_init): ditto.
	* goffice/utils/go-cairo.c (go_cairo_emit_svg_path): use
	go_path_new_from_svg().
	* goffice/utils/go-path.c (go_path_scale),
	(go_path_new_from_svg), (go_path_new_from_odf_enhanced_path): new functions.
	* goffice/utils/go-path.h: ditto.

2012-08-16  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: requires libgsf-1 >= 1.14.23 for introspection.
	* docs/reference/goffice-docs.xml: fixed documentation warnings.
	* all others: ditto.

2012-08-15  Chris Leonard  <cjlhomeaddress@gmail.com>

	* goffice/gtk/go-format-sel.c: add comments for translators to SI units
	names. [#681813]

2012-08-15  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c (gog_contour_view_render): fix a crash
	for infinite values. [#841840]

2012-08-14  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-bubble-prefs.ui: one more 3d->3D.

2012-08-14  Quentin Glidic <sardemff7+gnome@sardemff7.net>
	* goffice/utils/go-spectre.c (go_spectre_load_data): fix build with
	libspectre. [#681846]

2012-08-13  Jean Bréfort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-plot-impl.h: removed unused field in GogPlotDesc.
	* goffice/graph/gog-plot.c (gog_plot_class_init): 3d -> 3D. [#681777]
	* plugins/plot_barcol/gog-1.5d.c (gog_plot1_5d_class_init): ditto.
	* plugins/plot_pie/gog-pie.c (gog_pie_plot_class_init): ditto.
	* plugins/plot_xy/gog-xy.c (gog_bubble_plot_class_init): ditto.

2012-08-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: changed the build system.
	* goffice/app/Makefile.am: removed.
	* goffice/canvas/Makefile.am: removed.
	* goffice/component/Makefile.am: removed.
	* goffice/data/Makefile.am: removed.
	* goffice/graph/Makefile.am: removed.
	* goffice/gtk/Makefile.am: removed.
	* goffice/math/Makefile.am: removed.
	* goffice/utils/Makefile.am: removed.
	* goffice/utils/go-gdk-pixbuf.c: new file.
	* goffice/utils/go-gdk-pixbuf.h: ditto.
	* all others: fix introspection and gtk-doc warnings.

2012-08-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/Makefile.am: new GoView class for use in file openers and
	savers.
	* goffice/app/file-priv.h: ditto.
	* goffice/app/file.c: ditto.
	* goffice/app/file.h: ditto.
	* goffice/app/go-app.h: ditto.
	* goffice/app/go-plugin-loader-module.c: ditto.
	* goffice/app/go-plugin-service.c: ditto.
	* goffice/app/go-plugin-service.h: ditto.
	* goffice/app/go-view.c: ditto.
	* goffice/app/go-view.h: ditto.
	* goffice/app/goffice-app.h: ditto.
	* all others: introspection warnings.

2012-08-01  Jean Brefort  <jean.brefort@normalesup.org>

	* all: fixed some introspection and doc warnings.

2012-08-01  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: requires gtk-doc >= 1.12.
	* docs/reference/goffice-docs.sgml: replaced by xml.
	* docs/reference/goffice-docs.xml: replaces sgml.
	* docs/reference/Makefile.am: ditto.

2012-08-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-action-combo-color.c
	(go_action_combo_color_create_tool_item),
	(go_action_combo_color_set_allow_alpha): add alpha support.
	* goffice/gtk/go-action-combo-color.h: ditto.

2012-07-29  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-xyz-surface-prefs.c
	(cb_missing_as_changed), (gog_xyz_surface_plot_pref): add an option for
	missing data.
	* plugins/plot_surface/gog-xyz-surface-prefs.ui: ditto.
	* plugins/plot_surface/gog-xyz-surface.c (missing_as_string),
	(missing_as_value), (gog_xyz_surface_plot_build_matrix),
	(gog_xyz_surface_plot_set_property),
	(gog_xyz_surface_plot_get_property), (common_init_class): ditto.
	* plugins/plot_surface/gog-xyz-surface.h: ditto.

2012-07-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-plot.c (gog_plot_set_property),
	(gog_plot_get_property), (gog_plot_class_init): save axis Id for all axes,
	not only X and Y. [#680739]
	* plugins/plot_surface/gog-xyz-surface.c
	(gog_xyz_surface_plot_build_matrix): avoid leaks and invalid properties.

2012-07-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_map_get_real_extents),
	(gog_axis_map_get_real_bounds): new functions taking the axis span into
	account.
	* goffice/graph/gog-axis.h: ditto.
	* goffice/graph/gog-chart-map.c (xy_make_close_path): take new fill type
	into account.
	* goffice/graph/gog-plot.c (gog_plot_populate_editor): allow axis choice for
	pseudo-3d plots. [see #680636]
	* goffice/graph/gog-series.c: allow filling to axis limits. [#680513]
	* goffice/graph/gog-series.h: ditto.
	* plugins/plot_xy/gog-xy.c (gog_xy_series_class_init): ditto.

2012-07-26  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem): add series name to the elements. [#680508]
	* plugins/plot_surface/gog-xyz-surface.c
	(gog_xyz_surface_plot_build_matrix): use go_nan instead of 0 when data are
	missing and fix cardinality when pseudo-3d axis bounds can't be retrieved.
	[#680486][#680512]

2012-07-24  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c (go_quad_add): Complain if not properly
	initialized.
	(go_quad_start): Keep track of initialization depth.

	* goffice/math/go-regression.c (go_matrix_invert): Ensure go_quad
	has been properly initialized.  Don't re-use partial results after
	they have been rounded to "double".

2012-07-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: make introspection stuff build when no libgoffice
	is installed.

2012-07-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c (go_component_stop_editing): do not
	unref twice the same object. Related to #680190.

2012-07-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c (go_component_finalize),
	(go_component_set_data), (go_component_set_command_context),
	(go_component_get_command_context),
	(go_component_set_default_command_context),
	(go_component_duplicate): fix some issues related to #680190.
	* goffice/component/go-component.h: ditto.
	* all others: fix introspection warnings.

2012-07-15  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2012-07-15  Morten Welinder <terra@gnome.org>

	* Release 0.9.5

2012-07-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line-impl.h: move prototypes to gog-axis-line.h.
	[#679967]
	* goffice/graph/gog-axis-line.h: ditto.

2012-07-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/Makefile.am: don't install gog-axis-line-impl.h.
	* goffice/graph/goffice-graph.h: ditto.
	* goffice/graph/gog-axis-line.c: ditto.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-graph.c: fixed documentation typo.
	* goffice/graph/gog-object.h: add fields for future use.
	* goffice/graph/gog-view.h: ditto.

2012-07-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-label.c (gog_text_view_size_request),
	(gog_text_view_render): fix use of rich text from GOData.
	* goffice/graph/gog-renderer.c (gog_renderer_get_gostring_OBR): fix rich
	text size evaluation. [#679459]

2012-06-26 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/graph/gog-reg-curve.c (limits_changed_cb): keep the
	min/max entries visible
	(gog_reg_curve_populate_editor): ditto
	* goffice/graph/gog-reg-curve-prefs.ui align High/low limits with
	high/low bounds

2012-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugins/plot_xy/gog-xy-prefs.ui (gog-xy-prefs): add border_width

2012-06-25  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2012-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-style-prefs.ui (go-style-prefs): add border_width

2012-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/graph/gog-reg-curve.c (gog_reg_curve_populate_editor): fix
	gtk version check
	* plugins/reg_linear/gog-lin-reg.c (gog_lin_reg_curve_populate_editor):
	With the corrected gtk check above, we can depend on the attached info.

2012-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/graph/gog-reg-curve-prefs.ui: avoid unneccesarily high
	dialog by placing checkbox to right

2012-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugins/reg_linear/gog-lin-reg.c (gog_lin_reg_curve_populate_editor):
	There are two more rows that are being used for some drawing limits

2012-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugins/reg_linear/gog-lin-reg.c (gog_lin_reg_curve_populate_editor):
	place the new items at the bottom
	* plugins/reg_linear/gog-polynom-reg.c
	(gog_polynom_reg_curve_populate_editor): assume we are at the bottom,
	so no row insertion is required.

2012-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugins/reg_linear/gog-lin-reg.c (gog_lin_reg_curve_populate_editor):
	fix item placement for pre-gtk-3.4.0
	* plugins/reg_linear/gog-polynom-reg.c
	(gog_polynom_reg_curve_populate_editor): ditto

2012-05-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-reg-curve.c (gog_reg_curve_populate_editor): fix
	criticals, with gtk+ < 3.2, [#676641]
	(gog_reg_curve_view_render): fix limits with a discrete X-axis.
	* plugins/reg_linear/gog-lin-reg.c
	(gog_lin_reg_curve_build_values), fix x automatic values,
	(gog_lin_reg_curve_populate_editor): fix
	criticals, with gtk+ < 3.2. [#676641]
	* plugins/reg_linear/gog-log-reg.c
	(gog_log_reg_curve_build_values): fix x automatic values.
	* plugins/reg_linear/gog-polynom-reg.c
	(gog_polynom_reg_curve_build_values), fix x automatic values,
	(gog_polynom_reg_curve_populate_editor): fix
	criticals, with gtk+ < 3.2. [#676641]

2012-05-21  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: copied code from introspection.m4

2012-05-19 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-color.h (go_color_from_gdk_rgba): new
	* goffice/utils/go-color.c (go_color_from_gdk_rgba): new

2012-05-19  Jean Brefort  <jean.brefort@normalesup.org>

	* Makefile.am: enhance Introspection build support.
	* configure.in: ditto.
	* goffice/Makefile.am: ditto.

2012-05-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_init): enable scroll events.

2012-05-15 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-pango-extras.c
	(go_load_pango_attributes_into_buffer_filter): remove underline
	(go_load_pango_attributes_into_buffer_named_filter): add underline
	(go_create_std_tags_for_buffer): create underline tags
	(go_load_pango_attributes_into_buffer): handle underline tags as named tags

2012-05-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-group.c: moved transfrom to GocItem.
	* goffice/canvas/goc-group.h: ditto.
	* goffice/canvas/goc-item.c (goc_item_init),
	(goc_item_get_operator), (goc_item_set_transform),
	(_goc_item_transform): ditto.
	* goffice/canvas/goc-item.h: ditto.
	* goffice/canvas/goc-text.c (go_anchor_type_get_type): typo,
	(goc_text_draw): fix text position when clipped. [#676067]
	* goffice/utils/go-emf.c (go_dib_read_header),
	(go_dib_create_pixbuf_from_data), (go_wmf_mr_arc), (go_emf_header),
	(go_emf_polybezier), (go_emf_setworldtransform),
	(go_emf_modifyworldtransform), (go_emf_selectobject),
	(go_emf_rectangle), (go_emf_stretchdibits), (go_emf_polybezier16),
	(go_emf_polygon16), (go_emf_parse): more work.

2012-05-12 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* utils/go-pango-extras.c (go_pango_attrs_to_markup): new
	(go_pango_attr_as_markup_string): new
	* utils/go-pango-extras.h (go_pango_attrs_to_markup): new

2012-05-12  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-plot-engine.c
	(cb_pending_trend_line_types_load): Conditionalize debug print.

2012-05-06  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/reg_logfit/gog-logfit.c (gog_log_fit_curve_get_equation): fixed
	logfit equation typo. [#675560]

2012-04-21  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2012-04-21  Morten Welinder <terra@gnome.org>

	* Release 0.9.3

2012-04-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-emf.c (load_wmf_as_pixbuf): fix build with EMF support.

2012-04-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c: fixed documentation.
	* goffice/graph/gog-theme.c: ditto.
	* goffice/utils/go-file.c: ditto.
	* goffice/utils/go-emf.c (load_wmf_as_pixbuf), (go_emf_load_data),
	(go_emf_new_from_file), (go_emf_new_from_data), (go_emf_parse): use
	libwmf when not built with emf support, and load emf image size.
	* goffice/utils/go-image.c (go_image_draw_fb): use the pixbuf when
	available.

2012-04-20  Jean Brefort  <jean.brefort@normalesup.org>
	* goffice/canvas/goc-canvas.c: fixed documentation.
	* goffice/canvas/goc-group.c: ditto.
	* goffice/canvas/goc-item.c: ditto.

2012-03-31  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-image.c (go_image_new_from_file),
	(go_image_new_from_data): correctly store EPS images even when not
	supported.
	* goffice/utils/go-spectre.c (go_spectre_new_from_file),
	(go_spectre_new_from_data): ditto.

2012-03-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-emf.c (go_emf_load_data), (go_emf_get_pixbuf),
	(go_emf_class_init): use a fallback image when the actual image type is
	not supported.
	* goffice/utils/go-image.c (go_image_draw_fb),
	(go_image_get_pixbuf_fb), (go_image_get_scaled_pixbuf_fb),
	(go_image_class_init): ditto.
	* goffice/utils/go-spectre.c (go_spectre_build_surface),
	(go_spectre_draw), (go_spectre_get_pixbuf),
	(go_spectre_get_scaled_pixbuf), (go_spectre_class_init): ditto.

2012-03-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-image.c (goc_image_draw),
	(goc_image_class_init): fixed cropped images rendering.

2012-03-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-pixbuf.c (go_pixbuf_save): fix pixbuf saving when cairo
	data has not been generated. [see #672716]

2012-03-25  Morten Welinder  <terra@gnome.org>

	* tools/embedder (embed_data): When we go to a new line, clear the
	nohex flag.  This avoids lines starting with three quotes which
	confuse the heck out of intltool 0.50

2012-03-21  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_to_odf): Undo last
	change.  Get version from output.

2012-03-20  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_output_to_odf): Take extra
	odf_version argument.
	(go_format_output_fraction_to_odf): Ditto.  Caller changed.

	* goffice/utils/go-pixbuf.c (go_pixbuf_save): Survive lack of
	image data.

2012-03-18 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_number_to_odf): do not
	unneccessarily include a number:number element

2012-03-18 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_scientific_number_to_odf):
	fix output of scientific formats

2012-03-16  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_url_show): Remove.  (Use
	go_gtk_url_show instead.)
	(go_url_encode): Make this a thin wrapper over
	g_uri_escape_string.

	* goffice/gtk/goffice-gtk.c (go_gtk_help_button_init): Hook up
	cb_help normally, ie., not swapped.
	(go_help_display): Add argument screen so we can show help on the
	right screen.  Use go_gtk_url_show, not go_url_show, for the same
	reason.

	* goffice/utils/go-file.c (go_url_decode): Remove.  Glib's
	g_uri_unescape_string does the same thing.

2012-03-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c: add some doc.
	* goffice/utils/go-emf.c (go_emf_save), (go_emf_load_data),
	(go_emf_differ), (go_emf_new_from_file), (go_emf_new_from_data),
	(go_emf_setworldtransform), (go_emf_modifyworldtransform),
	(go_emf_createpen), (go_emf_polygon16), (go_emf_polyline16),
	(go_emf_extcreatepen): more implementations and fixes.
	* goffice/utils/go-image.c (go_image_get_data): new function, replaces
	obsolete go_image_get_pixels.
	* goffice/utils/go-image.h: ditto.
	* goffice/utils/go-spectre.c (go_spectre_save),
	(go_spectre_load_data), (go_spectre_differ): ditto.
	* goffice/utils/go-svg.c (go_svg_save), (go_svg_load_data),
	(go_svg_differ), (go_svg_new_from_file), (go_svg_new_from_data): ditto.

2012-03-10  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: add a test for ghostscript to avoid crashes when using
	libspectre.
	* goffice/Makefile.am: make introspection build when libgoffice is not
	installed [#671699]
	* goffice/utils/go-emf.c (go_emf_modifyworldtransform): typo,
	(go_emf_lineto): implement, (go_emf_parse): initialize more fields.
	* other files: fix documentation for introspection.

2012-03-08  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: add introspection support. [#670161]
	* goffice/Makefile.am: ditto.
	* goffice/app/go-plugin-loader-module.h: ditto.
	* goffice/canvas/goc-component.c: fixed introspection warnings.
	* goffice/utils/go-font.c: ditto.
	* goffice/utils/go-format.c: ditto.
	* goffice/utils/go-glib-extras.c: ditto.
	* goffice/utils/go-style.h: reversed some previous unneeded changes.

2012-03-07  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (cb_attrs_as_string): Tweak handling
	of bold so PANGO_WEIGHT_NORMAL becomes 0 and PANGO_WEIGHT_BOLD
	becomes 1.  PangoWeight->double->PangoWeight still round trips
	unless you start below 100.

2012-03-06  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-image.c (go_image_new_from_data): Make fallback
	work even in the non-GUI case.

2012-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-cmd-context-impl.h: fixed for nested structs introspection.
	* goffice/app/go-doc-impl.h: ditto.
	* goffice/app/go-doc.c: fixed documentation layout issues.
	* goffice/graph/gog-axis-line.c (cb_position_toggled): fixed unused
	variables warnings.
	* goffice/graph/gog-plot.h: fixed for nested structs introspection.
	* goffice/utils/datetime.c: fixed documentation layout issues.
	* goffice/utils/go-file.c: ditto.
	* goffice/utils/go-style.h: fixed for nested structs introspection.

2012-03-02  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2012-03-02  Morten Welinder <terra@gnome.org>

	* Release 0.9.2

2012-02-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-path.c (go_path_interpret), (go_path_to_cairo),
	(go_path_copy), (go_path_append): cleaned GOPath API.
	* goffice/utils/go-path.h: ditto.

2012-02-14  Morten Welinder  <terra@gnome.org>

	* goffice.mk (list_of_sources): Create a list of sources at each
	directory level.

2012-02-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (cb_position_toggled): don't move any other
	axis when changing an axis position. [#669050]

2012-02-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-reg-curve-prefs.ui: add limits to the regression curve
	display range. [#669252]
	* goffice/graph/gog-reg-curve.c (limits_changed_cb),
	(gog_reg_curve_populate_editor), (gog_reg_curve_get_property),
	(gog_reg_curve_set_property), (gog_reg_curve_class_init),
	(gog_reg_curve_init), (gog_reg_curve_dataset_dims),
	(gog_reg_curve_dataset_get_elem), (gog_reg_curve_view_render): ditto.
	* goffice/graph/gog-reg-curve.h: ditto.
	* plugins/reg_linear/gog-lin-reg.c
	(gog_lin_reg_curve_populate_editor): ditto.
	* plugins/reg_linear/gog-polynom-reg.c
	(gog_polynom_reg_curve_populate_editor): ditto.

2012-02-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c (gog_renderer_draw_gostring): take subscript
	and superscript into account.

2012-02-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_view_size_allocate): fix Y-axis label
	position. [#669325]
	* goffice/utils/go-line.c: fix documentation.

2012-02-05  Jean Brefort  <jean.brefort@normalesup.org>
	* goffice/graph/gog-axis-line.c (axis_line_render): limit the axis line
	to its actual span.
	* goffice/graph/gog-axis.c (gog_axis_map_get_extents),
	(gog_axis_map_get_bounds): fix bounds for logarithmic axes using only
	a partial range. [#669257]
	* goffice/graph/gog-chart-map.c (xy_make_path): add ODF like Bezier cubic
	spline interpolation. [#663356]
	* goffice/utils/go-line.c: ditto.
	* goffice/utils/goffice-utils.h: ditto.

2012-01-26  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-doc.c (go_doc_set_dirty_time)
	(go_doc_get_dirty_time): New function.
	(go_doc_set_dirty): Set dirty time.
	(go_doc_class_init): Install new dirty-time property.

2012-01-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru.c (graph_typeselect_minor): fixed selector
	position. [#667793]
	* goffice/utils/go-cairo.h: set CAIRO_CLAMP to a larger value. [#645938]

2012-01-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.h: fixed GdkPixbuf usage. [#667005]

2012-01-05  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-plugin-service.c
	(go_plugin_service_resource_finalize): Plug leak.

2011-12-30  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_guess_encoding): Hook up
	existing debug code.

2011-12-29 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (ethiopic_additional_digits): new
	(convert_numerals): use ethiopic_additional_digits
	(handle_ethiopic): new
	(go_format_execute): call handle_ethiopic
	(go_render_general): call handle_ethiopic

2011-12-29 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (GOFormatShapeFlags): new flag
	(handle_chinese): add and use shape_flags argument, change all
	callers

2011-12-29 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (chinese_marker_shapes): add large markers
	(handle_chinese): use '?' for larger than expected markers

2011-12-28 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_parse_number_new_1): handle locales
	before starting the numbers
	(numeral_shapes): adjust
	(chinese_marker_shapes): new
	(convert_numerals): handle chinese position markers
	(handle_chinese): new
	(go_format_execute): call handle_chinese
	(HANDLE_NUMERAL_SHAPE): call handle_chinese

2011-12-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: inhibit eps support for now because it makes gnumeric
	crash when using jpeg images.
	* goffice/graph/gog-label.c (gog_text_set_property),
	(gog_text_view_size_request), (gog_text_view_render): add justification for
	multi lines text.
	* goffice/gtk/go-font-sel.c (go_font_sel_set_font): allow non integer font
	sizes.
	* goffice/utils/go-image.c (go_image_new_from_data): always display an image
	even when the format is not supported.

2011-12-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-glib-extras.c (go_unichar_issign): add signs

2011-12-25  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_unichar_issign): New
	function.

2011-12-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_parse_locale): allow for 33 bit
	locale
	(handle_common_token): handle shape-flags
	(go_format_parse_number_new_1): write sign after common tokens
	(go_format_parse): just look at the locale part for the magic
	(go_format_dump_program): separate shape flags from shape
	(plus_shapes): new
	(convert_minus): change into convert_sign
	(INSERT_PLUS): new
	(INSERT_MINUS): look at the right part of the flag
	(go_format_execute): consider shape_flags, use shapes for non-markup
	scientific format

2011-12-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (handle_common_token): store shape
	separately
	(go_format_dump_program): handle OP_NUMERAL_SHAPE and make OP_LOCALE
	more descriptive
	(minus_shapes): new
	(numeral_shapes): new
	(convert_numerals): new
	(INSERT_MINUS): use the correct symbol
	(go_format_execute): handle numeral shape
	(convert_minus): use the correct symbol
	(go_render_general): add argument, change all callers, handle numeral
	shape
	* goffice/utils/go-format.h (go_render_general): add arguments

2011-12-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (axis_line_get_bbox),
	(axis_line_render), (axis_circle_get_bbox), (axis_circle_render),
	(xyz_process): allow for multi-line labels.
	* goffice/graph/gog-label.c (gog_label_set_property),
	(gog_label_get_property), (gog_label_class_init), (gog_label_init),
	(gog_text_view_size_request), (gog_text_view_render): ditto.
	* goffice/graph/gog-legend.c (cb_size_elements),
	(cb_render_elements): ditto.
	* goffice/graph/gog-renderer.c (gog_renderer_draw_gostring),
	(gog_renderer_draw_text), (gog_renderer_get_gostring_OBR),
	(gog_renderer_get_text_OBR), (gog_renderer_get_text_AABR),
	(gog_renderer_get_gostring_AABR): add new arguments.
	* goffice/graph/gog-renderer.h: ditto.
	* goffice/utils/go-geometry.c: documentation typo.
	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_view_render): fixed after API change.

2011-12-17  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem): fixed rounding errors in limits displayed
	in the legend. [#666292]

2011-12-08  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: remove pixmaps/Makefile.

2011-12-05  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-plugin-service.c: new "resource" service type.

	* goffice/utils/go-rsm.c (go_rsm_unregister_file): fix
	precondition.

2011-12-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-group.c (goc_group_init): initialize the transform
	matrix.
	* goffice/canvas/goc-group.h: add a matrix.
	* goffice/canvas/goc-path.c (goc_path_set_property),
	(goc_path_get_property), (goc_path_prepare_draw),
	(goc_path_class_init): add a fill rule.
	* goffice/canvas/goc-path.h: ditto.
	* goffice/canvas/goc-polyline.c (goc_polyline_prepare_draw): skip invalid
	points so that it supports polypolyline.
	* goffice/utils/go-emf.c (go_wmf_read_points),
	(go_wmf_read_pointl), (go_emf_polygon), (go_emf_polyline),
	(go_emf_polybezierto), (go_emf_polylineto), (go_emf_polypolyline),
	(go_emf_polypolygon), (go_emf_setwindowextex),
	(go_emf_setwindoworgex), (go_emf_setviewportextex),
	(go_emf_setviewportorgex), (go_emf_setpolyfillmode),
	(go_emf_settextalign), (go_emf_settextcolor), (go_emf_movetoex),
	(go_emf_selectobject), (go_emf_ellipse), (go_emf_rectangle),
	(go_emf_fillpath), (go_emf_strokeandfillpath),
	(go_emf_extcreatefontindirectw), (go_emf_exttextoutw),
	(go_emf_polygon16), (go_emf_polyline16), (go_emf_polybezierto16),
	(go_emf_polylineto16), (go_emf_polypolyline16),
	(go_emf_polypolygon16): more work.


2011-12-04  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-plot-engine.c: Add debug code.

2011-12-03  Morten Welinder  <terra@gnome.org>

	* plugins/reg_linear: embed ui files into plugin.
	* plugins/reg_logfit: embed ui files into plugin.
	* plugins/smoothing: embed ui files into plugin.

	* plugins/plot_pie: embed stuff like plot_xy.
	* plugins/plot_radar: embed stuff like plot_xy.

	* pixmaps/Makefile.am (dist_icon_DATA): Don't distribute unused
	icon files.

	* plugins/plot_distrib: embed stuff like plot_xy.

	* goffice/graph/gog-error-bar.c (display_combo_desc): Embed error
	bar pixmaps.

	* plugins/plot_barcol: embed stuff like plot_xy.

	* plugins/plot_surface: embed stuff like plot_xy.

2011-12-02  Morten Welinder  <terra@gnome.org>

	* plugins/plot_xy: Move icon files here...
	* pixmaps: ...from here.

	* plugins/plot_xy/gog-xy.c: embed icons into here.

	* tools/embedder: Add the ability to unregister resources.

	* goffice/graph/gog-guru.c (graph_typeselect_minor): Load icons
	for subtypes here.
	(cb_plot_types_init): Not here.

	* goffice/utils/go-pixbuf.c (go_gdk_pixbuf_new_from_file):
	Optionally load from resource.

	* goffice/utils/go-glib-extras.c (go_debug_flag): New function.

	* goffice/utils/go-rsm.c (go_rsm_unregister_file): New function.

	* goffice/Makefile.am: Embed svg-patterns.xml without compression.

	* goffice/utils/go-pattern.c (go_pattern_get_svg_path): Use
	embedded resource, not a file.

2011-12-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-path.c (goc_path_set_property): make it properly
	manage the path.
	* goffice/utils/go-emf.c (go_wmf_read_spoint),
	(go_wmf_read_lpoint), (go_wmf_read_gocolor), (go_emf_dc_free),
	(go_emf_convert_coords), (go_emf_polygon), (go_emf_polyline),
	(go_emf_polybezierto), (go_emf_polylineto), (go_emf_polypolyline),
	(go_emf_setwindowextex), (go_emf_setwindoworgex),
	(go_emf_setviewportextex), (go_emf_setviewportorgex),
	(go_emf_movetoex), (go_emf_intersectcliprect), (go_emf_savedc),
	(go_emf_restoredc), (go_emf_selectobject), (go_emf_createpen),
	(go_emf_createbrushindirect), (go_emf_beginpath), (go_emf_endpath),
	(go_emf_closefigure), (go_emf_fillpath),
	(go_emf_strokeandfillpath), (go_emf_strokepath),
	(go_emf_polygon16), (go_emf_polyline16), (go_emf_polybezierto16),
	(go_emf_polylineto16), (go_emf_parse): implement more.
	* goffice/utils/go-path.c (go_path_ref): fixed a crasher.
	* goffice/utils/go-path.h: ditto.

2011-12-01  Morten Welinder  <terra@gnome.org>

	* goffice/goffice.c: Include generated embedded-ui.c here and call
	the registration function.
	* goffice/*/*.c: use resource, not filename for ui files.

2011-12-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_get_details): When
	looking for the exponent skip the whole EESI/ESI/EE/E marker

2011-12-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_get_details): do not
	mistake the scale symbol as mantissa

2011-12-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (cb_si_combo_changed): check "Append
	this SI unit" button

2011-12-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (cb_si_unit_toggle): set the scale
	correctly

2011-11-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (fmt_dialog_enable_widgets): set
	initial sensitivity of SI unit checkboxes

2011-11-30  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-format-sel.c (fmt_dialog_enable_widgets),
	(nfs_init), (go_format_sel_show_preview),
	(go_format_sel_hide_preview): replaced GtkTable by GtkGrid.
	* goffice/gtk/go-format-sel.ui: ditto.
	* tests/mf-demo.c (main): works only if built with GOFFICE_WITH_EMF
	defined.

2011-11-27  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-11-27  Morten Welinder <terra@gnome.org>

	* Release 0.9.1

2011-11-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c (go_component_export_image),
	(go_component_duplicate): new functions.
	* goffice/component/go-component.h: ditto.
	* goffice/utils/go-emf.c (go_wmf_read_spoint),
	(go_wmf_read_lpoint), (go_emf_setwindowextex),
	(go_emf_setwindoworgex), (go_emf_setviewportextex),
	(go_emf_setviewportorgex), (go_emf_setmapmode), (go_emf_setbkmode),
	(go_emf_setrop2), (go_emf_intersectcliprect), (go_emf_savedc),
	(go_emf_restoredc), (go_emf_parse): implement some callbacks.

2011-11-25  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-rangefunc.c (go_range_sumsq, go_range_devsq):
	Simplify.

	* goffice/math/go-accumulator.c (go_accumulator_add_quad): New
	function.

2011-11-24  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-11-24  Morten Welinder <terra@gnome.org>

	* Release 0.9.0

2011-11-23  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-accumulator.c: New file.

	* goffice/math/go-rangefunc.c (go_range_devsq, go_range_sumsq)
	(go_range_sum, go_range_average): Base on GOAccumulator.
	(go_range_constant): New function.

2011-10-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/goffice-gtk.c (recent_func_log_func): new
	(go_gtk_file_sel_dialog): avoid gtk bug #664587

2011-11-21  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_guess_encoding): Plug leak.

2011-11-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-trend-line.c (gog_trend_line_populate_editor): fixed
	editor build.
	* goffice/graph/gog-smoothed-curve.c
	(gog_smoothed_curve_parent_changed),
	(gog_smoothed_curve_class_init), (gog_smoothed_curve_init),
	(gog_smoothed_curve_dataset_dims),
	(gog_smoothed_curve_dataset_get_elem),
	(gog_smoothed_curve_dataset_dim_changed): fixed data management in
	exponential smoothing.
	* goffice/graph/gog-smoothed-curve.h: ditto.
	* plugins/smoothing/gog-exp-smooth.c (gog_exp_smooth_update),
	(gog_exp_smooth_class_init), (gog_exp_smooth_init): ditto.
	* plugins/smoothing/gog-exp-smooth.h: ditto.

2011-11-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru.ui: fixed a Gtk warning.

2011-11-16  Jody Goldberg <jody@gnome.org>

	* goffice/canvas/goc-widget.c (goc_widget_set_widget) : clear the ofbox
	  after unref.  Fixes slicer view combo.

2011-11-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-component.c (goc_component_set_property): don't change
	the size when not needed.
	* goffice/component/go-component.c (go_component_get_mime_type),
	(editor_destroy_cb), (go_component_edit),
	(go_component_stop_editing): add new functions.
	* goffice/component/go-component.h: ditto.
	* plugins/plot_barcol/gog-1.5d.c (gog_plot1_5d_axis_get_bounds): ensure
	that 0 is in the default values axis range. [#663717]

2011-11-10  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf.h (go_conf_node_get_key_type)
	(go_conf_get_value_as_str, go_conf_set_value_from_str)
	(go_conf_get_long_desc, go_conf_get_short_desc): Delete.

2011-11-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-plot-impl.h: fixed macro name.
	* goffice/graph/gog-series-impl.h: removed the get_percent_value member.
	* goffice/graph/gog-series-labels.c (gog_data_label_update),
	(gog_series_labels_update): really implement percent as label.
	* goffice/graph/gog-series.c (role_series_labels_post_add),
	(gog_series_get_interpolation_params): remove
	gog_series_get_data_as_percent.
	* goffice/graph/gog-series.h: ditto.
	* plugins/plot_barcol/gog-1.5d.c (gog_plot1_5d_update),
	(_gog_plot1_5d_get_percent_value): implement percent as labels for bar/col
	plots.
	* plugins/plot_barcol/gog-1.5d.h: ditto.
	* plugins/plot_barcol/gog-barcol.c (gog_barcol_plot_class_init): ditto.

2011-11-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c (go_component_set_font): new function.
	* goffice/component/go-component.h: ditto.
	* goffice/utils/go-image.c (go_image_finalize),
	(go_image_get_pixbuf): cache the pixbuf.
	* goffice/utils/go-image.h: ditto.

2011-11-06  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: drop gconf support.
	* goffice/app/go-conf.c: ditto.
	* goffice/app/go-conf-gconf.c: ditto.

2011-11-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-emf.c (go_emf_get_canvas): new function,
	(go_emf_new_from_file): fixed several issues.
	* goffice/utils/go-emf.h: added a new prototype.
	* tests/mf-demo.c (open_file), (main): use GOEmf to load the images.

2011-11-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_bounds_changed): invalidate new
	position (and force a bound update). [#662393]

2011-11-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polyline.c (goc_polyline_finalize),
	(goc_polyline_class_init): fix memory leak. [#663355]

2011-11-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-image-sel.ui: make the icon selector larger.
	* goffice/utils/go-image.c (go_image_new_from_data): add support for pixbuf,
	(go_image_new_for_format), (go_image_type_for_format): new functions.
	* goffice/utils/go-image.h: ditto.

2011-11-04  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: add a test for libspectre presence.
	* goffice/component/go-component.c (go_component_write_xml_sax),
	(_go_component_start): remove obsolete GOC_PARAM_PERSISTENT.
	* goffice/component/go-component.h: ditto.
	* goffice/goffice.c (libgoffice_init): add GO_TYPE_SPECTRE.
	* goffice/utils/Makefile.am: add go-spectre.[c,h]
	* goffice/utils/go-image.c (go_image_new_from_file),
	(go_image_new_from_data): create images form eps if libspectre is
	present.
	* goffice/utils/go-svg.c (go_svg_get_pixbuf),
	(go_svg_get_scaled_pixbuf): fixed memory leak.
	* goffice/utils/goffice-utils.h: add GOSpectre.

2011-11-03  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_builder_new): Plug leak.

	* goffice/utils/go-glib-extras.c (go_hash_values): Remove.

2011-11-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series.c (gog_series_populate_editor): fix
	interpolation widgets visibility. [#663283]
	* goffice/utils/go-style.c (outline_init), (line_init),
	(fill_init), (go_style_populate_editor): enhanced layout.

2011-11-03  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-string.c (go_string_new_rich_nocopy): New function.
	(go_string_new_rich): Drop "copy" argument.  All callers changed.

	* goffice/graph/gog-axis.c (map_discrete_calc_ticks): Plug leak.

	* goffice/utils/go-string.c (go_string_new_rich): Plug leak.

2011-10-31  Jean Brefort  <jean.brefort@normalesup.org>
	* goffice/graph/gog-object.c (cb_size_changed),
	(cb_manual_size_changed), (gog_object_populate_editor): made the manual
	size UI consistent.
	* goffice/gtk/goffice-gtk.c (go_gui_get_image_save_info): don't ask for
	the extension when file type is unknown.
	* goffice/utils/go-image.c (go_image_get_format_from_name),
	(go_image_new_from_data): fixed behavior with unknown format.

2011-10-30  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_set_operator),
	(goc_item_get_operator): add a cairo_operator_t member for future use.
	* goffice/canvas/goc-item.h: ditto.
	* goffice/utils/go-emf.c (go_dib_read_header),
	(go_dib_create_pixbuf_from_data), (go_emf_header),
	(go_emf_stretchdibits): import a simple image. [#653667]

2011-10-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: allow the canvas in the without gtk build.
	* goffice/canvas/Makefile.am: ditto.
	* goffice/canvas/goc-arc.h: add placeholders for extensions.
	* goffice/canvas/goc-canvas.c: ditto.
	* goffice/canvas/goc-canvas.h: ditto.
	* goffice/canvas/goc-circle.h: ditto.
	* goffice/canvas/goc-component.c: ditto.
	* goffice/canvas/goc-ellipse.h: ditto.
	* goffice/canvas/goc-graph.c: ditto.
	* goffice/canvas/goc-graph.h: ditto.
	* goffice/canvas/goc-group.h: ditto.
	* goffice/canvas/goc-image.h: ditto.
	* goffice/canvas/goc-item.c: ditto.
	* goffice/canvas/goc-item.h: ditto.
	* goffice/canvas/goc-line.h: ditto.
	* goffice/canvas/goc-path.h: ditto.
	* goffice/canvas/goc-pixbuf.h: ditto.
	* goffice/canvas/goc-polygon.h: ditto.
	* goffice/canvas/goc-polyline.h: ditto.
	* goffice/canvas/goc-rectangle.h: ditto.
	* goffice/canvas/goc-styled-item.h: ditto.
	* goffice/canvas/goc-text.c: ditto.
	* goffice/canvas/goc-text.h: ditto.
	* goffice/canvas/goc-widget.h: ditto.
	* goffice/canvas/goffice-canvas.h: ditto.
	* goffice/component/go-component.c: remove support for windowed components.
	* goffice/component/go-component.h: ditto.
	* goffice/goffice.h: fix the without gtk build.
	* goffice/graph/gog-object.c: ditto.
	* goffice/gtk/goffice-gtk.c: ditto.
	* goffice/utils/go-emf.c: imported Valek's WMF parser and started an EMF
	parser.
	* goffice/utils/go-image.h: fix the without gtk build.
	* goffice/utils/go-pango-extras.c: ditto.
	* goffice/utils/go-pango-extras.h: ditto.
	* plugins/plot_radar/gog-radar.c: ditto.

2011-10-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/goffice-graph.h: some work on manual labels size.
	* goffice/graph/gog-chart.c (gog_chart_get_manual_size_mode),
	(gog_chart_class_init): ditto.
	* goffice/graph/gog-label.c (gog_text_set_property),
	(gog_text_get_property), (gog_text_get_manual_size_mode),
	(gog_text_class_init), (wrap_cb), (gog_label_populate_editor):
	* goffice/graph/gog-label.h: ditto.
	* goffice/graph/gog-object-prefs.ui: ditto.
	* goffice/graph/gog-object.c (cb_manual_size_changed),
	(gog_object_populate_editor), (gog_object_class_init),
	(gog_object_get_manual_allocation), (gog_object_document_changed),
	(gog_object_get_manual_size_mode):
	* goffice/graph/gog-object.h: ditto.
	* goffice/graph/gog-view.c (gog_tool_resize_object_point),
	(gog_tool_resize_object_render): ditto.
	* goffice/utils/go-style-prefs.ui: redesigned the style prefs widget.
	* goffice/utils/go-style.c (go_style_set_image_preview),
	(outline_init), (line_init), (fill_image_init),
	(fill_update_visibilies), (fill_init), (go_style_populate_editor): ditto.

2011-10-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_get_bounds): fixed arguments type.
	* goffice/canvas/goc-canvas.h: ditto.
	* goffice/canvas/goc-pixbuf.c (goc_pixbuf_draw): cleaned.
	* goffice/graph/gog-3d-box-prefs.ui: fixed GtkGrid spacing.
	* goffice/graph/gog-axis-prefs.ui: ditto.
	* goffice/graph/gog-guru-type-selector.ui: ditto.
	* goffice/utils/go-emf.c (go_emf_new_from_file),
	(go_emf_new_from_data): return GOImage*.
	* goffice/utils/go-emf.h: ditto.
	* goffice/utils/go-image.c (go_image_new_from_data): add an argument to
	retrieve the type.
	* goffice/utils/go-image.h: ditto.
	* goffice/utils/go-pixbuf.c (go_pixbuf_new_from_pixbuf): return GOImage*.
	* goffice/utils/go-pixbuf.h: ditto.
	* goffice/utils/go-svg.c (go_svg_new_from_file),
	(go_svg_new_from_data): ditto.
	* goffice/utils/go-svg.h: ditto.
	* plugins/plot_surface/gog-xyz-prefs.ui: fixed GtkGrid spacing.

2011-10-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_execute): add arg to call of
	go_pango_attr_superscript_new
	(cb_attrs_as_string): write value of sub- and superscript attributes
	* goffice/utils/go-pango-extras.h: publish GOPangoAttr* struct
	(go_pango_attr_*_new): add argument
	* goffice/utils/go-pango-extras.c (go_pango_translate_here): check
	attribute values
	(go_pango_attr_subscript_copy): copy attribute value
	(go_pango_attr_superscript_copy): copy attribute value
	(go_pango_attr_compare): replace with go_pango_attr_*_compare
	(go_pango_attr_*_new): add argument

2011-10-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (cb_attrs_as_string): handle super and
	subscripts
	(go_format_parse_markup): ditto
	* goffice/utils/go-pango-extras.h (go_pango_attr_subscript_get_type):
	new
	(go_pango_attr_superscript_get_type): new
	* goffice/utils/go-pango-extras.c (go_pango_attr_subscript_get_type):
	new
	(go_pango_attr_superscript_get_type): new
	(filter_func): use the above
	(go_pango_attr_subscript_new): ditto
	(go_pango_attr_superscript_new): ditto

2011-10-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-emf.c: fixed a compilation warning.
	* goffice/utils/go-image.c (go_image_get_height),
	(go_image_set_default_dpi), (go_image_get_default_dpi): fixed svg image
	size. [#628472]
	* goffice/utils/go-image.h: ditto.
	* goffice/utils/go-svg.c (go_svg_load_data),
	(go_svg_new_from_file), (go_svg_new_from_data): ditto.

2011-10-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c: new helper functions.
	* goffice/canvas/goc-canvas.h: ditto.
	* goffice/canvas/goc-image.c: add crop.
	* goffice/canvas/goc-image.h: ditto.
	* goffice/goffice.c: initialize new type.
	* goffice/graph/gog-plot-impl.h: add get_percent method.
	* goffice/graph/gog-plot.c: ditto.
	* goffice/graph/gog-plot.h: ditto.
	* goffice/utils/Makefile.am: new files.
	* goffice/utils/go-emf.c: added for a future support of WMF images.
	* goffice/utils/go-emf.h: ditto.
	* goffice/utils/go-image.c: add go_image_from_data().
	* goffice/utils/go-image.h: ditto.
	* goffice/utils/go-svg.c: ditto.
	* goffice/utils/go-svg.h: ditto.
	* goffice/utils/goffice-utils.h: add GOEmf.
	* tests/mf-demo.c: fixed GOImage usage.

2011-10-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-pango-extras.c (go_pango_translate_here): allow for
	multiple overlapping subscript/superscript attributes
	(go_pango_translate_attributes): allow for
	multiple overlapping subscript/superscript attributes
	(go_pango_attr_compare): return FALSE

2011-10-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_execute): use GO's new
	superscript andd subscript attributes
	* goffice/utils/go-pango-extras.h (go_pango_translate_layout): new
	(go_pango_translate_attributes): new
	(go_pango_attr_subscript_new): new
	(go_pango_attr_superscript_new): new
	* goffice/utils/go-pango-extras.c (go_pango_translate_layout): new
	(go_pango_translate_attributes): new
	(go_pango_attr_subscript_new): new
	(go_pango_attr_superscript_new): new
	(filter_func): new
	(go_pango_translate_here): new
	(go_pango_attr_subscript_copy): new
	(go_pango_attr_superscript_copy): new
	(go_pango_attr_destroy): new
	(go_pango_attr_compare): new

2011-10-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-image.c (goc_image_set_property),
	(goc_image_get_property), (goc_image_finalize),
	(goc_image_update_bounds), (goc_image_distance), (goc_image_draw),
	(goc_image_class_init): new canvas item displaying a GOImage.
	* goffice/canvas/goc-image.h: ditto.
	* goffice/canvas/goffice-canvas.h: ditto.
	* goffice/canvas/Makefile.am: ditto.
	* goffice/utils/go-style.c: fixed loading of image without type.

2011-10-26  Jean Brefort  <jean.brefort@normalesup.org>

	* all files: add support for svg images using librsvg.

2011-10-25  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (apply_ui_from_file): Add filename
	argument and use it to partially work around bug #662679.

2011-10-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-pixbuf.c: moved to utils.
	* goffice/gtk/go-pixbuf.h: ditto.
	* goffice/utils/go-pixbuf.c (go_gdk_pixbuf_intelligent_scale),
	(go_gdk_pixbuf_new_from_file), (go_gdk_pixbuf_get_from_cache),
	(go_gdk_pixbuf_tile):rename the functions to prepare for GOPixbuf (GOImage
	split).
	* goffice/utils/go-pixbuf.h: ditto.

2011-10-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_execute): fix sense of
	at_end test

2011-10-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_execute): consider the
	existing attributes

2011-10-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.h: add format defines
	* goffice/utils/go-format.c (go_format_execute): use these defines

2011-10-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-image-sel.c (cb_entry_focus_out),
	(cb_file_image_select), (delete_event_cb),
	(cancel_button_clicked_cb): more fixes, see #660917.

2011-10-21  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-gsettings.c (go_conf_get_node): Add
	precondition.

2011-10-21  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: make GSettings the default configuration backend.
	* goffice/graph/gog-renderer.c (gog_renderer_export_image): use
	GdkPixbuf even in the no gtk build.
	* goffice/gtk/go-image-sel.c: redesigned.
	* goffice/gtk/go-image-sel.ui: ditto.
	* goffice/gtk/goffice-gtk.c (go_gtk_select_image),
	(go_gtk_select_image_with_extra_widget): new function.
	* goffice/gtk/goffice-gtk.h: ditto.

2011-10-18  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_builder_new): Handle
	compressed ui data (regardless of source).

2011-10-17  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-rsm.c: New file.

	* goffice/gtk/goffice-gtk.c (go_gtk_builder_new)
	(go_gtk_builder_new_internal): Handle resources.

2011-10-17  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_builder_new): Move
	default-directory code from here...
	(go_gtk_builder_new_internal): ...to here.

	* */*.c: change to use go_gtk_builder_new_internal as appropriate.

2011-10-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-plugin.c: removed deprecated go_plugins_add().
	* goffice/app/go-plugin.h: ditto.
	* goffice/graph/gog-object-xml.c (gog_object_new_from_input): new function
	to remlace gog_object_new_from_xml.
	* goffice/graph/gog-object-xml.h: ditto.
	* goffice/graph/gog-plot-impl.h: removed deprecated declaration.

2011-10-09  Gerald Niel

	* configure.in: fixed plugins load from a Mac OSX bundle. [#661264]
	* goffice.mk: ditto.
	* goffice/Makefile.am: ditto.
	* goffice/goffice.c (libgoffice_init): ditto.

2011-10-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk8go-image-sel.c: make the dialog work again. [#660917]
	* goffice/utils/go-style-prefs.ui: fix a widget size.

2011-10-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-labels.c
	(gog_series_labels_dataset_dim_changed): update series labels when needed.
	[658527]

2011-09-30  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-rangefunc.c (sum_helper): Improve precision in
	the all-constant case.  See #660564.

	* goffice/utils/go-file.c (go_dirname_from_uri): Plug leak.

2011-09-26  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-barcol.c (gog_barcol_plot_set_property),
	(gog_barcol_plot_init): draw columns/bars plots before the axes so that
	axis labels are always visible.

2011-09-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_reordered), (goc_item_raise),
	(goc_item_lower), (goc_item_lower_to_bottom),
	(goc_item_raise_to_top), (_goc_item_unrealize),
	(goc_item_get_parent), (goc_item_get_window): fixed widgets stacking order.
	* goffice/canvas/goc-item.h: ditto.
	* goffice/canvas/goc-widget.c (goc_widget_get_window),
	(goc_widget_class_init): ditto.

2011-09-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-color-palette.c (draw_color_cb),
	(go_color_palette_button_new): ensure that the colors are always displayed,
	even with the most stupid theme.

2011-09-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-file.c (go_file_get_owner_name): adjust call
	to go_guess_encoding
	(go_file_get_group_name): ditto
	* goffice/utils/go-glib-extras.h (go_guess_encoding): change
	arguments
	* goffice/utils/go-glib-extras.c (go_guess_encoding): change
	arguments and change all callers

2011-09-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_refcount_cb): deleted
	(go_format_foreach): just wrap the GHFunc
	(go_format_unref): don't keep GOFormats that are just in the hash

2011-09-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.h (go_format_set_build_in): deleted again
	(go_format_is_build_in): deleted again
	* goffice/utils/go-format.c (go_format_set_build_in): deleted again
	(go_format_is_build_in): deleted again
	* goffice/gtk/go-format-sel.c (fmt_dialog_init_fmt_list): add argument
	and store seen formats in hash
	(fmt_dialog_load_true_custom_cb): check hash not, built_in flag

2011-09-08  Morten Welinder  <terra@gnome.org>

	* configure.in: Switch to AM_MAINTAINER_MODE([enable])

2011-09-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c (gog_axis_view_size_allocate): fixed axis title
	automatic position by taking actual axis span into account.
	* plugins/plot_barcol/gog-line.c (gog_line_view_render): fixed are filling.

2011-09-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.h (go_format_set_build_in): new
	(go_format_is_build_in): new
	(go_format_foreach): new
	* goffice/utils/go-format.c (go_format_set_build_in): new
	(go_format_is_build_in): new
	(go_format_foreach): new
	(go_format_refcount_cb): new
	* goffice/gtk/go-format-sel.c (fmt_dialog_load_true_custom_cb): new
	(fmt_dialog_enable_widgets): call fmt_dialog_load_true_custom_cb

2011-09-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (handle_common_token): try harder to find the
	locale, Ubuntu, for example, does not understand fi_FI but fi_FI.utf-8.

2011-09-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_parse_number_fraction): make
	denominator simplification slightly less eager
	(go_format_execute): ditto

2011-09-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_parse_number_E): make sure to
	fail on '00E00' and '00E +00'
	(go_format_execute): keep the leading whitespace

2011-09-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_execute): conditionalize denominator
	simplification (and disable)
	(go_format_parse_number_fraction): ditto

2011-09-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_fraction_to_odf): fix
	int_digits and don't force a 0 into the denominator

2011-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-widget.c (goc_widget_set_widget): fixed signals target,
	(goc_widget_draw): create a new path before exiting to avoid unwanted lines.

2011-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-widget.c (goc_offscreen_box_realize),
	(goc_offscreen_box_class_init), (goc_widget_draw),
	(goc_widget_class_init): reimplement widget transparency.

2011-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-widget.c (goc_offscreen_box_draw): enhance widget
	rendering.

2011-09-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_fraction_to_odf):
	handle pi-fraction

2011-09-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-widget.c: make sheet widgets scalable. [#605434]
	* goffice/canvas/goc-widget.h: ditto.

2011-09-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.ui: new widgets
	* goffice/gtk/go-format-sel.c (_GOFormatSel): new fields
	(load_si_combo): new
	(cb_si_toggle): enable/disable new widgets
	(cb_si_unit_toggle): new
	(cb_si_combo_changed): new
	(fmt_dialog_enable_widgets): handle new widgets
	(nfs_init): ditto
	(go_format_sel_finalize): finalize details
	* goffice/utils/go-format.h (go_format_details_finalize): new
	and add new fields
	* goffice/utils/go-format.c (go_format_generate_scientific_str):
	use new fields
	(go_format_details_finalize): new
	(go_format_details_free): use go_format_details_finalize
	(go_format_get_details): consider new fields

2011-09-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c: use data format for discrete axis. [#641901]

2011-09-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (si_reduction): use -24 for smaller
	exponents

2011-09-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-text.c (goc_text_prepare_draw): always initialize
	dx and dy variables.

2011-09-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-impl.h: add support for values as percent in
	data labels.
	* goffice/graph/gog-series-labels.c: ditto.
	* goffice/graph/gog-series-labels.h: ditto.
	* goffice/graph/gog-series.c: ditto.
	* goffice/graph/gog-series.h: ditto.

2011-09-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_parse_number_E):
	use OP_NUM_SIMPLIFY_MANTISSA_SI instead of OP_NUM_SIMPLIFY_MANTISSA
	if appropriate
	(go_format_execute): handle OP_NUM_SIMPLIFY_MANTISSA_SI
	(go_format_dump_program): ditto

2011-09-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_parse_number_new_1): mark
	the end of the number
	(go_format_dump_program): support new op
	(go_format_execute): watch for stuff following the E

2011-09-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (cb_si_toggle): new
	(fmt_dialog_enable_widgets): handle si_button
	(format_entry_set_text): check for null text
	(nfs_init): connect cb_si_toggle
	* goffice/gtk/go-format-sel.ui: add si_button
	* goffice/utils/go-format.h: move defs here from the .c file
	* goffice/utils/go-format.c: move defs to .h file
	(go_format_token2): split E token into separate tokens
	(go_format_preparse): handle new tokens
	(go_format_parse_number_new_1): new ' scale
	(go_format_parse_number_E): support SI prefixes
	(si_reduction): new
	(go_format_execute): support SI prefixes
	(go_format_generate_scientific_str): appens SI marker
	(go_format_get_details): store SI info

2011-08-31  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c (gog_renderer_draw_data_label): center
	multiline label, (gog_renderer_get_scale): new function.
	* goffice/graph/gog-renderer.h: ditto.
	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): support data labels.

2011-08-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/graph/gog-axis.c (axis_format_value): trim label. [#657670]
	* goffice/utils/go-string.c (find_shape_attr): new
	(go_string_trim): new
	* goffice/utils/go-string.h (go_string_trim): new

2011-08-30  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip),
	(goc_graph_motion): appropriately scale the position. [#657694]
	* goffice/graph/gog-axis.c (map_linear_calc_ticks): always display the
	correct minor axis ticks. [#657670]
	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem): don't crash when pseudo3d axis has too
	largemanula ticks spacing. [#657695]
	* plugins/plot_surface/gog-xyz-surface.c
	(gog_xyz_surface_plot_build_matrix): ditto.

2011-08-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_get_logical_rect): change to
	go_format_get_width and change all callers
	(blank_characters): rewrite
	* goffice/gtk/go-format-sel.ui: fix spelling

2011-08-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-labels-prefs.ui: add a separator for labels.
	* goffice/graph/gog-series-labels.c: ditto.
	* goffice/graph/gog-series-labels.h: ditto.
	* goffice/utils/go-pango-extras.c (go_pango_attr_list_erase): fix a
	critical.

2011-08-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-widget.c (goc_widget_draw): draw using gtk_widget_draw.
	* goffice/goffice.c (libgoffice_init): new GogDataLabel type.
	* goffice/graph/goffice-graph.h: ditto.
	* goffice/graph/gog-renderer.c (gog_renderer_draw_data_label): use overriden
	style if given.
	* goffice/graph/gog-series-labels.c: new GogDataLabel type.
	* goffice/graph/gog-series-labels.h: ditto.
	* goffice/graph/gog-series.c (role_series_labels_post_add): set a default
	format, (gog_series_map_XL_dim), (gog_series_set_XL_dim): new functions.
	* goffice/graph/gog-series.h: new functions.
	* goffice/graph/gog-theme.c (build_predefined_themes): new GogDataLabel type
	* goffice/utils/go-style.c (go_style_is_auto): new function.
	* goffice/utils/go-style.h: ditto.
	* plugins/plot_barcol/gog-barcol.c (gog_barcol_view_render): allow for
	points in data labels.
	* plugins/plot_xy/gog-xy.c (gog_xy_series_init): set a default label
	position.

2011-08-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_desired_width): check for fontmap
	(go_format_get_logical_rect): ditto

2011-08-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_get_logical_rect): handle NULL layout
	(go_format_desired_width): ditto

2011-08-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/formats.c (_go_currency_date_format_init): ISO 8601 should
	be with the other date-time formats

2011-08-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (GOFormatOp): add ops
	(go_format_parse_number_fraction): create more program steps for fractions
	(go_format_dump_program): handle new ops
	(go_format_execute): ditto
	* goffice/gtk/go-format-sel.ui: change spin button bounds
	* goffice/gtk/go-format-sel.c (cb_max_denom_digits_changed): permit
	0 denominator digits

2011-08-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (GOFormatOp): add ops
	(go_format_parse_number_fraction): create more program steps for fractions
	(go_format_dump_program): handle new ops
	(go_format_execute): ditto
        (go_format_get_details): be more careful to take the right tokens

2011-08-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.ui: fix tooltips

2011-08-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.ui: add as-multiple-of-pi checkbox and sep.
	* goffice/gtk/go-format-sel.c (FormatWidget): add new widgets
	(cb_pi_scale_toggle): new
	(fmt_dialog_enable_widgets): handle new widgets
	(nfs_init): handle new widgets
	* goffice/utils/go-format.h (GOFormatDetails): add new field
	* goffice/utils/go-format.c (go_format_generate_fraction_str):
	handle pi-slash
	(go_format_details_init): adjust initialisation
	(go_format_get_details): handle pi-slash

2011-08-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_parse_number_fraction): write
	OP_NUM_VAL_SIGN
	(go_format_execute): keep the sign attached to val

2011-08-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (blank_characters): also remove the characters
	themselves
	(go_format_execute): move code to blank_characters; erase rather
	than overwrite for OP_NUM_FRACTION_BLANK_WHOLE; consider alignment
	for OP_NUM_FRACTION_SIMPLIFY_PI

2011-08-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_parse_number_fraction):
	don't use both OP_NUM_FRACTION_SIMPLIFY_PI and OP_NUM_FRACTION_BLANK

2011-08-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_parse_number_fraction): use
	OP_NUM_FRACTION_SLASH and OP_NUM_FRACTION_ALIGN
	(UNICODE_PI): use "mathematical small italic pi"
	(go_format_get_logical_rect): new
	(go_format_dump_program): add OP_NUM_FRACTION_SLASH and OP_NUM_FRACTION_ALIGN
	(go_format_desired_width): new
	(blank_characters): use go_format_get_logical_rect
	(go_format_execute): support OP_NUM_FRACTION_SLASH and OP_NUM_FRACTION_ALIGN

2011-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (study_format): scientific number
	formatting with min_digits =0 and =1 are effectively indistinguishable
	(fmt_dialog_enable_widgets): set the range of the F_EXP_DIGITS widget
	depending on format_type
	* goffice/utils/go-format.c (go_format_parse_number_new_1): add argument
	and change all callers
	(go_format_parse_number_fraction): write OP_NUM_FRACTION_BLANK_WHOLE if
	appropriate
	(blank_characters): new
	(go_format_execute): use blank_characters and handle OP_NUM_FRACTION_BLANK_WHOLE
	(go_format_generate_fraction_str): write full numerator
	(cnt_digits): new

2011-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (study_format): the fraction selector
	interface handles min_digits.

2011-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_get_details): handle fractions

2011-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (FormatWidget): add widgets for fraction
	formatting
	(cb_denominator_changed): new
	(cb_max_denom_digits_changed): new
	(cb_min_integer_digits_changed): new
	(cb_min_denom_digits_changed): new
	(cb_exp_digits_changed): check for active type
	(cb_split_fraction_toggle): new
	(cb_fraction_automatic_toggle): new
	(fmt_dialog_enable_widgets): increase maximum number of widgets per format
	type, add widgets for fraction formatting
	(nfs_init): connect new callbacks
	* goffice/gtk/go-format-sel.ui: add widgets for fraction formatting
	* goffice/utils/go-format.c (go_format_generate_fraction_str): new
	(go_format_generate_str): call go_format_generate_fraction_str
	(go_format_details_init): initialize new fields
	* goffice/utils/go-format.h (GOFormatDetails): add fields to support
	fractions

2011-08-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (cb_exp_digits_changed): new
	(fmt_dialog_enable_widgets): add widgets
	(nfs_init): connect above callback
	* goffice/gtk/go-format-sel.ui: add widgets and format others better

2011-08-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.ui: use unicode chanracter for "times" instead
	of x

2011-08-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (study_format): in scientific formatting the
	selector also handles details->min_digits == 0
	* goffice/utils/go-format.c (go_format_get_details): EE+ can also occur in
	scientific formatting

2011-08-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-widget.c (goc_widget_notify_scrolled): fix widgets
	position inside an RTL canvas.
	* goffice/graph/gog-renderer.c (gog_renderer_draw_data_label): enhance
	scale use.

2011-08-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/goffice-graph.h: fix include order.
	* goffice/graph/gog-renderer.c (gog_renderer_draw_data_label): new function.
	* goffice/graph/gog-renderer.h: ditto.
	* goffice/graph/gog-series-labels.c (gog_series_labels_update): make legend
	entry in label work.
	* goffice/graph/gog-series-labels.h: ditto.
	* goffice/graph/gog-view.c (gog_view_get_natural_size): new function
	(see #629794)
	* goffice/graph/gog-view.h: ditto.
	* plugins/plot_barcol/gog-barcol.c (gog_barcol_view_render): use
	gog_renderer_draw_data_label.

2011-08-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/go-cmd-context-impl.h (go_cmd_context_progress_set):
	remove
	(go_cmd_context_progress_message_set): remove
	* goffice/app/go-cmd-context.h (go_cmd_context_progress_set): add
	(go_cmd_context_progress_message_set): add

2011-08-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_invalidate): add a one pixel
	wide margin to the invalidated region to avoid pixels dust.
	* goffice/canvas/goc-text.c (goc_text_prepare_draw),
	(goc_text_draw): ensure that the rotation is around the anchor point.
	* goffice/graph/gog-series-labels.c (used_selection_changed_cb),
	(raise_cb), (lower_cb), (position_changed_cb),
	(gog_series_labels_changed), (gog_series_labels_update): ensure that all
	changes instant apply in the preview.
	* goffice/gtk/go-rotation-sel.c (cb_rotate_changed),
	(cb_rotate_canvas_realize): replaced the GtkLabel by a GocText item.

2011-08-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/go-plugin-loader-module.c
	(go_plugin_loader_module_func_file_open): add argument and adjust
	call to loader_data->module_func_file_open
	* goffice/app/go-plugin-service.h (plugin_func_file_open):
	add argument
	* goffice/app/go-plugin-service.c (_GOPluginServiceFileOpener):
	add field
	(go_plugin_service_file_opener_read_xml): load "encoding_dependent"
	(go_plugin_file_opener_open): adjust call to plugin_func_file_open
	(go_plugin_file_opener_new): use service_file_opener->encoding_dependent

2011-08-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data-impl.h: add new is_valid method.
	* goffice/data/go-data.c (go_data_is_valid): ditto.
	* goffice/data/go-data.h: ditto.
	* goffice/graph/gog-label.c (gog_text_view_size_request): don't unref a
	GOString twice.
	* goffice/graph/gog-series-labels.c: more work on data labels.
	* goffice/graph/gog-series-labels.h: ditto.
	* goffice/graph/gog-series.c (role_series_labels_can_add),
	(gog_series_update): ditto.
	* plugins/plot_barcol/gog-barcol.c (gog_barcol_view_render): ditto.

2011-08-12  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_value_gstring): Avoid
	changing attribute list we don't own.  Fixes problem with sticky
	format colours.

2011-08-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-smoothed-curve.c
	(gog_smoothed_curve_populate_editor),
	(gog_smoothed_curve_finalize), (gog_smoothed_curve_class_init),
	(gog_smoothed_curve_init), (gog_smoothed_curve_dataset_dims),
	(gog_smoothed_curve_dataset_get_elem),
	(gog_smoothed_curve_dataset_dim_changed),
	(gog_smoothed_curve_dataset_init): add support for smoothed curve renaming.
	[#656148].
	* goffice/graph/gog-smoothed-curve.h:

2011-08-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-locale.c (go_locale_month_before_day): in MSWindows
	also consider where the year is.

2011-08-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_execute): n digits means atmast
	10^n -1
	(go_format_generate_scientific_str): use number of exponent digits
	even if markup is used

2011-08-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip): fix when an axis
	does not use all the available space.
	* goffice/graph/gog-axis-prefs.ui: allows an axis to use only part of
	available space. [#654392]
	* goffice/graph/gog-axis.c (gog_axis_map_new),
	(gog_axis_map_get_extents), (gog_axis_map_get_bounds),
	(gog_axis_set_property), (gog_axis_get_property),
	(cb_start_changed), (cb_end_changed), (gog_axis_populate_editor),
	(gog_axis_class_init), (gog_axis_init), (gog_axis_set_bounds),
	(gog_axis_get_effective_span): ditto.
	* goffice/graph/gog-axis.h: ditto.

2011-08-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-label.c (gog_text_set_property),
	(gog_text_get_property), (gog_text_class_init), (rotate_frame_cb),
	(rotate_bg_cb), (allow_markup_cb), (gog_label_populate_editor),
	(gog_label_class_init), (gog_text_view_size_request),
	(gog_text_view_render): allow rotation of the frame along with the text.
	[#647147]
	* goffice/graph/gog-label.h:
	* goffice/graph/gog-renderer.c (_draw_rotated_shape),
	(gog_renderer_fill_rectangle), (_draw_rotated_rectangle),
	(gog_renderer_draw_rotated_rectangle):
	* goffice/graph/gog-renderer.h:
	* goffice/utils/go-style-prefs.ui:

2011-08-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/goffice-graph.h: add support for rich text in legends.
	* goffice/graph/gog-legend.c (cb_size_elements), (cb_swatch_scale),
	(cb_render_elements): ditto.
	* goffice/graph/gog-plot.c (gog_plot_foreach_elem): ditto.
	* goffice/utils/go-string.c (replace_rich_base_with_plain): don't leak
	a string.
	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem):  add support for rich text in legends.

2011-08-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c
	(go_format_output_scientific_number_element_to_odf): add arguments re
	literal_E and change caller
	(go_format_output_scientific_number_to_odf): handle EE or ee

2011-08-05  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_get_details): Deduce
	exponent_digits.
	(go_format_generate_scientific_str): Add right number of exponent
	digits.
	(go_format_details_init): Reset exponent_digits.

	* goffice/data/go-data.c (go_data_preferred_fmt): Constify.  Fixes
	#635072.  All callers adjusted.

2011-08-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-string.c (replace_rich_base_with_plain): don't loose
	the ancient base if not destroyed.

2011-08-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data-impl.h: sanitize the get_markup API.
	* goffice/data/go-data.c (_data_scalar_get_markup): ditto.
	* goffice/data/go-data.h: ditto.
	* goffice/graph/gog-axis.c (gog_axis_ticks_set_markup),
	(map_discrete_calc_ticks): use markup for discrete axis tip labels.
	* goffice/utils/go-string.c (replace_rich_base_with_plain),
	(go_string_new_rich), (go_string_unref): fix GOString lifetime.

2011-08-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-group.c (goc_group_update_bounds),
	(goc_group_draw_region), (goc_group_distance),
	(goc_group_cairo_transform), (goc_group_set_clip_path): start support for
	clipping at the GocGroup level.
	* goffice/canvas/goc-group.h:
	* goffice/gtk/go-optionmenu.c (handle_menu_signals),
	(go_option_menu_set_menu): don't use an unexisting sgnal.

2011-08-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data-impl.h: fix get_markup method declaration.
	* goffice/graph/gog-renderer.c (gog_renderer_draw_text),
	(gog_renderer_get_text_OBR): removed obsolete variables.

2011-08-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polygon.c (goc_polygon_set_property): make it
	compile again.
	* goffice/graph/gog-label.c (gog_text_get_markup),
	(gog_label_get_markup), (gog_label_class_init),
	(gog_text_view_render): add support for rich text labels.
	* goffice/graph/gog-label.h: ditto.
	* goffice/graph/gog-renderer.c (gog_renderer_get_text_AABR),
	(gog_renderer_get_gostring_AABR): ditto.
	* goffice/graph/gog-renderer.h: ditto.

2011-08-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polygon.c (goc_polygon_finalize),
	(goc_polygon_set_property), (goc_polygon_get_property),
	(goc_polygon_prepare_path): replaced private structures by public data.
	* goffice/canvas/goc-polygon.h: ditto.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_set_property),
	(goc_rectangle_get_property), (goc_rectangle_prepare_draw): ditto.
	* goffice/canvas/goc-rectangle.h: ditto.

2011-08-02  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: needs librsvg.
	* goffice/canvas/Makefile.am:  add component support to the canvas.
	* goffice/canvas/goc-component.c: ditto.
	* goffice/canvas/goc-component.h: ditto.
	* goffice/canvas/goffice-canvas.h: ditto.
	* goffice/component/Makefile.am: revisited the component API.
	* goffice/component/go-component-factory.c: ditto.
	* goffice/component/go-component-factory.h: ditto.
	* goffice/component/go-component-mime-dialog.c: ditto.
	* goffice/component/go-component-mime-dialog.h: ditto.
	* goffice/component/go-component.c: ditto.
	* goffice/component/go-component.h: ditto.
	* goffice/component/goffice-component.h: ditto.
	* goffice/graph/gog-axis-line.c: cleaned out extra spaces.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-renderer.c: ditto.
	* goffice/graph/gog-renderer.h: ditto.
	* goffice/graph/gog-series-labels.c: ditto.
	* goffice/gtk/go-format-sel.c: ditto.
	* goffice/utils/go-format.c: ditto.
	* goffice/utils/go-pango-extras.h: ditto.
	* plugins/plot_barcol/gog-barcol.c: ditto.

2011-08-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data-impl.h: add markup support.
	* goffice/data/go-data.c: ditto.
	* goffice/data/go-data.h: ditto.
	* goffice/goffice.c: add initial support for data labels.
	* goffice/graph/Makefile.am: ditto.
	* goffice/graph/goffice-graph.h: ditto.
	* goffice/graph/gog-series-impl.h: ditto.
	* goffice/graph/gog-series-labels-prefs.ui: ditto.
	* goffice/graph/gog-series-labels.c: ditto.
	* goffice/graph/gog-series-labels.h: ditto.
	* goffice/graph/gog-theme.c: ditto.
	* plugins/plot_barcol/gog-1.5d.c: add support for d	ata labels in bar/col
	plots.
	* plugins/plot_barcol/gog-barcol.c: ditto.

2011-08-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/go-cmd-context-impl.h (GOCmdContextClass): move
	error_info_list field to the error substruct
	* goffice/app/go-cmd-context.c (go_cmd_context_error_info_list): adjust
	for the move of the error_info_list field
	(go_cmd_context_error_info_list_default): ditto

2011-08-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_execute): insert space in case
	of short nominators

2011-08-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: disable gtk depreciation check
	* goffice/graph/gog-axis-line.c: replace ticks.labels with ticks.str
	throughout;
	gog_renderer_get_text_OBR with gog_renderer_get_gostring_OBR, and
	gog_renderer_draw_text with gog_renderer_draw_gostring as required
	byt he ticks change
	* goffice/graph/gog-axis.c replace ticks.labels with ticks.str
	throughout and use gog_axis_ticks_set_text to initialize
	(gog_get_layout): new
	(gog_axis_ticks_set_text): new
	(axis_format_value): add GOString argument and change all callers
	* goffice/graph/gog-axis.h: replace ticks.labels with ticks.str
	* goffice/graph/gog-renderer.c (gog_renderer_draw_gostring): new
	(gog_renderer_draw_text): use gog_renderer_draw_gostring
	(gog_renderer_get_gostring_OBR): new
	(gog_renderer_get_text_OBR): use gog_renderer_get_gostring_OBR
	(gog_renderer_get_gostring_OBR): new
	* goffice/graph/gog-renderer.h (gog_renderer_draw_gostring): new
	* goffice/gtk/go-format-sel.c (generate_preview): use PangoAttrList
	(draw_format_preview): ditto
	(nfs_init): create buffer tags
	* goffice/utils/go-format.c (go_format_parse_number_E): use attributes
	(go_format_execute): use attributes
	(go_format_value_gstring): use attributes instead of passing colour
	* goffice/utils/go-pango-extras.c
	(go_load_pango_attributes_into_buffer_filter): new
	(go_load_pango_attributes_into_buffer_named_filter): new
	(go_create_std_tags_for_buffer): new
	(go_load_pango_byte_to_char): new
	(go_load_pango_attributes_into_buffer): new
	* goffice/utils/go-pango-extras.h (go_create_std_tags_for_buffer): new
	(go_load_pango_attributes_into_buffer): new
	* goffice/utils/go-string.c (go_string_new_rich): ensure we have determined
	the byte_len (if it was negative or zero)

2011-08-01  Jean Brefort  <jean.brefort@normalesup.org>

	* all files: port to gtk+-3.0.

2011-08-01  Morten Welinder <terra@gnome.org>

	* configure.in: Branch to 0.9.0.

2011-07-31  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-07-31  Morten Welinder <terra@gnome.org>

	* Release 0.8.17

2011-06-21  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-graph.c (gog_graph_populate_editor): Force the
	GtkComboxBox to drop its model on destroy to prevent theme leak if
	the combo is leaked itself.  Fixes #652420.

2011-06-18  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-marker-selector.c
	(go_marker_palette_render_func): Plug leak.

	* goffice/graph/gog-series.c (gog_series_populate_editor): Make
	sure we free the GtkBuilder object.

2011-06-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-06-16  Morten Welinder <terra@gnome.org>

	* Release 0.8.16

2011-06-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: check for get_gsf_odf_version
	* goffice/utils/go-format.c (go_format_output_fraction_to_odf):
	don't just assume that we are writing ODF 1.2

2011-06-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_fraction_to_odf): in
	ODF 1.2 we do not need to use gnm:no-integer-part any more

2011-05-24  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_execute): Remove "-" from
	"-0" even when no dot is present.  Fixes #650928.

2011-05-23  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.c (go_complex_invalid)
	(go_complex_angle_pi): New functions.
	(go_complex_pow): Improve accuracy.

2011-05-22  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.h (go_complexl): Only defined when
	GOFFICE_WITH_LONG_DOUBLE.

2011-05-21  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-05-21  Morten Welinder <terra@gnome.org>

	* Release 0.8.15

2011-05-19  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-probability-plot.c
	(data_as_y_toggled_cb), (gog_probability_plot_populate_editor),
	(gog_probability_plot_update), (gog_probability_plot_set_property),
	(gog_probability_plot_get_property),
	(gog_probability_plot_class_init),
	(gog_probability_plot_view_render): implement data-as-y-values property.
	[#650515]
	* plugins/plot_distrib/gog-probability-plot.h: ditto.

2011-05-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-format.c (go_format_parse_sequential),
	(go_format_output_date_to_odf),
	(go_format_output_scientific_number_to_odf): fixed some gcc-4.6 warnings.
	[#649355]

2011-05-10  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (general_linear_regression): Always
	compute stat information.  If we get negative R-squared, mark
	result as bad.

2011-05-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-marker.c (go_marker_create_cairo_surface): don't
	use badly rounded values when clipping markers. [#649485]

2011-04-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-geometry.c (go_direction_get_type),
	(go_direction_get_name): make nick names localizable since they are
	used in a gnumeric dialog.
	* goffice/utils/go-geometry.h: ditto.

2011-04-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-legend.c (cb_render_elements): fix legends for plots
	with marker only style. [#647367]

2011-04-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_token2): localized colour
	names need not start with an alphabetic ascii character.

2011-04-08  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-group.c: Cleanup list traversal.

	* goffice/canvas/goc-item.c (goc_item_maybe_invalidate): New
	function, extracted from goc_item_invalidate.  Avoid invalidating
	invisible items.
	(goc_item_set_visible): New function.
	(goc_item_show, goc_item_hide): Base on goc_item_set_visible.
	This avoids invalidation when nothing changes.

2011-04-06  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy-dropbar-prefs.ui: implement dropbar plots with
	linear or logarithmic index axis. [#646832]
	* plugins/plot_xy/gog-xy-dropbar.c: ditto.
	* plugins/plot_xy/gog-xy-dropbar.h: ditto.

2011-04-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-bezier.c (go_bezier_spline_init): fixed closed bezier
	spline evaluation. [#646700]

2011-03-28  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-style.c (fill_init): Don't leak the size group.

2011-03-24  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-03-24  Morten Welinder <terra@gnome.org>

	* Release 0.8.14

2011-03-16  Morten Welinder  <terra@gnome.org>

	* configure.in: Fix backend selection by testing for win32 first.

2011-03-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-gtk-compat.h: fix gtk_widget_send_focus_change
	replacement macro to make gcc succeed again.

2011-03-12  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-combo-box.c (do_focus_change): Add cast because
	gcc isn't smart enough to follow union rules before warning.

2011-03-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-conf-gsettings.c (go_conf_get_node),
	(cb_key_changed), (go_conf_add_monitor): fix gnumeric crash when
	monitoring settings changes. [#644222]

2011-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: implement a GSettings backend for GOConf. [#643767]
	* goffice/app/go-conf.c: ditto.
	* goffice/app/go-conf-gsettings.c: ditto.

2011-03-01  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-gconf.c (go_conf_get_node): Handle keys that
	don't start in /apps/.

2011-02-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-undo.c (go_undo_*nary_finalize): chain to parent

2011-02-23  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-charmap-sel.c (cs_build_menu): Plug leak.

	* goffice/graph/gog-guru.c (graph_guru_init_format_page): Plug
	leak.
	(graph_guru_type_selector_new): Ditto.
	* goffice/graph/gog-axis-line.c (gog_axis_base_populate_editor):
	Ditto.
	* plugins/plot_distrib/go-distribution-prefs.c (go_distribution_pref_new):
	Ditto.

2011-02-22  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-locale-sel.c (ls_build_menu): Plug leak.

2011-02-18  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (nfs_init): Plug leaks.
	* goffice/gtk/go-font-sel.c (list_init): Ditto.
	* goffice/gtk/go-image-sel.c (go_image_sel_new): Ditto.

2011-02-02  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-02-02  Morten Welinder <terra@gnome.org>

	* Release 0.8.13

2011-01-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-file.c: add some API documentation.

2011-01-26  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (printf_engineering): New function.
	Fix overflow problem.  Fixes #640571.
	(go_format_execute): Use printf_engineering.

2011-01-25  Jean Brefort  <jean.brefort@normalesup.org>
	* goffice/data/go-data-simple.c (render_val),
	(go_data_scalar_val_serialize), (go_data_scalar_val_unserialize),
	(go_data_vector_val_unserialize), (go_data_matrix_val_unserialize):
	use g_ascii_dtostr and g_ascii_strtod when serializing. [#640438]

2011-01-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/formats.c (_go_format_currencies): delete EEK (Estonia
	is now using the Euro

2011-01-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_raise), (goc_item_lower),
	(goc_item_lower_to_bottom), (goc_item_raise_to_top): invalidate the item
	after reordering to force a redraw? [#639840]

2011-01-06  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-line.c (gog_line_view_render): fixed drop lines
	in line plots. [#638738]

2010-12-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (xyz_process): fixed a memory leak.
	* plugins/plot_surface/gog-contour.c (gog_contour_view_render): ditto.
	* tests/go-demo.c (insert_histogram_data), (main): ditto.
	* tests/shapes-demo.c (open_file): ditto.

2010-11-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_text_to_odf): new
	(go_format_output_to_odf): connect go_format_output_text_to_odf

2010-11-25  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-11-25  Morten Welinder <terra@gnome.org>

	* Release 0.8.12

2010-11-24  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-theme.c (themes_load_from_dir): Fix URI
	handling.
	(_gog_themes_init): Use g_get_home_dir.
	(gog_theme_finalize): Remove the theme from the global list.
	(_gog_themes_shutdown): Free the list of themes.

2010-11-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_series_update): fixed a limit issue.
	* tests/go-demo.c (insert_histogram_data): don't use raw data.

2010-11-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_series_update): fixed memory errors.
	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem): ditto.

2010-11-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c (make_path_cspline): fixed an infinite loop
	condition. [#633965]

2010-11-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-regression.c (go_exponential_regression): make it just
	wrap go_exponential_regression_as_log.

2010-11-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-regression.c (go_exponential_regression_as_log): new
	regression utility returning the logarithms of the coefficients instead of
	the coefficients to avoid roundint to 0 or infinite.
	* goffice/math/go-regression.h: ditto.
	* plugins/reg_linear/gog-exp-reg.c
	(gog_exp_reg_curve_get_value_at), (gog_exp_reg_curve_get_equation),
	(gog_exp_reg_curve_class_init): use go_exponential_regression_as_log.
	[#633735]

2010-10-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-pattern.c (go_pattern_create_cairo_pattern): enclose
	direct drawing between cairo_surface_flush and cairo_surface_mark_dirty
	calls, making patterns work with cairo-1.10.
	* plugins/plot_barcol/Makefile.am: allow all filled plots to be displayed
	under the grid. [#632310]
	* plugins/plot_barcol/gog-area-prefs.ui: ditto.
	* plugins/plot_barcol/gog-barcol-prefs.c (display_before_grid_cb),
	(gog_barcol_plot_pref): ditto.
	* plugins/plot_barcol/gog-barcol-prefs.ui: ditto.
	* plugins/plot_barcol/gog-barcol.c (gog_barcol_plot_set_property),
	(gog_barcol_plot_get_property), (gog_barcol_plot_class_init): ditto.
	* plugins/plot_barcol/gog-dropbar.c (gog_dropbar_set_property),
	(gog_dropbar_get_property), (display_before_grid_cb),
	(gog_dropbar_populate_editor), (gog_dropbar_plot_class_init): ditto.
	* plugins/plot_barcol/gog-line.c (gog_area_plot_set_property),
	(gog_area_plot_get_property), (display_before_grid_cb),
	(gog_area_plot_populate_editor), (gog_area_plot_class_init): ditto.
	* plugins/plot_distrib/gog-boxplot-prefs.ui: ditto.
	* plugins/plot_distrib/gog-boxplot.c (display_before_grid_cb),
	(gog_box_plot_pref), (gog_box_plot_set_property),
	(gog_box_plot_get_property), (gog_box_plot_class_init):
	* plugins/plot_distrib/gog-histogram-prefs.ui: ditto.
	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_get_property),
	(gog_histogram_plot_set_property), (display_before_grid_cb),
	(gog_histogram_plot_populate_editor),
	(gog_histogram_plot_class_init): ditto.
	* plugins/plot_radar/Makefile.am: ditto.
	* plugins/plot_radar/gog-polar-prefs.ui: ditto.
	* plugins/plot_radar/gog-radar.c (gog_polar_area_set_property),
	(gog_polar_area_get_property), (display_before_grid_cb),
	(gog_polar_area_populate_editor), (gog_radar_area_plot_class_init),
	(gog_polar_plot_class_init): ditto.
	* plugins/plot_xy/gog-xy-prefs.ui: ditto.

2010-10-23  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/goffice-graph.h: allow rendering of grids above plots.
	[#632310]
	* goffice/graph/gog-chart.c (plot_render), (gog_chart_view_render): ditto.
	* goffice/graph/gog-plot-impl.h: ditto.
	* goffice/graph/gog-plot.c (gog_plot_init): ditto.
	* plugins/plot_barcol/gog-line.c (gog_area_plot_init): ditto.
	* plugins/plot_distrib/gog-histogram.c (gog_histogram_plot_init): ditto.
	* plugins/plot_radar/gog-radar.c (gog_radar_area_plot_init): ditto.
	* plugins/plot_surface/gog-contour.c (gog_contour_plot_init): always show
	the grids above contour plots.
	* plugins/plot_surface/gog-surface.c (gog_surface_plot_init): updated
	according to above changes.
	* plugins/plot_xy/Makefile.am: add a property box for GogXYPlot.
	* plugins/plot_xy/gog-xy.c (gog_xy_set_property),
	(gog_xy_get_property), (display_before_grid_cb),
	(gog_xy_plot_populate_editor), (gog_xy_plot_class_init): ditto.

2010-10-18  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-image.c (go_image_create_cairo_pattern):
	Document lifespan.  Make the surface hold a ref to the image so
	image->data stay valid until cairo is done with it.  This is a
	btter fix for 632439.

2010-10-10  Jean Brefort  <jean.brefort@normalesup.org>

	* */*/*.ui: fixed orientation property for GtkVBox.

2010-10-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-string.c (go_string_cmp_ignorecase),
	(go_string_get_casefold), (go_string_get_casefolded_collate): fixed
	sorting with accentuated characters. [#631504]
	* goffice/utils/go-string.h:

2010-10-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/datetime.c (days_between_GO_BASIS_MSRB_30_360):
	  fix calculation, see 631242 and 630784.

2010-10-01  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-10-01  Morten Welinder <terra@gnome.org>

	* Release 0.8.11

2010-09-27  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-locale-sel.c (ls_build_menu): Draw as radio
	buttons.

2010-09-24  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/xl-surface.c (get_y_vector): fixed typo.

2010-09-23  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-charmap-sel.c (charset_trans_array): Use charset
	CP932 for what we claim is Shift_JIS.  See bug 627829 for details.
	Patch from Yasuaki Taniguchi.
	(cs_build_menu): Draw as radio buttons.

2010-09-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c: implement
	custom grids in xyz plots. [#624273]
	* plugins/plot_surface/gog-contour.h: ditto.
	* plugins/plot_surface/gog-xyz-surface-prefs.c: ditto.
	* plugins/plot_surface/gog-xyz-surface-prefs.ui: ditto.
	* plugins/plot_surface/gog-xyz-surface.c: ditto.
	* plugins/plot_surface/gog-xyz-surface.h: ditto.
	* plugins/plot_surface/gog-xyz.h: ditto.

2010-09-20  Jon Nordby <jonn@openismus.com>

	* docs/reference/goffice-docs.sgml: update API documentation.
	* goffice/goffice.c: ditto.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-chart.c: ditto.
	* goffice/graph/gog-graph.c: ditto.
	* goffice/graph/gog-label.c: ditto.
	* goffice/graph/gog-legend.c: ditto.
	* goffice/graph/gog-object.c: ditto.
	* goffice/graph/gog-plot.c: ditto.
	* goffice/graph/gog-renderer.c: ditto.
	* goffice/graph/gog-series.c: ditto.
	* goffice/gtk/go-graph-widget.c:

2010-09-10  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_date_get_dim_format): If we have a
	date format is time-of-day (or even a time format), make sure the
	format we use has full time-of-day.

2010-09-04  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-09-04  Morten Welinder <terra@gnome.org>

	* Release 0.8.10

2010-09-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-doc.c (go_doc_init_read), (go_doc_image_fetch): fixed
	GOImage references management. [#628732]
	* goffice/graph/gog-styled-object.c
	(gog_styled_object_document_changed): ditto.

2010-09-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data-simple.c (go_data_vector_val_load_values),
	(go_data_matrix_val_load_values): update base type sizes.
	* goffice/graph/gog-styled-object.c
	(gog_styled_object_document_changed): fixed a potential crasher. [#628671]
	* goffice/utils/go-styled-object.c (go_styled_object_get_style): add
	missing space.

2010-09-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-doc.c (load_image_data): don't unref the image at
	this point. [#628467]

2010-09-01  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-doc.c (go_doc_init_read, go_doc_init_write): Make
	->imagebuf own the ids.
	(go_doc_save_image, go_doc_image_fetch): Copy image ids.

2010-08-31  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/go-cmd-context.c (go_cmd_context_class_init): this
	should be a base init function, so change its name and arguments

2010-08-31  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-plot.c (gog_plot_update_cardinality),
	(gog_plot_foreach_elem): optionnaly delete trendlines from
	legend. [#628031]
	* goffice/graph/gog-trend-line.c (gog_trend_line_set_property),
	(gog_trend_line_get_property), (cb_show_in_legend),
	(gog_trend_line_populate_editor), (gog_trend_line_class_init),
	(gog_trend_line_init), (gog_trend_line_new_by_type),
	(gog_trend_line_has_legend): ditto.
	* goffice/graph/gog-trend-line.h: ditto.
	* goffice/utils/go-editor.c (go_editor_get_page): new.
	* goffice/utils/go-editor.h: ditto.

2010-08-30  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_date_calc_ticks): Simplify and
	handle non-integer steps.

	* goffice/utils/go-format.c (go_format_month_before_day): Fix test
	for date format.
	(go_format_is_date): Return also an indication of whether the
	format has time-of-day.

2010-08-29  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_date_calc_ticks): Fix condition
	for weekly axis.  Fixes #628259.

2010-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/io-context.c (go_io_error_info_set): don't be overzealous
	  while checking for problems
	(go_io_error_push): skip useless code

2010-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/go-cmd-context-impl.h (error_info_list): new method
	* goffice/app/go-cmd-context.c (go_cmd_context_error_info_list):
	  call error_info_list
	(go_cmd_context_error_info_list_default): new
	(go_cmd_context_class_init): new
	(go_cmd_context_get_type): connect go_cmd_context_class_init

2010-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/go-cmd-context.c (go_cmd_context_error_info_list): new
	* goffice/app/go-cmd-context.h (go_cmd_context_error_info_list): new
	* goffice/app/io-context-priv.h (_GOIOContext): change info field into
	  a GSList
	* goffice/app/io-context.c (ioc_finalize): free info list
	(go_io_error_clear): ditto
	(go_io_error_info_set): append to list
	(go_io_warning_varargs): ditto
	(go_io_error_push): add details to the last item
	(go_io_error_display): call go_cmd_context_error_info_list

2010-08-24  Morten Welinder  <terra@gnome.org>

	* goffice/component/go-component-factory.c: Fix char-xmlChar
	confusion.
	* goffice/app/go-plugin-service.c: Ditto.
	* goffice/app/go-plugin.c: Ditto.

2010-08-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-plugin-service.c (go_plugin_service_finalize),
	(go_plugin_service_new): don't use g_free instead of xmlFree. [#627700]
	* goffice/graph/gog-plot-engine.c (gog_plot_type_service_read_xml),
	(gog_trend_line_service_read_xml): ditto.
	* goffice/utils/go-libxml-extras.c (go_xml_node_get_bool): ditto.

2010-08-23  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style-prefs.ui: restore centered image filling.
	* goffice/utils/go-style.c (go_style_fill_sax_save),
	(go_style_sax_load_fill_image), (go_style_sax_load_fill): consider image
	filling with no imge as no filling when serializing. [#627690],
	(go_style_create_cairo_pattern): restore centered image filling.

2010-08-23  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_parse_sequential): Plug
	leak.

	* goffice/goffice.c (libgoffice_shutdown): Free locale vars too.
	* goffice/utils/go-locale.c (_go_locale_shutdown): New function.

2010-08-20  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_string_replace): pos==len is
	ok.

2010-08-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c (make_path_cspline): do not check order
	for NULL abscissa. [#627507]

2010-08-20  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-rangefunc.c (go_range_increasing)
	(go_range_decreasing): Add preconditions.

2010-08-19  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-xyz-surface.c
	(gog_xyz_surface_plot_update): force update of x and y limits when data
	change. [#627388]

2010-08-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style.c (go_style_fill_sax_save): fixed typo.

2010-08-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c (_line_size): Always use real line width
	when evaluating dashes. [#442546]

2010-08-17  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_generate_number_str,
	go_format_generate_scientific_str,
	go_format_generate_accounting_str): Limit number of decimals.

2010-08-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-08-16  Morten Welinder <terra@gnome.org>

	* Release 0.8.9

2010-08-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-theme.c (gog_theme_finalize),
	(map_area_series_solid_palette), (name_end), (elem_start): use g_ptr_array
	instead of g_array and don't use recent glib additions. [#627056]

2010-08-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-theme.c (build_predefined_themes): fixed typo (no
	more critical in gog_theme_fillin_style. [#626960]

2010-08-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/formats.c: update currencies. [#626461]

2010-08-12  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: update.
	* goffice/graph/gog-graph-prefs.ui: allow for themes defined in xml files.
	[#531070]
	* goffice/graph/gog-graph.c (cb_theme_changed),
	(gog_graph_populate_editor): ditto.
	* goffice/graph/gog-plot-engine.c (_gog_plugin_services_init): ditto.
	* goffice/graph/gog-styled-object.c (gog_styled_object_init_style): ditto.
	* goffice/graph/gog-theme.c (gog_theme_finalize),
	(gog_theme_find_element), (gog_theme_fillin_style),
	(gog_theme_add_element), (gog_theme_get_local_name),
	(gog_theme_get_description), (map_area_series_solid_default),
	(map_area_series_solid_guppi), (map_area_series_solid_palette),
	(build_predefined_themes), (name_start), (name_end), (desc_end),
	(elem_start), (theme_load_from_uri), (themes_load_from_dir),
	(_gog_themes_init): ditto.
	* goffice/graph/gog-theme.h: ditto.

2010-08-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-error-bar.c (gog_error_bar_prefs): fix memory leak.
	* plugins/plot_distrib/gog-boxplot.c (gog_box_plot_pref),
	(gog_box_plot_populate_editor): fix memory leak and criticals. [#626665]

2010-08-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_draw): fix blur in zoomed charts.
	[see #626404]

2010-08-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_add_by_role): do not try to
	instantiate an object using an abstract class. [#626305]

2010-08-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-data-set.c (gog_dataset_set_dim): check dimension.
	* goffice/graph/gog-object-xml.c (gogo_dim_start):  check dimension and
	object type [#626263],
	(gogo_prop_start): check dimension [#626206].
	* goffice/utils/go-styled-object.c (go_styled_object_set_style): don't set
	a NULL style.

2010-07-30  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-07-30  Morten Welinder <terra@gnome.org>

	* Release 0.8.8

2010-07-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (study_format): change arguments and
	  change all callers
	(go_format_sel_format_classification): use study_format

2010-07-30  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_week_calc_ticks): New function.
	(map_date_calc_ticks): Call map_week_calc_ticks as appropriate.

	* goffice/app/go-conf-gconf.c (cb_key_changed): Send the full key
	to callback.

2010-07-27  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c: Use go_finitel as appropriate.

	* goffice/utils/formats.c (_go_currency_date_format_init): Make
	GOFormatDetails usage a bit more opaque.

	* goffice/math/go-math.c: Use go_finitel as appropriate.

2010-07-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip): don't access a
	GODataVector with an index larger than its length.

2010-07-13  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem): Fixed legend when the pseudo-3D axis
	has a manually set minimum. [#623887]

2010-07-08  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_details_new,
	go_format_details_free): New functions.

2010-07-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-graph.c (gog_graph_validate_chart_layout): do not
	take manually placed charts into account when evaluating rows and
	columns in GogGraph.
	* goffice/graph/gog-object.c (gog_object_set_position_flags): ditto.

2010-07-01  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_string_replace): New
	function.

2010-06-28  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-06-28  Morten Welinder <terra@gnome.org>

	* Release 0.8.7

2010-06-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-equation.c (gog_equation_init_style),
	(gog_equation_view_size_request), (gog_equation_view_render): implement
	equations rotation. [#622782]
	* goffice/graph/gog-renderer.c (gog_renderer_draw_equation):

2010-06-24  Jean Brefort  <jean.brefort@normalesup.org>

	* pixmaps/Makefile.am: add new icons.
	* plugins/plot_distrib/Makefile.am: enhance histograms.
	* plugins/plot_distrib/gog-boxplot.c (gog_box_plot_pref):
	* plugins/plot_distrib/gog-histogram.c (gog_histogram_plot_update),
	(gog_histogram_plot_axis_get_bounds),
	(gog_histogram_plot_get_property),
	(gog_histogram_plot_set_property), (vertical_changed_cb),
	(cumulative_changed_cb), (gog_histogram_plot_populate_editor),
	(gog_histogram_plot_class_init), (gog_histogram_plot_init),
	(gog_double_histogram_plot_populate_editor),
	(gog_double_histogram_plot_finalize),
	(gog_double_histogram_plot_class_init),
	(gog_double_histogram_plot_init),
	(gog_double_histogram_plot_dataset_dims),
	(gog_double_histogram_plot_dataset_get_elem),
	(gog_double_histogram_plot_dataset_dim_changed),
	(gog_double_histogram_plot_dataset_init),
	(gog_histogram_plot_view_render),
	(gog_histogram_plot_series_update),
	(gog_histogram_plot_series_finalize): ditto.
	* plugins/plot_distrib/gog-histogram.h: ditto.
	* plugins/plot_distrib/plot-types.xml.in: ditto.
	* plugins/plot_distrib/plugin.c (go_plugin_init): ditto.
	* plugins/plot_distrib/plugin.xml.in: ditto.

2010-06-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-06-16  Morten Welinder <terra@gnome.org>

	* Release 0.8.6

2010-06-15  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (go_fake_floor, go_fake_ceil,
	go_fake_trunc, go_fake_floorl, go_fake_ceill, go_fake_truncl):
	Handle very large numbers right.  Handle ix86 excess precision for
	"double" versions.

2010-06-11  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (funny_currency_order): Fix order.
	#621336.

2010-06-04  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-undo.c: Docoment all apis.

2010-06-01  Morten Welinder  <terra@gnome.org>

	* goffice/utils/formats.c (_go_currency_date_format_init):
	Unconditionally add formats "yyyy-mm-dd" and "yyyy-mm-dd
	hh:mm:ss".

2010-06-01  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-line.c (gog_line_view_render): Fix various
	series point related issues.
	* plugins/plot_radar/gog-radar (gog_rt_view_render): ditto.
	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): ditto.

2010-06-01  Morten Welinder  <terra@gnome.org>

	* plugins/plot_xy/gog-xy.c (gog_xy_view_render,
	gog_xy_view_get_data_at_point): Fix crash.  #620198.

2010-05-31  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_url_show, go_shell_arg_to_uri)
	(go_mime_type_get_description): Remove special case for Win32.

2010-05-30  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-05-30  Morten Welinder <terra@gnome.org>

	* Release 0.8.5

2010-05-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: appiled patch from Bobby Powers: fix --without-gtk
	win32 build. [#619312]
	* goffice/graph/gog-styled-object.c (gog_styled_object_class_init): ditto.
	* goffice/ms-compat/Makefile.am: ditto.
	* goffice/utils/go-style.h: ditto.
	* goffice/graph/gog-3d-box.c (gog_3d_box_class_init): fixed all warnings
	for the without-gtk build.
	* goffice/graph/gog-axis-line.c: ditto.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-renderer.c (gog_renderer_export_image): ditto.
	* plugins/plot_pie/gog-pie.c: ditto.

2010-05-28  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-chart-map.c (make_path_cspline): Both
	increasing and decreasing coordinates are ok.  Fixes #619958.
	(Tracked down by Jean.)

2010-05-23  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-rangefunc.c (go_range_sumsq): Do square in
	extended precision if we are summing in extended precision.

2010-05-20  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-05-20  Morten Welinder <terra@gnome.org>

	* Release 0.8.4

2010-05-20  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c (go_quad_dot_product): New function.
	(go_quad_init): Drop third argument.  All callers changed.

2010-05-17  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-rangefunc.c (go_range_devsq): Do the long-double
	trick here too.

	* goffice/gtk/go-format-sel.c (find_builtin): Special-case
	case-challenged variants of "General".

2010-05-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/goffice.h: applied patch from Bobby Powers: fix without-gtk
	build. [#618592]
	* goffice/graph/gog-chart.c (gog_chart_class_init):

2010-05-16  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c: quad precision routines.
	* goffice/math/go-regression.c (refine): Use quad precision.

2010-05-13  Morten Welinder  <terra@gnome.org>

	* goffice/component/go-component-factory.c (go_component_type_service_read_xml):
	Plug leak.
	(go_component_type_service_deactivate): Plug leak.

	* goffice/math/go-regression.c (general_linear_regression): Use QR
	factorization with refinement.

2010-05-09  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (DOUBLE_MAX): Eliminate in favour
	of SUFFIX(go_pinf).
	(general_linear_regression): Allocate stats->xbar correctly.
	Always set the result vector to something.
	(go_exponential_regression): map the result also if it is
	near-singular.

2010-05-07  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-05-07  Morten Welinder <terra@gnome.org>

	* Release 0.8.3

2010-05-04  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-win32.c (go_conf_win32_get): Restore last
	backslash for error messages.
	(go_conf_set_bool): Set the right value.  Fixes #617672.
	(go_conf_get_node): Don't create too-deep directory structure.

2010-05-03  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (LUPDecomp): Handle nan entries.

2010-05-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip): use markup
	for tips.

2010-04-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: check for gtk_widget_send_focus_change().
	* goffice/gtk/go-action-combo-color.c (cb_color_changed),
	(go_action_combo_color_class_init): implement the "combo-activate"
	signal.	[#583175]
	* goffice/gtk/go-action-combo-pixmaps.c (cb_selection_changed),
	(go_action_combo_pixmaps_class_init): ditto.
	* goffice/gtk/go-combo-box.c (do_focus_change): use
	gtk_widget_send_focus_change() when available.
	* goffice/gtk/go-gtk-compat.h: ditto.

2010-04-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-probability-plot.c
	(gog_probability_plot_series_update): skip invalid data.

2010-04-21  Morten Welinder  <terra@gnome.org>

	* goffice/utils/datetime.c (go_date_weeknum): Return the Excel
	compatible week numbers as intended, not the glib ones.

2010-04-16  Valek Filippov  <frob@gnome.org>

	* tests/shapes-demo.c: fix warnings.

2010-04-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-04-16  Morten Welinder <terra@gnome.org>

	* Release 0.8.2

2010-04-16  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (rescale): Don't return a value.
	Determinant will be zero on return when singular.
	(LUPDecomp): Moderate cleanup.

2010-04-13  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: add new go_path entries.
	* goffice/utils/go-path.c (go_path_copy),
	(go_path_append): new functions.
	* goffice/utils/go-path.h: ditto.

2010-04-10  Valek Filippov  <frob@gnome.org>

	* goffice/tests/mf-demo.c: move objects to drawing context,
	add save/restore DC and offset window/viewportOrg.

2010-04-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-gtk-compat.h: make things build with gtk-2.20.
	* goffice/gtk/goffice-gtk.c (cb_activate_default): use
	gtk_widget_is_sensitive() instead of gtk_widget_get_sensitive().

2010-04-09  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-path.c: add Path support
	* goffice/canvas/goc-path.h: ditto
	* goffice/canvas/Makefile.am: ditto

2010-04-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-path.c (go_path_new), (go_path_free),
	(go_path_ref), (go_path_get_type), (go_path_to_cairo): new GOPath functions.
	* goffice/utils/go-path.h: ditto.

2010-04-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-plugin.c (go_plugins_init), (go_plugins_add): fixed issues
	related to components intialization.
	* goffice/component/go-component-factory.c
	(go_component_type_service_read_xml),
	(go_component_type_service_activate),
	(go_component_type_service_deactivate),
	(go_component_type_service_class_init): implement components plugins
	activation/deactivation.
	* goffice/component/goffice-component.h: add missing headers.

2010-04-08  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-win32.c (go_conf_win32_clone_full): Handle
	buffer expansion right.

2010-04-07  Valek Filippov  <frob@gnome.org>

	* tests/mf-demo.c: add 'Symbol' and 'MT Extra' support.

2010-04-05  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-win32.c: Catch up with changes to other
	backend.  Might even work now.

2010-04-04  Valek Filippov  <frob@gnome.org>

	* tests/mf-demo.c: reuse common parsing routines between MR commands.

2010-04-03  Valek Filippov  <frob@gnome.org>

	* tests/mf-demo.c: new demo.
	* tests/Makefile.am: ditto.

2010-03-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: fixed gtk compatibility macro names.
	* goffice/canvas/goc-canvas.c (goc_canvas_invalidate): ditto.
	* goffice/canvas/goc-item.c (goc_item_dispose),
	(goc_item_invalidate): ditto.
	* goffice/graph/gog-child-button.c (gog_child_button_popup): ditto.
	* goffice/gtk/go-font-sel.c (select_row): ditto.
	* goffice/gtk/go-gtk-compat.h: ditto.
	* goffice/gtk/go-selector.c (go_selector_popup): ditto.
	* goffice/gtk/goffice-gtk.c (cb_activate_default),
	(cb_parent_mapped), (go_gtk_window_set_transient): ditto.

2010-03-26  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-keyfile.c (go_conf_set_str_list): Handle
	empty list.

2010-03-26  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-polygon.c (goc_polygon_prepare_draw): use polygon
	splitting to draw polypolygons.

2010-03-26  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: new entries.
	* goffice/canvas/goc-polygon.c (goc_polygon_priv_free),
	(goc_polygon_set_property), (goc_polygon_get_property),
	(goc_polygon_class_init), (goc_polygon_init): implement polygon splitting.
	* goffice/canvas/goc-utils.c (goc_int_array_new),
	(goc_int_array_ref), (goc_int_array_unref),
	(goc_int_array_get_type): ditto.
	* goffice/canvas/goc-utils.h: ditto.

2010-03-25  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-keyfile.c (go_conf_add_monitor,
	go_conf_remove_monitor): Implement for intra-process changes.

2010-03-25  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-polygon.c: support for fill rule.

2010-03-24  Valek Filippov  <frob@gnome.org>
	* goffice/canvas/goc-text.c: (goc_text_draw), (goc_text_distance),
	(goc_text_update_bounds), (goc_text_prepare_draw): implement text rotation.

2010-03-17  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-arc.c (goc_arc_distance): take ppu into account
	* goffice/canvas/goc-ellipse.c (goc_ellipse_distance): ditto
	* goffice/canvas/goc-polygon.c (goc_polygon_distance): ditto
	* goffice/canvas/goc-polyline.c (goc_polyline_distance): ditto
	* goffice/canvas/goc-rectangle.c (goc_rectangle_distance): ditto

2010-03-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (key_release_cb), (key_press_cb),
	(enter_notify_cb), (leave_notify_cb), (goc_canvas_init): ensure that the
	GdkEvent can always be accessed if needed.
	* goffice/canvas/goc-item.c (goc_item_key_pressed),
	(goc_item_key_released), (goc_item_class_init): ditto.

2010-03-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polyline.c (goc_polyline_prepare_draw): don't zoom
	hairline.

2010-03-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-file.c (go_shell_arg_to_uri): check for fd:// type
	URIs on win32. [#608422]

2010-03-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_new): invalidate the new item.
	* goffice/canvas/goc-styled-item.c (goc_styled_item_set_property),
	(goc_styled_item_get_property), (goc_styled_item_class_init): really
	implement the "scale-line-width" property.

2010-03-09  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-rectangle.c (goc_rectangle_prepare_draw): enhance
	round corners support.
	* tests/shapes-demo.c (parse_line): ditto.

2010-03-08  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-03-08  Morten Welinder <terra@gnome.org>

	* Release 0.8.1

2010-03-08  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: added GocArc.
	* docs/reference/goffice-docs.sgml: ditto.
	* goffice/canvas/goc-ellipse.c (goc_ellipse_update_bounds): fixed bounds.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_update_bounds): ditto.
	* goffice/canvas/goc-styled-item.c (goc_styled_item_set_property),
	(goc_styled_item_style_changed): minor changes.
	* goffice/utils/go-bezier.c: fix docs.
	* goffice/utils/go-styled-object.c: add docs.
	* tests/shapes-demo.c (parse_line): enhance style changes.

2010-03-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style.c (go_style_set_cairo_line): fix hairline.

2010-03-07  Jean Brefort  <jean.brefort@normalesup.org>

	* tests/shapes-demo.c (parse_line): use go_style_object_style_changed().

2010-03-06  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-rectangle.c (goc_rectangle_set_property),
	(goc_rectangle_get_property), (goc_rectangle_prepare_draw),
	(goc_rectangle_class_init), (goc_rectangle_init): implement round
	rectangles.

2010-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-arc.c (goc_arc_update_bounds): set the line style.
	* goffice/canvas/goc-styled-item.c (goc_styled_item_style_changed):
	enforce invalidation of the item when done.
	* tests/shapes-demo.c (parse_line): more fixes.

2010-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polyline.c (goc_polyline_draw): missing white spaces.
	* tests/shapes-demo.c (my_test), (parse_line), (enter_callback): add
	missing calls to goc_item_bounds_changed and fix white spaces and other
	presentation issues.

2010-03-06  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-arc.c (prepare_draw_arrow),
	(goc_arc_prepare_draw), (goc_arc_distance): fix rtl.
	* tests/shapes-demo.c (open_file), (on_open), (my_test),
	(parse_line), (enter_callback), (main): new version.

2010-03-05  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-arc.c (goc_arc_start), (goc_arc_end),
	(prepare_draw_arrow), (goc_arc_prepare_draw),
	(goc_arc_update_bounds), (goc_arc_distance), (goc_arc_draw): support
	arrow heads.
	* goffice/canvas/goc-ellipse.c (goc_ellipse_prepare_draw): fix rtl.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_prepare_draw): ditto.

2010-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-styled-item.c (goc_styled_item_style_changed): call
	goc_item_bounds_changed.

2010-03-04  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-arc.c (goc_arc_prepare_draw),
	(goc_arc_distance), (goc_arc_draw), (goc_arc_init_style): more
	canvas improvements.
	* goffice/canvas/goc-ellipse.c (goc_ellipse_prepare_draw),
	(goc_ellipse_update_bounds), (goc_ellipse_distance),
	(goc_ellipse_draw), (goc_ellipse_class_init): ditto.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_prepare_draw),
	(goc_rectangle_update_bounds), (goc_rectangle_distance),
	(goc_rectangle_draw), (goc_rectangle_class_init): ditto.

2010-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-line.c (goc_line_distance): fix distance evaluation.

2010-03-03  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-arc.c (goc_arc_update_bounds),
	(goc_arc_distance): fixed for filled items.
	* goffice/canvas/goc-polygon.c (goc_polygon_update_bounds),
	(goc_polygon_distance): little optimization.
	* goffice/canvas/goc-polyline.c (goc_polyline_update_bounds),
	(goc_polyline_distance): ditto.

2010-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polygon.c (goc_polygon_update_bounds): always
	set bounds even if fully transparent.
	* goffice/canvas/goc-polyline.c (goc_polyline_update_bounds): ditto.

2010-03-02  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-locale-sel.c (go_locale_sel_get_locale): Plug
	leak.
	(ls_class_init): Try adding ".utf8" to the locale name.  Fixes
	#611415 in some sense.

2010-03-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (_goc_item_update_bounds): always set
	bounds, even for transparent items or empty items.
	* goffice/canvas/goc-polygon.c (goc_polygon_set_property),
	(goc_polygon_prepare_path), (goc_polygon_update_bounds),
	(goc_polygon_distance), (goc_polygon_draw),
	(goc_polygon_class_init): implement spline support.
	* goffice/utils/go-bezier.c: fix comment.

2010-03-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polyline.c (goc_polyline_set_property),
	(goc_polyline_prepare_draw), (goc_polyline_distance),
	(goc_polyline_class_init): implement spline support.
	* tests/shapes-demo.c (main): add missing white spaces.

2010-03-01  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/Makefile.am: add arc support.
	* goffice/canvas/goc-arc.c: ditto
	* goffice/canvas/goc-arc.h: ditto
	* goffice/canvas/goc-polyline.c (goc_polyline_prepare_draw),
	(goc_polyline_update_bounds), (goc_polyline_distance),
	(goc_polyline_draw): enhance polyline implementation.
	* goffice/canvas/goffice-canvas.h: add arc support.
	* tests/Makefile.am: new demo.
	* tests/shapes-demo.c: ditto.

2010-03-01  Jean Brefort  <jean.brefort@normalesup.org>
	* goffice/utils/go-bezier.c (go_bezier_spline_to_cairo): add a flag to
	support rendering in an RTL canvas.
	* goffice/utils/go-bezier.h: ditto.

2010-02-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c (make_path_cspline): correctly manage
	invalid data. [#611163]
	* goffice/utils/go-bezier.c (go_bezier_spline_to_cairo): new utility.
	* goffice/utils/go-bezier.h: ditto.

2010-02-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_builder_new): fixed a memory leak.

2010-02-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_parent_finalized),
	(gog_object_finalize): ensure that children parent is set to NULL.
	(gog_object_get_graph): restore previous version
	* goffice/graph/gog-guru-type-selector.ui: remove orientation property
	to avoid warnings with old gtk+.

2010-02-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_get_graph): avoid a crash if a
	parent has been finalized. [#610435]

2010-02-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (cb_position_toggled),
	(cb_tick_toggle_changed): use gtk_buildable_get_name instead of
	gtk_widget_get_name where appropriate.
	* goffice/graph/gog-axis.c (cb_axis_toggle_changed):
	* goffice/graph/gog-object.c (cb_chart_position_changed):
	* goffice/utils/go-editor.c (go_editor_register_widget):
	* plugins/plot_xy/gog-bubble-prefs.c (cb_type_changed):

2010-02-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (button_press_cb),
	(button_release_cb), (motion_cb): don't return before cleaning.
	* libgoffice.pc.in: remove libglade dependency. [#609833]

2010-02-13  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-02-13  Morten Welinder <terra@gnome.org>

	* Release 0.8.0

2010-02-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_dispose): ungrab item on dispose
	when needed. [#609747]

2010-02-11  Morten Welinder  <terra@gnome.org>

	* configure.in: Bump version number in preparation for release.

2010-01-30  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_file_access): Assume g_access is
	available.

2010-01-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-format.c (cb_attrs_as_string),
	(go_format_parse_markup): use locale independent markup. [#608047]

2010-01-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip): do not crash when
	the chart contains no plot. [#607960]

2010-01-21  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-plugin.c (go_plugin_read): Add new "autoload"
	flag
	(go_plugin_activate): Autoload if requested.

2010-01-19  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-01-19  Morten Welinder <terra@gnome.org>

	* Release 0.7.18

2010-01-19  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: fixed more gtk-doc warnings.
	* goffice/app/file.c (go_file_saver_class_init),
	(go_file_format_level_get_type), (go_file_save_scope_get_type): ditto.
	* goffice/app/file.h: ditto.
	* goffice/app/go-plugin-service.c
	(go_plugin_service_file_saver_read_xml): ditto.

